/*
 * $Id: 0340601df592ee5dbeaa7f2d7e0d5d286006ff7d $
 */

/* Use this format for the entry headers:
   YYYY-MM-DD HH:MM UTC[-|+]hhmm Your Full Name <your_email@address>
   For example:
   2002-12-01 23:12 UTC+0100 Foo Bar <foo.bar@foobar.org>
*/

2026-08-18 09:22 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\common.mak
    ! tipssl.lib is now fully standalone (tip.lib no longer needed with SSL)

2026-06-05 18:34 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\compiler\harbour.c
  * source\vm\hvm.c
    ! force MAIN() as startup procedure - further tuning

2026-06-04 12:44 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\compiler\harbour.c
    ! force MAIN() as startup procedure - further refinement

2026-06-03 17:53 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\vm\hvm.c
    ! force MAIN() as startup procedure - refinement

2026-05-04 19:56 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\tipssl\client.prg
  * source\rtl\einstvar.prg
  * source\rtl\ttable.prg
  * source\rtl\win32ole.prg
  * source\tip\client.prg
  * tests\tbrowse.prg
    ! moved oErr:Description assignments after oErr:GenCode to prevent message reset
    ! removed redundant oErr:Description assignments

2026-04-05 20:11 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! added support for variadic METHOD declarations - refinement

2026-04-05 19:22 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! added support for variadic METHOD declarations
      proper fix using harbour.sly and Bison

2026-04-02 14:10 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! added support for variadic METHOD declarations

2026-01-03 11:14 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\vm\hvm.c
    ! force MAIN() as startup procedure
  * include\hbver.ch
    * bumped to 2026

2025-12-10 10:50 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\compiler\harbour.c
    ! pacify warnings

2025-12-09 21:13 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\compiler\harbour.c
    ! fixed false warnings with BREAK and EXIT statements

2025-12-05 19:32 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\pp\ppcore.c
    ! pacify warnings

2025-12-05 18:30 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\pp\ppcore.c
    ! fixed wrong pp behaviour with [] string delimiters, thanks to Przemek!

2025-10-22 11:50 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rdd\dbf1.c
    ! fixed wrong initialization to 0 of autoinc fields after ZAP

2025-05-15 14:42 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\tip\client.prg
  * contrib\tipssl\client.prg
    * Reset of nRead to 0 in method Reset()

2025-03-11 09:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include\hbver.ch
    * Bumped to 2025
  * include/hbver.h
    * Bumped to 1.3.2

2025-02-25 15:48 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbcurl/hbcurl.c
    ! added support for HB_CURLOPT_MIMEPOST. Thanks to Antonio Linares!

2025-02-19 16:47 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbcurl/hbcurl.ch
    ! updated with new definitions, borrowed from Harbour

2025-02-15 22:10 UTC-0300  Luiz Rafael Culik <culikr/AT/gmail/com>
  * xHarbourBuilder\xbuild.vc8.ini
    ! update to last visual studio

2025-02-15 18:45 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbcurl/hbcurl.c
    ! Pacified a warning

2025-02-02 11:38 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbcurl/hbcurl.c
    ! Pacified a warning

2025-02-02 08:42 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbcurl/hbcurl.c
    ! HB_CURLOPT_WRITEFUNCTION implemented. Thanks to Antonio Linares!

2025-01-19 18:11 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/vm/itemapi.c
    ! Add HB_FINITE_DBL() new definition for __clang__ case. Thanks to Antonio Linares!

2024-12-21 14:25 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.vc
    ! Reenabled C++ compile mode for C modules (the final EXEs are smaller)

2024-10-08 23:17 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\hpdf_utils.c
    ! Fixed crash in HPDF_FToA() with BCC32, borrowed from Harbour

2024-10-03 13:01 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\ct\util.prg
    ! Huge Occurs() speed improvement, borrowed from Harbour

2024-09-24 20:20 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.vc
    ! Disabled C++ compile mode for C modules

2024-06-25 10:00 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include\hbdefs.h
    ! Exclude LONG_PTR and ULONG-PTR definition for MinGW compilers

2024-06-24 21:20 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rdd\dbcmd.c
    ! Fixed __DBCOPY() function to honor SET DEFAULT path

2024-05-15 20:20 UTC-0800 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbdefs.h
    ! Added support for LONG_PTR and ULONG_PTR under #ifdef __GNUC__
  * make_drw.sh
    + Added support for unixodbc
  * buildxbuilder.sh
    ! Fixed to build on MacOs

2024-04-13 12:20 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\compiler\harbour.c
  * source\compiler\genc.c
  * source\compiler\genhrb.c
  * source\vm\runner.c
  * source\rtl\tprinter.c
    ! Fixed compiler warnings

2024-04-13 10:31 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\common\hbver.c
    ! Changed "ChangeLog SVN version" to "ChangeLog ID"
    ! Changed "Harbour Build Info" to "xHarbour Build Info"

2024-04-04 10:55 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include\pragma.h
    ! fixed for ADS 64 bit

2024-03-26 09:44 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\tip\popcln.prg
  * contrib\tipssl\popcln.prg
    ! fixed method CountMail() which returned a wrong number

2024-03-24 10:32 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\vm\pvalue.c
    ! fixed second parameter behavior. Thanks to Richard Visscher!

2024-03-05 14:38 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\rdd_ads\adsfunc.c
    ! fixed compiler warnings

2024-03-03 10:00 UTC-0300  Luiz Rafael Culik <culikr/AT/gmail/com>
  * Makefile
    ! added xHarbourBuilder folder
  * xHarbourBuilder\Makefile
    ! added xHarbour-SQLRDD and xHarbour-xBuild folder  for w32 build

2024-02-29 14:00 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\dllcall.c
    ! Fixed the previous commit

2024-02-28 07:40 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source\rtl\dllcall.c
    ! Fixed to completly exclude if not Windows build
    /* Please fix on Windows since I cannot test for few weeks */

2024-02-14 19:36 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\rdd_ads\adsfunc.c
    ! replace hb_parcx( 8 ) with hb_parni( 8 ) and hb_parcx( 9 ) with hb_parni( 9 )
      in function HB_FUNC( ADSDDCREATEREFINTEGRITY )

2024-01-26 23:50 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\dllcall.c
    ! always define LoadLibrary(), FreeLibrary() and GetLastError() functions for Windows builds

2024-01-21 09:52 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake/makefile.bc
    ! removed -R- and -H- for bcc32c

2024-01-20 17:09 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake/mdir.bat
    ! added some missing %LIBPREFIX%

2024-01-20 16:02 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake/mdir.bat
    ! replace %HB_DEBUG%.lib with %LIBEXT%

2024-01-20 14:10 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake/find_vc.bat
    ! set HB_ARCH to w64 if ml64.exe does exist in MSC bin directory

2024-01-20 11:25 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_bc.bat
    ! set LIBEXT to .a and OBJEXT to .o for 64 bit

2024-01-19 14:56 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.vc
    ! added -wd4244 -wd4267 -wd4312 to CC_CMD_ZIP

2024-01-19 11:05 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.vc
    ! added -wd4834 to CC_CMD_ZIP

2024-01-18 17:53 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
  * winmake/find_clng.bat
  * winmake/find_pc.bat
  * winmake/find_vc.bat
    * Refinment - enclose CC_LONG_NAME in quotes to avoid issues with spaces in name

2024-01-18 17:25 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    ! Fixed silly typos in last commit

2024-01-18 08:48 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    * Moved reset of CC to _USER_CC from FIND_C_COMPILER to SET_C_COMPILER

2024-01-17 18:07 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    * Reduced more nested IFs to GOTO to avoid parser bug in Windows batch files

2024-01-17 15:38 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
   * Restored 2 missing resets of CC before calls found_cc.bat

  * winmake/find_bc.bat
  * winmake/find_clng.bat
  * winmake/find_pc.bat
  * winmake/find_vc.bat
    * Corrcted line numbers in error messages

2024-01-17 14:34 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
   * Few more reductions of nested IF to GOTO to avoid parser bug in Windows batch files
   * Few simplifications to avoid redundant setting of CC

  * winmake/find_bc.bat
  * winmake/find_clng.bat
  * winmake/find_pc.bat
  * winmake/find_vc.bat
    * Standardized _USER_CC to keep track of user defined CC

2024-01-17 19:28 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include\hbver.ch
    * Bumped to 2024

2024-01-17 09:03 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    + Added missing test when CC is set to DIR_SET64
    
2024-01-16 11:54 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    + Added _USER_CC to keep track of user defined CC
    * Remove check if CC empty before ARCH check.
    + Added reset of CC to _USER_CC at beginning of :FIND_C_COMPILER

2024-01-15 20:15 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    * Defer setting of CC till found - Tentative fix for manual install of 64bit BCC 

2024-01-15 10:05 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_vc.bat
    * Tentative fix for manual install - skip ARCH check. 

2024-01-14 23:20 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
  * winmake/find_clng.bat
  * winmake/find_pc.bat
  * winmake/find_vc.bat
    * Converted an IF/ELSE to a GOTO to avoid parser bug in Windows batch files

2024-01-14 22:10 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_vc.bat
    * Minor fix to support manual MSC install pointed to by CC_DIR not having vsdevcmd.bat
  * winmake/find_bc.bat
  * winmake/find_clng.bat
  * winmake/find_pc.bat
    * Added 1 unexpected error message.

2024-01-13 18:58 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    - Removed wrong premature reset of CC_DIR
  * winmake/found_cc.bat
    * Typo corrected clng -> clang
    
2024-01-13 00:32 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * make_bc.bat
  * make_clng.bat
  * make_gc.bat
  * make_gc64.bat
  * make_gnu.bat
  * make_mingw.sh
  * make_pc.bat
  * make_vc.bat
  * make_xc.bat
  * winmake/find_bc.bat
  * winmake/find_bison.bat
  * winmake/find_pc.bat
  * winmake/find_vc.bat
  * winmake/found_cc.bat
  * winmake/makefile.gc
  * winmake/mdir.bat
    * Cleanup and standardization

  * winmake/functions.bat
    * Renamed findInPath to rootOfAppInPath
    + Added Right, findInString, isStrInPath, isPathInPath

  + winmake/find_clng.bat
  + winmake/known.clng
    + Added auto detection support for MingW-CLang (work in progress)

2024-01-11 01:55 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * bin/bld.bat
    + Added support for MingW-CLang
   
2024-01-10 22:48 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbcomp.h
  * source/compiler/harbour.c
    * Renamed __INLINE to __XHBINLINE to avoid conflict with mingw-clang __INLINE

  * source\common\hbarch.c
    - Removed redundant #include "hbapi.h"
    
  * make_clng.bat
  * winmake/common.mak
  * winmake/compile.mak
  * winmake/makefile.clng
    * Finalizedd support for MingW-CLang - both 32 and 64 bit tested and working.

    /*
       I still intend to add find_clng.bat and model make_clng.bat after the new 
       make_bc.bat make_pc.bat and make_vc.bat
       Once properly tested I believe this should be our compiler of choice for Windows.
     */

2024-01-09 20:59 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * contrib/sixapi/source/dbcopy.c
  * contrib/sixapi/source/dbdelim.c
  * contrib/sixapi/source/dbeval.c
  * contrib/sixapi/source/dbsort.c
    - Removed redundant () to avoid compiler warning

  * include/ctmath.h
    - Added misssing void to avoid compiler warning
  * include/hbdefs.h
    + Added && ! defined(__clang__) to __BORLANDC__ if fix error under CLang based BCC
  * source/common/hbdate.c
    + Added () to cast to avoid compiler warning
  * source/compiler/gencc.c
    * Corrected format  specifier %hu to %hhu and %hd to %hhd to avoid compiler warning

  * source/ct/ctnet.c
  * source/compiler/gencobj.c
  * source/rtl/hbwinole.c
  * source/rtl/is.c
  * source/rtl/win32prn.prg
    - Removed UTF8 characters to avoid compiler warning

  * source/vm/eval.c
  * source/pp/ppgen.c
    * Fixed ULL suffix tto use HB_ULL() macro

  * utils/hbpp/hbppcore.c
  * source/rtl/hbgtcore.c
    * Corrected few commas to semicolons to avoid compiler warning

  * source/rtl/hbsrlraw.c
    * Corrected 1 HB_SIZE to HB_OFFSET to avoid compiler warning
  * winmake/find_bc.bat
    + !path! to !~path~ in .cfg file processing incasse patth has quotes

  * winmake/find_bison.bat
    + Added few more known locations for win_bison.exe

  * make_gc64.bat
    * Corrected HB_ARCH=64 to =w64

  + winmake/makefile.clng
  + make_clng.bat
    + New files to support MingW-CLang (work in progress)

2024-01-09 11:40 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_bc.bat
    ! changed the name of the SUB_DIR: b32 and b64 instead of bc32 and bc64

2024-01-08 19:04 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include/hbver.h
    * Bumped to 1.3.1

2024-01-08 16:12 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.vc
    ! reactivated build of gtwvg.lib, gtwvw.lib and xwt.lib in 64 bit

2024-01-08 12:06 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\common3.mak
    ! added NODLL when CC is bcc32c

2024-01-06 21:26 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * make_bc.bat
    + Added log of ERRORLEVEL on exit
  * winmake/common3.mak
    * Corrected HB_ARCH=64 to =w64
  * winmake/find_bc.bat
    + Added log of BCC_LIB on exit
  * winmake/makefile.vc
    - Removed redundant -DNODLL
  
2024-01-06 16:46 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    Moved BCC_LIB generation to :FOUND 

2024-01-06 15:45 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    * Corrected HB_ARCH logic and simplified the IF to use GOTO to avoid nestedd IF

2024-01-06 21:19 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\find_bc.bat
    ! fixed IF/ELSE structure

2024-01-06 13:50 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
  * winmake/find_pc.bat
  * winmake/find_vc.bat
    * Synched the latest modification of REM fix.

2024-01-06 13:42 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    * Expanded complex IF to multi line for easier reading
    * Modified REM that caused buggy batch parser to complain of CHECK_CC_DIR as non existent label

2024-01-06 13:25 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
    * Modied REM that might affect buggy Windows batch parser

2024-01-06 19:10 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
    ! removed -b compiler switch and corrected HB_ARCH "64" to "w64"

2024-01-06 13:03 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/found_cc.bat
    * Corrected BCC_LIB assignment to not use temp file
    + Added debug output of BCC_LIB generation to functions.log

2024-01-06 11:48 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/found_cc.bat
    ! Fixed the test for xHarbour's bin in path to not use where. 

2024-01-05 22:12 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/found_cc.bat
    + Added () to help batch parser do its job.

2024-01-05 18:18 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * make_bc.bat
  * make_pc.bat
  * make_vc.bat
  * winmake/find_bc.bat
  * winmake/find_pc.bat
  * winmake/find_vc.bat
  * winmake/found_cc.bat
  * winmake/functions.bat
    * Simplified, fixed reported issues and added debgging

2024-01-04 19:36 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
  * winmake/found_cc.bat
    + Added tentative support for bcc64 (not tested)
  winmake/makefile.bc
    * Corected support for BCC_LIB when empty
    * Corrected few HB_ARCH=64 to =w64 
  winmake/makefile.pc
  winmake/makefile.vc
    * Corrected few HB_ARCH=64 to =w64 

2024-01-04 13:21 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_vc.bat
    * Correction to support for manual MSC install pointed to by CC_DIR

2024-01-04 12:50 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * winmake/find_bc.bat
  * winmake/find_pc.bat
    * Minor simplification optimized CHECKED_CC_DIR to be a GOTO instead of a CALL
  * winmake/find_vc.bat
    * Minor simplification optimized CHECKED_CC_DIR to be a GOTO instead of a CALL
    + Added check for %CC_DIR%\bin\%CC%.exe in :DIR_SET

2024-01-03 17:15 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * bin/bld.bat
    + Added support for VS 64bit build (w64)

2024-01-03 16:45 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  - bin/find_bc.bat
  - bin/find_vc.bat
  + winmake/find_bc.bat
  + winmake/find_vc.bat
    * Moved to winmake to avoid cluttering bin
 
  * make_bc.bat
  * make_dc.bat
  * make_pc.bat
  * make_vc.bat
  * bin/bld.bat
  * bin/bld_bc.bat
  * bin/bld_vc.bat
  * winmake/makefile.pc
    * Modified to use new shared scripts

  + winmake/find_bison.bat
  + winmake/find_pc.bat
  + winmake/found_cc.bat
  + winmake/functions.bat
    + New shared scripts to simplify updates and avoid redundancy

  + winmake/known.bc
  + winmake/known.pc
  + winmake/known.vc
   + New simple files to support auto detection of compilers and their respective paths

  /* 
    Make andd build batch files on Windows have been written from scratch to support
    simplified auto detection of compilers and their respective paths. The system
    is also shared not jusst between different compilers but also between make and build
    batch files. This allows us to avoid redundancy and simplify updates. New compilers
    can be added by simply adding a new known file and a new ssimple find script. Also
    new known locations can be added to existing known files to support new versions of
    existing compilers, without having to modify the make and build batch files.

    Please note that Windows batch files are not very flexible and are somewhat
    finicky. The new scripts are not perfect and may need some tweaking. Please
    report any issues you may encounter.
   *

2023-12-30 11:55 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
    ! reactivated build of gtwvg.a, gtwvw.a and xwt.a

  * makegc64.bat
    ! revert assignment SET HB_ARCH=w64 to SET HB_ARCH=64

2023-12-29 18:58 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.gc
    ! reactivated build of libgtwvg64.a and libhbzip64.a

2023-12-28 13:51 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\vm\eval.c
  * contrib\gtwvw\gtwvw.c
  * contrib\gtwvw\wvwdraw.c
  * contrib\gtwvw\wvwmenu.c
  * contrib\gtwvw\wvwtbar.c
  * contrib\gtwvw\wvwstbar.c
  * contrib\gtwvw\wvwpush.c
  * contrib\gtwvw\wvwcheck.c
  * contrib\gtwvw\wvwedit.c
  * contrib\gtwvw\wvwfuncs.c
  * contrib\xwt\src\xwt_win\xwt_win_framewnd.c
  * contrib\gtwvg\gtwvg.c
  * contrib\gtwvg\wvtcore.c
  * contrib\gtwvg\wvtutils.c
  * winmake\makefile.vc
  * winmake\compile.mak
    ! fixed compiler warnings

  * contrib\gtwvg\wvtutils.c
    ! replaced SetClassLong() with SetClassLongPtr()

2023-12-27 13:21 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * bin/find_bc.bat
    ! Fixed silly typo '&&' instead of '||'
  * bin/find_vc.bat
    ! Fixed silly typo '&&' instead of '||'
    * Added support for xHarbour's bin path.

  * bin/bld_bc.bat
  * bin/bld_vc.bat 
  * make_bc.bat
  * make_vc.bat
    - Removed redundant support for xHarbour's bin
    
2023-12-27 12:20 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * bin/find_bc.bat
  * bin/find_vc.bat
    * Fixed support of auto PATH setting for manual CC_DIR setup

  * bin/bld_bc.bat
  * bin/bld_vc.bat 
  * make_bc.bat
  * make_vc.bat
    * Removed redundant checks of CC and CC_DIR

2023-12-26 22:32 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source\rtl\dllcall.c
    * Fixed wrong nested structure of #ifdefs
    ! Fixed #ifdef HB_OS_WIN_32 to add '&& ! defined( HB_OS_WIN_64 )'
  * winmake/makefile.bc
    + Added NODLL_FLAG set to -DNODLL when HB_ARCH==w64
  + bin/find_vc.bat
    + Added auto detection of %is_x64_arch% to set HB_ARCH to w64
  * make_bc.bat
  * make_gc64.bat
  * make_pc.bat
  * make_vc.bat
    * Modified HB_ARCH=64 to w64   

  /* 
    With these changes opening a 'Developer Command Prompt for VS 2022'
    (which opens a 64bit settings), calling our make_vc will succesfully build
    a 64bit build.
  */

2023-12-26 19:18 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  + bin/find_vc.bat
    * Added some ECHO to show detection steps and corrected LOCAL Labels to avoid duplicate labels
    
2023-12-26 19:57 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
    ! refinement for BCC64

2023-12-26 11:41 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  + bin/find_bc.bat
  + bin/find_vc.bat
    + Added support for user defined PATH to BCC and MSVC
  * winmake/makefile.bc
    * Resttored Modified OPT_FLAGS of bcc32c (CLang does not support legacy optimization flags)

2023-12-26 15:13 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\hbcrc32.c
  * contrib\hbssl\evpciph.c
  * contrib\hbssl\evpmd.c
  * winmake\makefile.bc
  * winmake\compile.mak
    ! fixed compiler warnings

2023-12-25 22:43 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * utils\misc\hbrc.c
    ! Fixed compiler warnings

  * tests/test.prg
  * source/pp/ppgen.c
    ! Fixed UL suffix in version constants to ULL

2023-12-25 22:01 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  + bin/find_bc.bat
  + bin/find_bison.bat
  + bin/find_vc.bat
    + Added new shared scripts to simplify updates and avoid redundancy 
      They find the respective tools and set the respective environment variables

  * make_bc.bat
  * make_vc.bat
  * bin/bld.bat
  + bin/bld_bc.bat
  * bin/bld_vc.bat
    * Rewrote to use the new shared scripts
    % Optimized to avoid redundant settings
    ! Fixed to avoid duplicate setting of PATH
    ! Fixed to correctly support side by side installations of BCC and MSVC with 
      ability to switch between them without having to restart the shell.

      /* 
        Please fix/add all other make_<compiler>.bat and bld_<compiler>.bat
        to follow the same logic/structure as make_bc.bat and bld_bc.bat

        With minor modification to support CONTRIB libs we can now remove all Contrib's
        specific bld_<compiler>.bat in favor of a single bld_<compiler>.bat
       */

  * bin/bld_b32.bat
    * Now alias to bld_bc.bat
  + make_b32.bat
    + New alias to make_bc.bat

  * winmake/mdir.bat
    * Do not reset SUB_DIR
    * Default LIBEXT to ".lib" if not set already set.

  * tests/test.prg
    * Corrected LL to UL in version constants
 
2023-12-25 15:54 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\common\hbmem.c
  * utils\misc\hbrc.c
  * source\rtl\rat.c
  * source\rtl\substr.c
  * source\rtl\browdbx.prg
  * source\rdd\dbf1.c
  * source\rdd\dbf1net.c
  * utils\hbpp\hbppcomp.c
  * utils\hbpp\hbppcore.c
  * contrib\sixapi\source\dbstru.c
  * contrib\sixapi\source\decrypt.c
  * contrib\sixapi\source\encrypt.c
  * contrib\sixapi\source\eval.c
  * contrib\sixapi\source\field.c
  * contrib\sixapi\source\filter.c
  * contrib\sixapi\source\get.c
  * contrib\sixapi\source\index.c
  * contrib\sixapi\source\put.c
  * contrib\sixapi\source\rec.c
  * contrib\sixapi\source\replace.c
  * contrib\sixapi\source\sysprop.c
  * contrib\sixapi\source\use.c
  * contrib\sixapi\source\global.c
  * include\hbiniseg.h
  * winmake\makefile.vc
  * winmake\compile.mak
    ! fixed compiler warnings

2023-12-25 11:07 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.vc
  * winmake\compile.mak
    ! fixed some improper use of the new macros CC_CMD_NOWARN and CCC_CMD_NOWARN

2023-12-25 04:21 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * utils/misc/hbrc.c
    unsigned long long -> ULONGLONG
    
  * source/compiler/hbstripl.c
    * Move HB_SYMBOL_UNUSED() (executable context) below declaration

  * make_bc.bat
    + Added auto detection with auto setup of \BCC55 as SET_BCC_55
    + Added auto detection with auto setup of C:\win_flex_bison-2.5.5 as 
    + Added: IF "%CC%"=="bcc32c" SET SUB_DIR=b32c

  * source/rdd/usrrdd/rdds/adordd/make_b32.bat
  * source/rdd/usrrdd/rdds/adordd/makefile.bc
  * tests/dll_b32.mak
  * tests/dll_b32.bat
    * modify hard coded b32 to %SUB_DIR% to differentiate between bcc32 (b32) and bcc32c (b32c)

  * winmake/common3.mak
    * Modified hard coded bison to $(BISON) to allow support for win_bison.exe
  * winmake/makefile.bc
    * Modified OPT_FLAGS of bcc32c to use same flags as bcc32
  
2023-12-24 20:53 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
* make_bc.bat
    + Added auto detection with auto setup of C:\BCC55 as SET_BCC_C_55
    + Completed auto setup to SET_BCC_55

2023-12-24 20:46 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbapi.h
  * source/compiler/comptool.c
  * source/vm/cmdarg.c
  * source/pp/ppgen.c
    * Corrected hb_verCvsID() to return ULONGLONG instead of long long int 
  * source/pp/ppgen.c
    Corrected sufix of 64bit version constants from LL to UL 
  
2023-12-24 19:35 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
  * winmake\makefile.dc
  * winmake\makefile.gc
  * winmake\makefile.pc
  * winmake\makefile.vc
  * winmake\makefile.wc
  * winmake\compile.mak
    ! added new macros CC_CMD_NOWARN and CCC_CMD_NOWARN to silence contrib warnings

  * contrib\gtwvw\gtwvw.c
  * contrib\gtwvg\gtwvg.c
  * contrib\tipssl\inetssl.c
  * contrib\hbssl\ssl.c
  * contrib\hbssl\sslctx.c
    ! fixed compiler warnings

2023-12-24 19:35 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\unicode\hbencode.c
    ! fixed compiler warnings

2023-12-24 10:44 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * utils\hbpp\hbppcore.c
  * source\vm\hvm.c
    ! fixed compiler warnings

2023-12-24 01:08 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * make_drw.sh
    + Added -Wno-documentation-unknown-command -Wno-c11-extensions -Wno-c++11-extensions

2023-12-23 22:15 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/compiler/harbour.c
    * Moved Warning generation block in hb_compFinalizeFunction() below the optimization block      
      to avoid warning about unused variables assignment because usage code removed as a dead code by the optimizer

2023-12-23 19:48 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/compiler/harbour.c
    * Modified call to hb_compStripFuncLines() to be called on 'iPass > 0' instead of 'iPass == 2'
      to fix stripping of line numbers for empty lines
  * source/compiler/hbfix.c
    + Added logic to hb_p_pushlocal() to convert to HB_P_NOOP if followed by HB_P_POP 
      This optimizes out liness like this:
         ( SomeLocal ) 
  * source/compiler/hbstripl.c
     + Added logic to skip HB_P_NOOPs when checking for empty lines
  * tests/test.prg
    ! Fixed compilation of C'LL suffix in versions constants
  
2023-12-23 10:56 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\hpdf_shading.c
    ! moved declaration to allow compilation with BCC32 non-CLANG

2023-12-23 10:46 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\hpdf_utils.c
    ! removed inline declaration to allow compilation with BCC32 non-CLANG
    
2023-12-22 15:42 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\compiler\genc.c
  * source\compiler\harbour.slx
  * source\vm\classes.c
  * source\vm\estack.c
  * source\vm\hvm.c
  * source\vm\cmdarg.c
  * include\hbexprb.c
  * include\simplex.c
  * source\macro\macro.slx
  * source\ct\disk.c
  * contrib\tiff\tif_dir.c
  * contrib\tiff\tif_dirread.c
  * contrib\tiff\tif_getimage.c
  * contrib\tiff\tif_print.c
  * contrib\pdflite\pdflib\p_color.c
  * contrib\png\png.c
  * contrib\png\pngerror.c
    ! fixed compiler warnings

  * source\common\hbver.c
  * source\vm\inet.c
  * source\rtl\hbip.c
  * source\rtl\hbsyslog.c
  * source\rtl\tprinter.c
  * source\rtl\hbping.c
  * source\rtl\win32prn.prg
  * source\rtl\winos.prg
  * source\rtl\gtwin\gtwin.c
  * source\rtl\gtwvt\gtwvt.c
    ! suppress MSC 4996 compiler warning

  * source\macro\macroyy.c
    ! suppress MSC 4702 compiler warning

2023-12-21 18:14 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * .gitignore
    + Added *.tds, *.il?

  * config/w32/bcc32.cf
    * Default CC and LD to bcc32 only if NOT set already
  
  * make_bc.bat
    + Added auto detection of C:\BCC102 Embarcadero Free BCC C++ 7.30 in CLANG mode (bcc32c.exe)

  * tests/dll_b32.mak
    * Default CC and LD to bcc32 only if NOT set already
    + Add -L$(BCC_LIB)

  * winmake/compile.mak
    * Replace CC_CMD_HARU with existing CCC_CMD

  * winmake/makefile.bc
    * Default RC to rc.exe if CC is bcc32c
    * Default CC only if not set already
    - Remove '-d' from OPTFLAFGS (I suspect it was a typo)
    + Added logic to set different flags for legacy bcc32 vs CLang based bcc32c
    + Added -L$(BCC_LIB) to link commands. This allows build using auto detection 
      User does not have to specify any setting to build with Free Embaracadero. 
    * Alternate syntax when using brc32.exe vs. rc.exe

  * winmake/makefile.vc
    - Remove no longer needed CC_CMD_HARU
  
2023-12-20 14:22 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * .gitignore
    + *.json
  + contrib/hbhpdf/tests/.gitignore
    + New for this dir 
    + *.c

  * bin/bld_vc.bat
    + Added detection of VS2022
    + Added assignment of respective __MSC__ version

  * make_vc.bat
    + Added assignment of respective __MSC__ version

  * bin/bld.bat
    + Added logic to default HB_INSTALL HB_BIN_INSTALL HB_LIB_INSTALL and HB_INC_INSTALL 
      based on the directory from which bld.bat was loaded.
    - Removed explicit HB_LIB_INSTALL for each library in MSVC section 
    + Added /LIBPATH=%HB_LIB_INSTALL% to LDFLAGS in MSVC section
    + Added libharu.lib hbhpdf.lib and png.lib to default libraries (if exist) in MSVC section
    + Added enclosing "" around %HB_INC_INSTALL% in -I switch in MSVC section

  * winmake/common.mak
    + Added hpdf_direct and hpdf_shading to LIBHARU_LIB_OBJS
  * winmake/makefile.vc
    + Added CC_CMD_HARU
  * winmake/compile.mak
    + Added hpdf_direct and hpdf_shading to HBHPDF.LIB dependencies
    * Changed HBHPDF.LIB dependencies to use CC_CMD_HARU instead of CC_CMD
      to use C compilation instead of C++
  * winmake/msvcerr.vc
    + Added messages for __MSC__ 16 and 17
  
2023-12-19 19:12 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf
    ! Reverted my recent changes

2023-12-19 02:48 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * bin/hb-func.sh
    * Replaced 'echo -n ...' with 'printf ...' to fix '-n' not supported by some shells
  * bin/hb-mkslib.sh
    ! Fixed (and simplified) .dylib creation

2023-12-18 14:57 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\sevenzip\sevenzip.c
  * contrib\hbhpdf\hpdf_streams.c
  * contrib\hbhpdf\hpdf_image_png.c
  * contrib\sixapi\source\base.c
  * contrib\sixapi\source\dbcopy.c
  * contrib\sixapi\source\dbdelim.c
  * contrib\sixapi\source\dbsort.c
  * source\rtl\filesys.c
  * source\rtl\zlib\gzread.c
  * source\rtl\zlib\gzwrite.c
  * utils\hbpp\hbpp.c
  * utils\hbpp\hbppcomp.c
  * utils\hbpp\hbppcore.c
  * utils\hbpp\pragma.c
  * contrib\hbmxml\mxml_fil.c
  * contrib\hbxdiff\xemit.c
  * contrib\hbxdiff\xpatchi.c
  * contrib\hbxdiff\xutils.c
    ! fixed compiler warnings

2023-12-17 23:09 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\pdflite\include\ft_font.h
  * contrib\pdflite\pdflib\p_document.c
  * contrib\pdflite\tiff\tif_unix.c
  * utils\hbpp\hbppcore.c
  * utils\hbpp\pragma.c
    ! fixed compiler warnings

2023-12-17 19:53 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbmxml\config.h
  * contrib\hbxdiff\core.c
  * contrib\hbsqlit3\sqlite3.c
    ! fixed compiler warnings

2023-12-17 19:29 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\hpdf_fontdef_tt.c
  * contrib\hbhpdf\hpdf_fontdef_type1.c
  * contrib\hbhpdf\hpdf_fontdef_cid.c
  * contrib\hbhpdf\hpdf_font_type1.c
  * contrib\hbhpdf\hpdf_font_tt.c
  * contrib\hbhpdf\hpdf_font_cid.c
  * contrib\hbhpdf\hpdf_doc.c
  * contrib\hbhpdf\hpdf_info
  * contrib\hbhpdf\hpdf_catalog.c
  * contrib\hbhpdf\hpdf_gstate.c
  * contrib\hbhpdf\hpdf_pages.c
  * contrib\hbhpdf\hpdf_page_operator.c
  * contrib\hbhpdf\hpdf_annotation.c
  * contrib\hbhpdf\hpdf_image.c
  * contrib\hbhpdf\hpdf_image_png.c
  * contrib\hbhpdf\hpdf_doc_png.c
  * contrib\hbhpdf\hpdf_namedict.c
  * contrib\hbhpdf\hpdf_pdfa.c
  * contrib\hbhpdf\hpdf_encoder_utf.c
  * contrib\hbhpdf\hpdf_image_ccitt.c
    ! fixed compiler warnings

2023-12-17 16:10 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbbz2\bzlib_pr.h
  * contrib\hbhpdf\hpdf_utils.c
  * contrib\hbhpdf\hpdf_objects.c
  * contrib\hbhpdf\hpdf_null.c
  * contrib\hbhpdf\hpdf_boolean.c
  * contrib\hbhpdf\hpdf_number.c
  * contrib\hbhpdf\hpdf_real.c
  * contrib\hbhpdf\hpdf_name.c
  * contrib\hbhpdf\hpdf_array.c
  * contrib\hbhpdf\hpdf_dict.c
  * contrib\hbhpdf\hpdf_encoder.c
  * contrib\hbhpdf\hpdf_string.c
  * contrib\hbhpdf\hpdf_binary.c
  * contrib\hbhpdf\hpdf_encryptdict.c
    ! fixed compiler warnings

2023-12-17 13:17 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\harupdf.c
    ! fixed compiler warnings

2023-12-17 12:58 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\hpdf_utils.c
    ! fixed MSC compiler warnings

2023-12-17 11:27 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\hpdf_utils.c
    ! replace modff() with modf() and fixed a wrong C++ declaration

2023-12-16 19:00 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\zlib\gzread.c
  * contrib\tiff\tif_config.h
  * contrib\tiff\tif_compress.c
    ! fixed compiler warnings

2023-12-14 01:12 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * config/linux/gcc.cf
    * Set USE_FPIC for aarch64
     
  * contrib/hbhpdf
    * Updated to 2.4.4
    * Makefile
      + added missing source filesd and corrected sorting

2023-12-13 22:36 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/pp/ppgen.c
    ! Fixed hb_pp_parseChangelog() to support UTC+ as well as UTC- timezones
    ! Fixed hb_pp_parseChangelog() to support /r/n as well as /n line endings
    * Modified hb_pp_parseChangelog() to expect the UTC marker to be at position 17 instead of >= 17
     
2023-11-23 14:00 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\codepage\cptrwin.c
    ! fixed charset (borrowed from Harbour)

2023-11-19 17:25 UTC-0300  Luiz Rafael Culik <culikr/AT/gmail/com>
  ! winmake\common.mak
  ! winmake\common1.mak
  ! winmake\compile.mak
  ! winmake\mdir.bat
    + Support to build hbzebra
	
2023-11-19 11:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbcurl\hbcurl.c
    ! fixed hb_curl_xfree() to avoid error with null pointer

2023-11-15 13:11 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_bc.bat
    ! change end of line character from LF to CRLF to fix the wrong execution of GOTO statements

2023-11-10 17:23 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_vc.bat
    ! change the name of the SUB_DIR: vc32 and vc64 instead of vc

2023-11-08 19:22 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbssl\pem.c
    ! fixed compilation with BCC64

2023-11-07 16:28 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
    ! fixed compilation warning flags of hbzip library with BCC64

2023-11-07 11:53 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\common1.mak
    ! fixed compilation of curl contrib library

2023-11-04 12:26 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * xbscript.prg
   * xbs_harb.ch
     ! Guard DESTRUCTOR Finalize with #ifndef __CONCILE_PCODE__ to avoid duplicate release!
     ! Fixed PP_Cleanup() to release Dynamic Procedures in reverse order!
     
2023-11-04 11:53 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_gc.bat
  * make_gc64.bat
  * winmake\makefile.gc
    ! fixed compilation with MinGW 32-bit and 64-bit

2023-11-03 00:16 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * include/hbapigt.h
     ! Guard codepage comment with #if 0 to fix compiler warnings.

2023-11-02 13:48 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   - utils/xbscript
     - Removed utils/xbscript directory and replaced it with a link
       to a stand alone repository of xbScript as a submodule. 
   
   Instructions for Existing Clones:
    1. Pull Latest Changes: First, git pull
    2. Ensure the old utils/xbscript directory is completley removed since it likely had a sub folder for you platform
    3. Now, you can initialize and fetch the content of the submodule:
        git submodule update --init --recursive 
        
  Instructions for New Clones - ADD the git flag --recurse-submodules as follows:  
    git clone --recurse-submodules https://github.com/xHarbour-org/xharbour.git

2023-11-01 22:02 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * utils/xbscript/xbs_harb.ch
     * Corrected typo #idef -> #ifdef

2023-11-01 21:02 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * utils/xbscript/xbs_harb.ch
     + Added #define HB_LEGACY_TYPES_ON for Harbour compilation

2023-11-01 19:45 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * utils/xbscript/xbscript.prg
     + Added: #xuntranslate THROW before FUNCTION Throw() and restore the #xtranslate after to fix Harbour compilation

2023-11-01 15:24 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * utils/xbscript/xbscript.prg
     + Added: #include "hbcompat.ch" when compiled under Harbour

2023-10-26 22:00 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * .gitignore
    + Added contrib generated files
  * buildxbuilder.sh
    Linux: /usr -> /usr/local  
  * contrib/Makefile
    + Added gd to DIRS

2023-10-23 22:34 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * make_drw.sh
    * Improved to use dynamicly extract from brew the path for zlib and and openssl
  * make_macosx.sh
    * Modified to source ./make_drw.sh

2023-10-13 11:00 UTC-0300  Luiz Rafael Culik <culikr/AT/gmail/com>
  ! buildxbuilder.sh
    !updated to not build gtcrs and gtsln
  ! xHarbourBuilder/xHarbour-xBuild/tproject.prg 
    ! updated to not link by default -lncurses -lslang and -lgpm under linux
  ! contrib/hbzlib/Include/zipcollections.h
    ! update to compile under gcc>= 4

2023-09-20 17:30 UTC-0300  Luiz Rafael Culik <culikr/AT/gmail/com>
  + buildxbuilder.sh
    ! shell script to build xharbour/contribs/xbuild and sqlrdd under linux
  + xHarbourBuilder/Makefile
  + xHarbourBuilder/xHarbour-SQLRDD/Makefile
  + xHarbourBuilder/xHarbour-SQLRDD/Include/Makefile
  + xHarbourBuilder/xHarbour-SQLRDD/source/Makefile
  + xHarbourBuilder/xHarbour-xBuild/Makefile
    + *unix makefile
 ! xHarbourBuilder/xHarbour-xBuild/xbuild.prg 
   ! added new option -fullstatic for *nix to force link os linux static libraries ( .a libraries) 
 ! xHarbourBuilder/xHarbour-xBuild/tproject.prg 
   ! added support for new -fullstatic under *nix  and adjust libraries names for linking under *nix

2023-09-20 10:02 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * doc/inline_c.txt
  * tests/tMemory.prg
    * Corrected STOPDUMP to ENDDUMP
    
2023-09-14 16:38 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbdefs.h
    + Added comments questioning our implementation of HB_SIZE (and variants)
    + Added typedefs for HB_OFFSET and HB_SIGNED_SIZE with comments explaining their purpose
  * source/rtl/substr.c
    * Replaces HB_ISIZ with HB_OFFSET and HB_SIGNED_SIZE to examplify the usage of these new types
    * Added comments explaining each code block
    + Added support for negative length to signify ENDPOS as number of characters from the end of the string    
  * tests/Makefile
    * Modified to have explicit rule for .c files and adding Echo to show each step1
  + tests/make_drw.sh
    + New wrapper for make_gnu.sh including usage of C_USR and L_USR
  + tests/tstsubstr.prg
    + New sample/test of SUBSTR() with few variations including the new support for negative length to signify
      ENDPOS as number of characters from the end of the string

2023-09-14 21:52 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbzlib\zipplatform.cpp
    ! fixed SetFileModTime() to work fine with BCC 7.60 32-bit and 64-bit

2023-09-14 11:53 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
    ! Fixed compilation with BCC 7.60 64-bit

2023-09-14 10:12 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\tiff\tif_aux.c
  * contrib\tiff\tif_color.c
  * contrib\tiff\tif_luv.c
    ! Moved some #includes to make BCC 7.60 64-bit happy

2023-09-13 14:08 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * xHarbourBuilder/xHarbour-SQLRDD/Changelog
  * xHarbourBuilder/xHarbour-SQLRDD/samples/query.prg
    * Updated to include few missing changes found in zip which inluded Przemek changes
  + xHarbourBuilder/xHarbour-SQLRDD/vc14/
    + xHarbourBuilder/xHarbour-SQLRDD/vc14/mysql.lib.xbp
    + xHarbourBuilder/xHarbour-SQLRDD/vc14/mysqlmt.lib.xbp
    + xHarbourBuilder/xHarbour-SQLRDD/vc14/sql.lib.xbp
    + xHarbourBuilder/xHarbour-SQLRDD/vc14/sqlmt.lib.xbp
    + xHarbourBuilder/xHarbour-SQLRDD/vc14/xbuild.vc8.ini
      + Added from new folder present in zip which inluded Przemek changes

2023-09-13 13:46 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  + xHarbourBuilder/xHarbour-SQLRDD/H32.bat
  + xHarbourBuilder/xHarbour-SQLRDD/SQLRDD.lib.hbp
    + Added by Przemek for Harbour support

2023-09-13 13:07 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * xHarbourBuilder/xHarbour-SQLRDD/source/Makefile
  * xHarbourBuilder/xHarbour-SQLRDD/source/compat.ch
  * xHarbourBuilder/xHarbour-SQLRDD/source/config-netware.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/config-os2.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/config-win.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/dbug.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/errmsg.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/exprparser.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/exprsimpl.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/exprudf.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/firebird.ch
  * xHarbourBuilder/xHarbour-SQLRDD/source/firebird.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/firebird3.ch
  * xHarbourBuilder/xHarbour-SQLRDD/source/hbmk2_bison.hbs
  * xHarbourBuilder/xHarbour-SQLRDD/source/hbsql.ch
  * xHarbourBuilder/xHarbour-SQLRDD/source/hbsql.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/ib_util.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/ibase.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/ibase3.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/iberror.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/iberror3.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/libpq-fe.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/linux.sh
  * xHarbourBuilder/xHarbour-SQLRDD/source/linux64.sh
  * xHarbourBuilder/xHarbour-SQLRDD/source/m_ctype.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/m_string.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/msg.ch
  * xHarbourBuilder/xHarbour-SQLRDD/source/my_alloc.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/my_dbug.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/my_getopt.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/my_global.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/my_list.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/my_pthread.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/my_sys.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/mysql.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/mysql.ch
  * xHarbourBuilder/xHarbour-SQLRDD/source/mysql.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/mysql_com.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/mysql_embed.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/mysql_time.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/mysql_version.h
    * Changes in LF/CRLF from Przemek modifications
  
2023-09-13 12:58 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlmy.prg
    * Missed from last commit

2023-09-13 12:35 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  + xHarbour-to-Harbour.txt
    + New text file borrowed from: https://wiki.xailer.com/doku.php?id=en:migrar.de.xharbour.a.harbour
      /* 
        Thanks to Jose F. Gimenez
       */

  * xHarbourBuilder/xHarbour-SQLRDD/source/compat.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/compat.h
  * xHarbourBuilder/xHarbour-SQLRDD/source/exprobjs.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/exprrelation.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/exprtransl.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/firebird.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/firebird3.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/oraclip.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/oraedit.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlact.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlconnection.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlex1.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlex1ora.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlex2.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlex2ora.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlex3.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlex3ora.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlfirebird.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlfirebird3.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlgen1.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlmaria.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlodbc.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlpgs.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlrdd.hbx
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlrdd0.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlrdd1.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlrdd2.prg
  * xHarbourBuilder/xHarbour-SQLRDD/source/sqlsrodbc.c
  * xHarbourBuilder/xHarbour-SQLRDD/source/utils.prg
    ! Fixes by Przemyslaw Czerpak to compile with Harbour
      /* 
        Thanks to Przemyslaw Czerpak
       */
  
2023-09-13 11:03 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
  * contrib\tiff\tif_aux.c
  * contrib\tiff\tif_color.c
  * contrib\tiff\tif_luv.c
    ! Reverted the previous changes. Still searching for the proper fixes for BCC 7.60 64-bit...

2023-09-12 13:58 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/pp/ppgen.c
    ! Removed redundant initialization in hb_pp_parseChangelog() function
  * winmake\makefile.bc
    ! Removed unuseful compiler options: -6 -w-8027 -w-8071 -w-8121 -vi -H- -w-
    ! Added -w- in CC_CMD_ZIP for 32 bit compilation
  * contrib\tiff\tif_aux.c
  * contrib\tiff\tif_color.c
  * contrib\tiff\tif_luv.c
    ! Removed #include <math.h>

2023-09-11 13:05 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbzlib\zipplatform.cpp
    ! fixed SetFileModTime() to compile with BCC 7.60 32-bit

2023-08-26 21:09 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/rtl/hbcrc32.c
    - Removed redundant assignment

2023-08-26 17:42 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbapi.h
    * Restored a Borland specific #define of HB_ITEM_NIL to support non conforming older Borland compiler.    

2023-08-26 14:48 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbver.ch
    * Bumped _HB_CURR_YEAR to 2023

2023-08-26 14:35 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/pp/ppcore.c
    * Removed wrong static qualifier of hb_pp_szWarnings

2023-08-26 11:33 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/rtl/hbcrc32.c
    * Corrected inline declaraion to conform with C89/CP10029
    * Many formatting and readability corrections to conform with xHarbour code style

2023-08-25 22:49 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * make_drw.sh
    * Refining warnings
  * include/hbapi.h
    * Minor reduction (fix compile warning)
  * include/simplex.c
    * Added missing extern to pacify warning

2023-08-25 22:00 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/rtl/at.c
    ! Fixed wrong types in AT() and ATI() which broke support for negative arguments.

2023-08-25 21:18 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * source/compiler/harbour.sly
    * Added few static qualifiers to pacify pedantic Compiler's warnings
  * source/pp/ppcore.c
    * Added explicit type cast to pacify warning about signed/unsigned comparison
    * Minor modifications to pacify const related warnings 

2023-08-25 17:45 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbver.h
    * Bumped to 1.3.0
  * source/rtl/hbcrc32.c
    * Fixed compile errors: bool -> BOOL, false -> FALSE, true -> TRUE
    * Fixed compile warnings about const

2023-08-25 17:20 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com> On behalf of:eduardomotta-emottasistemas    
  * source/rtl/hbcrc32.c
      new crc algorithms: KERMIT, MC F4XX, CCITT FFFF, MODBUS
  + tests/test_crc32.prg
    + Usage example

  * xHarbourBuilder/xHarbour-Builder/xbldfull2.bat
     /*
        Possibility to compile xHarbour Builder sources non-debug when compiled for VC.
        Just set the environment variable:
        set VC8_DEBUG=NO
     */

2023-08-24 20:45 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * make_drw.sh
    + Added warning and ASan support
  * source/pp/ppcore.c
    ! Fixed GPF trap
  * source/vm/fm.c
    - Removed 2 redundant ';'

  * source/vm/set.c
    + Added pSet->hb_set_phTracePathsHash support to hb_setClone()
  * source/vm/hvm.c
    + Added mark of HB_VM_STACK.set.hb_set_phTracePathsHash in hb_vmIsLocalRef()
  * source/vm/thread.c
    + Added mark of (&pStack->set)->hb_set_phTracePathsHash in hb_threadIsLocalRef()
      /* This should fix gpf trap introduced by addition of hb_set_phTracePathsHash */

2023-08-24 13:18 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * include/hbapifs.h
  * source/rtl/filesys.c
    + Added: void hb_fsFileToFileWithPath( char *szFile, PHB_ITEM pNameWithPath ); 
  * source/vm/set.c
    * Refactored to use new hb_fsFileToFileWithPath() to remove code duplication    
  * source/common/hbdate.c
    ! Fix by Richard Visscher to hb_timeEncode() (Thanks to EMG)

2023-08-23 22:16 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
  * doc/en/file.txt
    * Typo in function name 

  * include/hbapifs.h
  * source/rtl/filesys.c
    + Added hb_fsCurDrvDir() to get current drive and directory.

  * include/hbset.h
    + Added member PHB_ITEM       hb_set_phTracePathsHash; 

  * source/vm/hash.c
    * Minor reduction of code duplication.

  * source/vm/set.c
    + Added logic to HB_SET_TRACEFILE to retain original directory of tracefile 
      when specified file name is not a full path and not EXPLICITLY relative.

  * source/rtl/traceprg.prg
    * Removed temporary hack related to retaining the original directory of tracefile.

  * tests/tsttrace.prg
    * Enhanced sample use of TraceLog(). 

2023-08-20  16:00 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
   ! include/hashapi.h
     ! force export of hb_hashLen when creating dll   

2023-08-20  10:20 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
   * bin/bld_vc.bat 
     ! added support for msvc 2022

2023-08-16 09:17 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * utils/misc/hbrc.c
     * Modified FILEVERSION to be the 4 16bit parts of HB_VER_CVSID
     * Modified PRODUCTVERSION 4th part to be 0
     
2023-08-15 12:16 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * .gitignore
     + *.map
     
   * make_vc.bat
     * Removed usage of () to group IF logic

2023-08-14 18:04 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * source/pp/ppgen.c
     * Fixed compiler warnings caused by the auto generated /include/hbver.h

2023-06-05 12:08 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   ! source/rtl/hbjson.c
     ! Fixed to add optional support of '+' after the e/E in scientific notations.
     * Improved to store a scientific notation which yields an integer as an xHarbour Integer instead of a Double.
   * source/rtl/tscalar.prg
     * Minor case correction hDelat() -> hDelAt()
   ! utils/xbscript/xbscript.prg
     Fixed typo hScan() -> hGetPos()
   + tests/tstjson.prg  
     + New sample of hb_jsonEncode() and hb_jsonDecode()

2023-04-24 13:55 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * include/harboury.h
   * include/macroy.h
   * source/compiler/harbouryy.c
   * source/macro/macroyy.c
    * Refreshed with prebuilt using new versions of bison and flex.

   * make_vc.bat
     ! Fixed and added support for Visual Studio 2022

   * source/vm/hbservmt.c
     * Corrected last modification - moved pStack into #ifdef HB_OS_WIN

   * winmake/mdir.bat
     * Corrected restoration of %PATH%
   
2023-04-22 23:55 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * .gitignore
     + *.log|ppo|pp$ tests/*.c 
     * make_drw.sh
       * Added to C_USR "-Wno-invalid-source-encoding"
   
   * contrib/hbssl/err.c
   * contrib/hbssl/ssl.c
   * contrib/hbssl/sslciph.c
   * contrib/rdd_ads/adsfunc.c
   * source/common/hbwince.c
   * source/odbc/odbc.c
   * source/rtl/filesys.c
   * source/rtl/fstemp.c
     ! Fixed compiler warnings - Corrected char iniitialization from '\0' to 0

   * include/hbapi.h
   * source/compiler/comptool.c
   * source/pp/ppgen.c
   * source/vm/cmdarg.c
     ! Fixed compiler warning - return value of hb_verCvsID() int to long long int

   * include/set.ch
     + Added missing constants: 
         #define HB_SET_TRACESTACK_NONE    0
         #define HB_SET_TRACESTACK_CURRENT 1
         #define HB_SET_TRACESTACK_ALL     2
   
   * source/common/hbmem.c
     * Protected with #ifndef HB_NO_DV_MEMCPY

   * source/compiler/cmdcheck.c
     * Fixed compiler warnings - apparent typo in bit masking: & ( 2 ^ 6 ) -> & ((1 << 6) - 1) !!!

   * source/compiler/harbour.sly
     * Corrected deprecated %name-prefix "hb_comp_yy" to %define api.prefix {hb_comp_yy}

   * source/ct/dattime2.c
     ! Fixed compiler warning - Apparent typo, corrected: && to || !!!

   * source/ct/disk.c
      ! Fixed compiler warning - protected windows specific code with #ifdef HB_OS_WIN

   * source/ct/files.c
     ! Fixed compiler warning - added: HB_SYMBOL_UNUSED( szFile );

   * source/ct/settime.c
     ! Fixed compiler warning - commented unused variable: fResult

   * source/macro/Makefile
     - Removed -p hb_comp_yy from YACC_FLAGS
   * source/macro/macro.slx
     * Added #define YYSTYPE HB_MACRO_YYSTYPE
   * source/macro/macro.y
     * Fixed compiler warnings - Corrected deprecated %pure-parser to %define api.pure 
       and %name-prefix "hb_macro_yy" to %define api.prefix {hb_macro_yy}
   * source/macro/macroyy.c
      * Fixed compiler warnings - corrected deprecated %name-prefix "hb_macro_yy" to %define api.prefix {hb_macro_yy}

   * source/rdd/hbsix/sxtable.c
     ! Fixed compiler warning - Apparent typo, corrected: || to && !!!

   * source/rtl/filenet.c
     ! Fixed compiler warning - %hu to %u and cast to void * by interim (intptr_t) cast

   * source/rtl/gtcrs/gtcrs.c
   * source/rtl/gttrm/gttrm.c
     ! Fixed compiler warning - %hd to %d

   * source/rtl/gtxwc/gtxwc.c
     ! Fixed compiler warning - type cast to const char * and Commented un used variable: whiteColor

   * source/rtl/pcre/pcre_study.c
     ! Fixed compiler warning - Apparent typo corrected: && to & on line 1258 !!!

   * source/tip/cgi.prg
     ! Fixed compiler warning - commented out 2 unused STATIC function_exists

   * source/vm/classes.c
      ! Fixed compiler warning - Apparent typo corrected: && to & !!!

   * source/vm/hbservmt.c
     ! Fixed compiler warning - Unused variable: pStack

   * source/vm/itemapi.c
     ! Fixed compiler warning - Added: 
         #elif defined(__APPLE__)
           #define HB_FINITE_DBL( d )  ( isfinite( d ) != 0 )

   * tests/tsttrace.prg
     - Removed no longer needed: #defines

   * utils/hbfilere/hbfilere.c
     ! Fixed compiler warning - wrong type of main, wrong format specifiers and missing type casts
     
   * utils/misc/hbrc.c
     ! Fixed compiler warning - wrong format specifiers

   * utils/xbscript/xbscript.prg
     ! Fixed bug in NextExp() - missing LOOP after ++/-- post op

   * winmake/makefile.gc
     - Removed -p hb_comp_yy from Bison flags

2023-04-20 11:08 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * source/pp/ppgen.c
     * Fixed compiler warnings.
     
2023-04-20 11:08 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   + tests/tsttrace.prg
      + Added sample use of TraceLog().

2023-04-20 19:30 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * source/rtl/traceprg.prg
     * Improved logic to retain original directory of tracefile.

2023-04-20 12:38 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * source/rtl/traceprg.prg
     * Added logic to retain original directory of tracefile.
   * tests/make_gnu.sh
     * Corrected missing name="xharbour"

2023-04-16 14:10 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * .gitignore
     + Added tests\*.c to ignore generated test files.
   * source/pp/ppgen.c
     + Added missing legacy #define HB_VER_CVSID 
   * tests/Makefile
     ! Fixed multiple errors in Makefile.
   + tests/make_gnu.sh
     + New script to build tests using GNU make.
   * tests/test.prg
     + Added sample use of HB_VER_CVSID and HB_VER_GITFAKEID

2023-04-15 00:52 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * source/pp/ppgen.c
     * Modified to process new ChangeLog header after port to GIT from SVN

2023-04-14 19:27 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
   * .gitignore
     * Ignore build generated files.

   * config/darwin/gcc.cf
     - Removed -Wno-long-double from CFLAGS.
     + Added -DHB_NO_DV_MEMCPY to CFLAGS.

   * make_drw.sh
      + Added Instructions as well as recommended EXPORTS for Darwin.

   * source/rtl/hbsocket.c
      ! Fixed compilation error on Darwin.

   * source/rtl/zlib/gzlib.c
   * source/rtl/zlib/gzread.c
   * source/rtl/zlib/gzwrite.c
     + Added missing include <unistd.h> for Darwin.

2023-04-13 22:02 UTC-0500 Ron Pinkas <ronpinkas/AT/gmail/com>
    * First ChangeLog entry after porting to GitHub and adding $Id tag. 
  
2022-11-18 23:30 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\direct.c
    ! fixed hb_fsDirectory() to work fine with lower drive name

2022-11-14 12:45 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.vc
    ! fixed to build hbzip library in 64 bit mode

2022-11-14 10:47 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\dllcall.c
    ! always define LoadLibrary(), FreeLibrary() and GetLastError() functions for Win builds

2022-11-13 16:08 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_vc.bat
    ! fixed a syntax error on PATH assignment and commented out three unuseful ECHO commands
  * include/hbver.ch
    ! bump copyright year to 2022

2022-10-17  14:20 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * source\ct\dattime3.c
  * source\ct\settime.c
  * source\rtl\arc4.c
    * updated to the current state of glibc, versions >= 2.30 have
      no sysctl(). Should fix build issues on current Linux distros
      like Fedora 33, etc.	 Borrow from harbour 

2020-12-12  14:20 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * source\ct\dattime3.c
  * source\ct\settime.c
     * added #define _DEFAULT_SOURCE necessay in new Linux distors
	   Borrow from harbour 
  * source\rtl\arc4.c
    * updated to the current state of glibc, versions >= 2.30 have
      no sysctl(). Should fix build issues on current Linux distros
      like Fedora 33, etc.	 Borrow from harbour 

2020-10-29 16:08 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\tipssl\inetssl.c
    ! added call to SSL_set_tlsext_host_name() to fix handshake faillure TLSv3. Thanks to Richard Visscher!

2020-10-15 12:26 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\rat.c
    ! completely rewritten (commented out old version)

2020-03-11 19:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/hbhpdf/hpdf_fontdef_tt.c
  * contrib/hbhpdf/hpdf_image_png.c
  * contrib/hbhpdf/hpdf_pages.c
    ! initialize & define statics as required

  * utils/misc/hbrc.c
  * winmake/compile.mak
    + introduce environment-variable strings and
      replaces them with their defined values

2020-02-26 15:45 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/hbhpdf/hpdf_encrypt.c
  * contrib/hbhpdf/hpdf_font_cid.c
  * contrib/hbhpdf/hpdf_fontdef_jp.c
  * contrib/hbhpdf/hpdf_fontdef_kr.c
  * contrib/hbhpdf/hpdf_fontdef_tt.c
  * contrib/hbhpdf/hpdf_image_ccitt.c
  * contrib/hbhpdf/hpdf_utils.c
    ! pacify warnings

2020-02-26 10:56 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\tipssl\inetssl.c
    ! commented out some unused vars and function calls

2020-02-26 10:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rdd/dbfcdx/dbfcdx1.c
    + show more info on DBFCDX RDD internal error:
        real name of index file
        name of data file

2020-02-25 17:40 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbver.ch
  * winmake/compile.mak
    ! bump copyright year to 2020

2020-02-25 17:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib\sddoci\sddoci.c
    ! fixed compilation

  * source\compiler\cmdcheck.c
    ! fix memory leak on compiling

  * include/hbver.ch
    + added new define _HB_CURR_YEAR

  * source/compiler/hbusage.c
  * source/pp/ppgen.c
  * utils/hbdoc/hbdoc.prg
  * utils/hbmake/hbmake.prg
  * utils/hbpp/hbpp.c
  * utils/hbrun/hbrun.prg
  * utils/hbtest/hbtest.prg
  * winmake/compile.mak
    ! bump copyright year to 2019

2019-06-14 17:10 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\rdd_ads\adsfunc.c
    ! reverted my last wrong commit

2019-06-14 17:03 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\rdd_ads\adsfunc.c
    ! uncomment function HB_FUNC( ADSSETNULL )

2019-06-13 15:39 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\cdpapi.c
    ! added function HB_UTF8ASC() borrow from harbour

2019-06-03 11:40 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\trace.c
    ! added #include "hbset.h"

2019-06-03 11:20 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\trace.c
    ! replace fixed name "trace.log" with hb_setGetTraceFile()

2019-05-31 21:40 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\tipssl\smtpcln.prg
    ! removed unused variable cUser from OpenSecure() method

2019-05-30 12:45 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\vm\errorapi.c
    ! removed a spurious character at the beginning of file
    ! removed no more needed HB_THREAD_STUB from hb_errInternal()

2019-05-29 21:00 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * source\vm\errorapi.c
    ! using hb_setGetErrorLog insted  of using stack
  * source\compiler\gencc.c
    ! fix to hb_p_pushlonglong to correct generate hb_xvmPushLongLong call
  * contrib\tipssl\smtpcln.prg
    ! adjust to connect to office365 smtp

2019-05-23 00:16 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\vm\errorapi.c
    ! add HB_THREAD_STUB to hb_errInternal() to allow mt compilation

2019-05-21 09:38 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\vm\errorapi.c
    ! fixed wrong use of static error.log name in hb_errInternal(). Thanks to Claudio Voskian!

2019-03-07 09:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\readline.c
    ! replaced HB_SIZE with HB_ISIZ. Thanks to Luiz!

2018-12-12 21:46 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/empty.c
    ! fixed minor bug on empty

2018-10-11 23:00 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\tip\ftpcln.prg
    ! increase InetRecvLine() buffer to 256 in method GetReply(). Thanks to Klas Engwall!

2018-08-18 16:00 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * include/hbhash.h
    ! added const to hb_hashTableFind to make msvc happy
  * source/common/hbhash.c
    ! change ULONG => HB_SIZE
	! xgrab/memset  => xgrabz
	! added const to hb_hashTableFind/hb_hashTableAdd to make msvc happy
  * source/tip/ftpcln.prg
    ! updated method RETR to dont call SIZE operation
  * source/rtl/rat.c
    ! added missing cast to strlen
  * source\rtl\hbsrlraw.c
    ! in HB_DESERIALIZEARRAY LONG -> HB_SIZE
  * source\rtl\hbwinole.c
    ! fixed double variable declaration
  * source\compiler\hbident.c
    !added HB_UNCONST  to hb_comp_IdentDel Value variable
  * source\rtl\pcre\config.h
    contrib\jpeg\jconfig.h
	contrib\pdflite\include\pc_util.h
	contrib\pdflite\include\p_intern.h
	utils\hbpp\hbpp.c
	utils\hbpp\hbppcalc.c
	utils\hbpp\hbppcomp.c
    ! define _CRT_SECURE_NO_WARNINGS only if not defined
  * winmake/makefile.vc
    ! added some defines to shout off some warnings

2018-07-14 22:10 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * source\rdd\delim1.c
    ! minor fix

2018-07-14 15:30 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * include\dbinfo.ch
  * include\hbrdddel.h
  * source\rdd\delim1.c
    ! adjust to not add header to delimited output. if header is needed use (area)->(dbinfo(RDDI_SETHEADER,1)) before calling copy to demim command

2018-06-23 17:20 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * make_pc.bat
  * winmake\makefile.pc
    ! some fix to build dll and contribs
	! for proper build set __make__=nmake ( using msvc nmake to build full pelles c 64 bits binaries )

2018-06-23 12:50 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * include\hbapi.h
  * source\common\hbarch.c
    ! added missing cast to hb_get_rev_double and hb_get_std_double to make pellesc 64 bits compiler happy
  * source\common\hbstr.c
    source\rtl\at.c
	source\rtl\dateshb.c
    ! added new line to end of file
  * source\rtl\filesys.c
    ! added an missing USHORT cast on hb_fsIsDrv function
  * source\rtl\hbxml.c
    ! fixed old style declaration to mxml_sgs_new()
  * source\rtl\zlib\crc32.c
    ! fixed old style declaration to get_crc_table
  * source\rtl\zlib\zutil.c
    ! fixed old style declaration to zlibVersion and zlibCompileFlags

2018-06-09 22:32 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake\makefile.bc
    ! minor fixes to compile hbzip library under BCC 64-bit.

2018-06-08 18:31 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\dllcall.c
  * source\rtl\gttone.c
  * contrib\xwt\src\xwt_win\xwt_win.c
  * contrib\xwt\src\xwt_win\xwt_win.h
  * contrib\xwt\src\xwt_win\xwt_win_framewnd.c
  * contrib\hbzlib\include\zipcollections.h
    ! minor fixes to compile under BCC102. Thanks to Mel!

2018-05-29 10:13 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\rddads\adsfunc.c
    ! minor fixes to ADSDDSETFIELDPROPERTY() and ADSSETTIMESTAMP(). Thanks to Reinaldo!

2018-05-28 19:20 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\rddads\adsfunc.c
    ! better implementation of functions ADSSETTIMESTAMP() and ADSSETNULL(). Thanks to Reinaldo!

2018-05-28 11:20 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\rddads\adsfunc.c
    ! added functions ADSDDSETFIELDPROPERTY(), ADSSETTIMESTAMP() and ADSSETNULL(). Thanks to Reinaldo!

2018-05-14 8:12 UTC+0100 Patrick Mast <patrick.mast@xharbour.com>
  * source/rtl/zlib/gzguts.h
    ! Fix to make XCC happy

2018-04-19 22:10 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/rat.c
    ! revert to previus version

2018-04-12 10:16 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\filenet.c
    ! fixed a mistype: ptr => ptrs in hb_fileNetWriteLarge()
  * contrib\filemem\filemem.c
    ! changed USHORT uiExFlags to HB_FATTR uiExFlags in s_fileOpen()

2018-04-11 14:00 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * include/hbapifs.h
    ! adjust in function that use USHORT uiFlags to use HB_FATTR uiFlags
  * include/hbcompat.h
    ! added defined #define hb_arraySetCLPtr          hb_arraySetCPtr  and #define HB_MAXUINT                HB_ULONG
  * include/hbdate.h
    ! added hb_timerGet(),hb_timerInit() and hb_timerTest() borrow from harbour
  * include/hbexprb.c
    ! fixed warning by using duplicate variable by renaming the second variable to szName2
  * include/hbsocket.ch
    ! Sync with harbour
  * include/hbsocket.h
    ! Sync with harbour
  * source/common/hbdate.c
    ! added hb_timerGet(),hb_timerInit() and hb_timerTest() borrow from harbour
  * source/common/hbgete.c
    ! cast strlen( szValue ) to DWORD on call to RegSetValueEx to make msvc win64 build happy
  * source/compiler/comptool.c
    ! in structure HB_MEMINFO ULONG ulSize  => HB_SIZE ulSize
    ! static LONG s_ulMemoryBlocks       => static HB_SIZE s_ulMemoryBlocks
    ! static LONG s_ulMemoryMaxBlocks    => static HB_SIZE s_ulMemoryMaxBlocks
    ! static LONG s_ulMemoryMaxConsumed  => static HB_SIZE s_ulMemoryMaxConsumed
    ! static LONG s_ulMemoryConsumed     => static HB_SIZE s_ulMemoryConsumed
    ! in hb_xquery() function change ULONG => HB_SIZE
    ! in hb_memToStr function change ULONG => HB_SIZE
	! changed %lu to %" HB_PFS "u where applicable
  * source/ct/bit3.c
    ! Change HB_LONG to long
  * source/pp/ppgen.c
    ! in function hb_pp_writeToken and hb_pp_parseChangelog cast strlen to int
  * source/rdd/dbfntx/dbfntx1.c
	! optimized to use  hb_itemGetDTS( pItem, szBuffer );	 insted of char szBuffer[ 17 ];
      hb_datetimeDecStr( szBuffer, hb_itemGetDL( pItem ), hb_itemGetT( pItem ) );
  * source/rdd/dbfcdx/dbfcdx1.c
  * source/rdd/dbffpt/dbffpt1.c
  * source/rdd/dbffpt/redbffpt1.c
  * source/rdd/dbfmdx/dbfmdx1.c
  * source/rdd/hsx/hsx.c
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy		  
  * source/rtl/copyfile.c
	! changed blockeval function to use HB_SIZE insted of ULONG			  	 
  * source/rtl/filebuf.c
    ! changed USHORT uiExFlags to HB_FATTR uiExFlags in s_fileExtOpen and hb_fileExtOpen functions
  * source/rtl/filenet.c	
    ! changed USHORT uiExFlags to HB_FATTR uiExFlags in hb_NetExtName and hb_fileNetExtOpen functions
  * source/rtl/filesys.c
    ! in hb_fsReadAt and hb_fsReadLarge some changed on call to ReadFile Api to make win64 build happy
	! changed USHORT uiExFlags to HB_FATTR uiExFlags in hb_fsExtName and hb_fsExtOpen functions
  * source/rtl/gtwin/gtwin.c
  * source/rtl/gtwvt/gtwvt.c
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy		  	
  ! source\rtl\hbcomprs.c	
    ! some casts to make win64 build happy  ( HB_SIZE ) to ( uLong)  in HB_UNCOMPRESS and HB_COMPRESS functions
  ! source\rtl\hbsrlraw.c
    ! fixed cast on  HB_DESERIALIZEARRAY	 LONG -> HB_SIZE
  ! source\rtl\readline.c 
    ! hb_fsSeek -> hb_fsSeekLarge
	! hb_xfree( Term ); - >hb_xfree( ( void * ) Term );
  ! source\tip\base64.c
    ! change int to HB_FHANDLE   
  * source/vm/dbgentry.c
    ! changed HB_COUNTER  nProcLevel to  int nProcLevel in hb_dbgEvalResolve and hb_dbgEntry functions	
  ! source\rdd\hsx\hsx.c
    ! in function HS_FILTER change ULONG ulLen -> HB_SIZE        ulLen and ULONG ull,ul to HB_SIZE ull,ul
  ! winmake/common.mak  
    ! removed maindll from VM_MAIN_OBJS
  * winmake/makefile.gc 
   ! added iphlpapi to compiler libs 
  ! winmake/msvcerr.vc
    + added defined to msvc 2015 and msvc 2017
  * make_vc64.bat 
    ! bat to build xharbour using msvc 64bits
	
2018-03-25 21:37 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/rdd_ads/ads1.c
    ! minor fix on adsSkip and adsSkipFilter ( HB_LONG -> LONG)
  * source\rtl\zlib\gzlib.c
  * source\rtl\zlib\zutil.h
    ! minor adjust to make XCC happy
	
2018-03-13 20:12 UTC+0100 Patrick Mast <patrick.mast@xharbour.com>
  * bin\bld_vc.bat
    ! Fixed to always compile for 32 bits.

2018-03-11 21:10 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include/hbfloat.h
    ! fixed a wrong comparison in #define HB_NUMTYPE()

2018-03-11 20:29 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_gc.bat
    ! SET HB_ARCHITECTURE=w32 remmed out, it prevented MinGW build

2018-03-11 16:41 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/compiler/hbusage.c
  * utils/hbdoc/hbdoc.prg
  * utils/hbmake/hbmake.prg
  * utils/hbpp/hbpp.c
  * utils/hbrun/hbrun.prg
  * utils/hbtest/hbtest.prg
  * winmake/compile.mak
    ! bump copyright year to 2018

2018-03-10 11:05 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib\hbhpdf\hpdf_encoder_utf.c
    ! added a cast in function UTF8_Encoder_EncodeText_Func()

2018-03-08 21:37 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * winmake/common.mak
  * winmake/compile.mak
    ! update dependencies missed from previus commit

2018-03-07 21:00 UTC-0300  Luiz Rafael Culik <luiz@xharbour.com.br>
  * bin/pack_src.sh
    ! added new sources to compress
  * contrib/hbbz2/bzlib_pr.h
    contrib/hbbz2/core.c
    ! sync with harbour  
  * contrib/hbbz2/Makefile
    ! updated
  * contrib/hbhpdf/*.c
    ! updated to version 2.3  
  * contrib/hbhpdf/*.h
    ! updated to version 2.3
  * contrib/hbzebra/*.c
    ! sync with harbour  
  * contrib/rddsql/hbrddsql.h
    contrib/rddsql/sqlmix.c
    contrib/rddsql/sqlbase.c	
	! sync with harbour  
  * contrib/rddsql/Makefile 
    ! added missing makefile  
  * contrib/rdd_ads/adsfunc.c
    ! minor fix on ADSDDSETTABLEPROPERTY and ADSDDCREATEREFINTEGRITY  
  * contrib/sddoci/sddoci.c
   ! sync with harbour  
  * contrib/sddoci/Makefile 
    ! added missing makefile     
  * contrib/sddodbc/sddodbc.c
   ! sync with harbour  
  * contrib/sddodbc/Makefile 
    ! added missing makefile     
  * xharbour.spec  
    ! minor updates  
  * include/hbexprb.c	
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy	
  ! source\common\hbdate.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy
  ! source\common\hbmem.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy
  ! source\common\hbprintf.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy
  ! source\compiler\cmdcheck.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy
  ! source\compiler\comptool.c   
    ! added missing else braces on hb_compOutStd and hb_compOutErr functions
  ! source\compiler\harbour.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy  
  ! source\pp\ppcore.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy  
  ! source\rtl\gtcrs\gtcrs.c 
    ! Change  WINDOW * stdscr -> WINDOW * hb_stdscr to make gtcrs compile under newer versions;
  ! source\rtl\zlib\compress.c 
    ! update to version 1.2.11
  ! source\rtl\zlib\zlib.h 
    ! update to version 1.2.11
  ! source\rtl\dateshb.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy    
  ! source\rtl\hbcomprs.c 
    ! fix typo compress -> compress2 
  ! source\rtl\hbgtcore.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy      
  ! source\rtl\hbserv.c 
    ! added missing return
  ! source\rtl\philes.c 	
    ! minor fix on casts
  ! source\rtl\str2ptr.c 
    ! fixed some cast (ULONG) hb_itemGetNL -> hb_itemGetNS
  ! source\rtl\valtostr.c	
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy        
  ! source\rtl\zlib\infback.c 
  ! source\rtl\zlib\inflate.c	
	! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy        
  ! source\rdd\dbf1.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy      
  ! source\rdd\dbf1net.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy      
  ! source\rdd\workarea.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy
  ! source/rdd/bmdbfcdx/bmdbfcdx1.c
  ! source/rdd/bmdbfcdx/redbfcdx1.c
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy
  ! source/vm/hvm.c 
    ! added /* fallthrough */ comments to case statement with out break to make gcc 7 happy
      
2018-02-17 19:32 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\ct\bit3.c
    ! removed unused variable iPCount in function NUMANDX()

2018-02-17 19:05 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source\rtl\hbffind.c
    ! fix a couple of typos in function hb_fsAttrToRaw()

2018-02-17 15:00 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source\rtl\filenet.c
    ! fix to hb_fsSetAttr typo on previus commit
  * source\rtl\filenet.c
    !fix to format
	
2018-02-17 14:15 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/ct/files.c
    ! added defined for FILE_ATTRIBUTE_PINNED and FILE_ATTRIBUTE_UNPINNED if not exist on windows.h

2018-02-17 13:25 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source\rtl\filenet.c
    ! missed from previus commit

2018-02-17 12:15 Luiz Rafael Culik <luiz@xharbour.com.br>
  * include/hbapiitm.h
    ! removed const from hb_itemPutNL function declaration
  * !include/hbapi.h
    ! added HB_ITEM_PUT_LONGRAW macro, borrow from harbour
  * include/hbapifs.h	
    ! added HB_FA_PINNED and HB_FA_UNPINNED defined for directory output W and U
	! changed ULONG ulAttr to HB_FATTR ulAttr in hb_fsCreate, hb_fsCreateEx, hb_fsCreateTemp, hb_fsCreateTempEx, hb_spCreate, hb_spCreateEx, hb_fsFindFirst, 
     	hb_fsAttrFromRaw, hb_fsAttrToRaw, hb_fsAttrEncode, hb_fsAttrDecode, hb_fsGetFileAttributes, hb_fileCreateTemp, hb_fileCreateTempEx
        hb_fileNetCreateTemp, hb_fileNetCreateTempEx		functions
	! changed ULONG ulAttr to HB_FATTR ulAttr and LONG to long in hb_fsGetFileTime, hb_fsSetFileTime, hb_fsGetAttr, hb_fsSetAttr functions
	! added long lTime member to structure  HB_FFIND and change attrmask type from ULONG to HB_FATTR
	! added long lTime member to structure  HB_NETFFIND and change attr type from ULONG to HB_FATTR
  * ! include/hbrdddel.h 
    ! added new members to DELIMAREA structure borrow from harbour 
  * ! include/hbrddsdf.h	
    ! added new members to SDFAREA structure  borrow from harbour
  * source\common\hbfsapi.c	
    ! changed HB_WIN32_IO to HB_OS_WIN 
  * c:\xharbour\source\common\hbwince.c
    ! added #include "windows.h" when HB_OS_WIN is defined
  * source\ct\bit3.c
    ! small optimizations to functions  
  * source\ct\files.c 
    ! added defined for FA_PINNED and FA_UNPINNED
	! change signature of function hb_fsGetFileAttributes from ULONG  to HB_FATTR
    ! in function SETFATTR added support for FA_PINNED and FA_UNPINNED attributes
    ! removed (LONG) cast when calling hb_retd
    ! in function SETFDATI change LONG to long
  * source/rdd/delim1.c
    ! updated delim RDD to allow timestamp borrow from harbour  
  * source/rdd/sdf1.c	
    ! updated SFD RDD to allow timestamp borrow from harbour	
  * source\rtl\gtpca\gtpca.c 
    ! changed HB_WIN32_IO to HB_OS_WIN 
  * source\rtl\gtpca\gtstd.c 
    ! changed HB_WIN32_IO to HB_OS_WIN 
  * source\rtl\console.c 
    ! changed HB_WIN32_IO to HB_OS_WIN 
  *  source\rtl\direct.c 
    ! added support for  FA_PINNED and FA_UNPINNED attributes
  * source\rtl\file.c 
	! changed HB_WIN32_IO to HB_OS_WIN 
  * source\rtl\filebuf.c
    ! change ULONG ulAttr to HB_FATTR ulAttr  
  * source\rtl\filenet.c 
    ! change ULONG ulAttr to HB_FATTR ulAttr  
  * source\rtl\filestat.c   	
    ! change LONG  to long ulAttr  
  * source\rtl\filesys.c 
	! change ULONG ulAttr to HB_FATTR ulAttr
  * source\rtl\fserror.c 
    ! added #include "windows.h" when HB_OS_WIN is defined	
  * source\rtl\fstemp.c 
    ! change ULONG ulAttr to HB_FATTR ulAttr   and  HB_WIN32_IO to HB_OS_WIN 
  * source\rtl\hbffind.c 
    ! Changes to support  FA_PINNED and FA_UNPINNED attributes, ULONG ulAttr to HB_FATTR ulAttr
  * source\rtl\spfiles.c 
    ! change ULONG ulAttr to HB_FATTR ulAttr
  * source\vm\itemapi.c
	! removed unnecessary const in hb_itemPutNL function and using the new HB_ITEM_PUT_LONGRAW macro11
  * source\vm\maindll.c 
    source\vm\maindlle.c 
	source\vm\maindllh.c 
	source\vm\maindllp.c 
	source\vm\mainwin.c	
	! when HB_OS_WIN is defined added #include "windows.h"
	
2018-02-13 22:35 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/rat.c
    ! One more fix regarding the 3rd parameter

2018-02-13 22:15 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/rat.c
    ! reverted changes of 2012-12-06 by Andi

2017-12-19 10:33 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/zlib/inflate.c
    ! minor fix

2017-12-18 19:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/zlib/inflate.c
    ! minor fix

2017-12-18 19:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/zlib/gzlib.c
    ! pacify warnings

2017-12-17 16:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/png/png.c
  * contrib/png/pngerror.c
  * contrib/png/pngget.c
  * contrib/png/pngmem.c
  * contrib/png/pngpread.c
  * contrib/png/pngread.c
  * contrib/png/pngrio.c
  * contrib/png/pngrtran.c
  * contrib/png/pngrutil.c
  * contrib/png/pngset.c
  * contrib/png/pngtrans.c
  * contrib/png/pngwio.c
  * contrib/png/pngwrite.c
  * contrib/png/pngwtran.c
  * contrib/png/pngwutil.c
  * contrib/png/png.h
  * contrib/png/pngconf.h
  * contrib/png/pngdebug.h
  * contrib/png/pnginfo.h
  * contrib/png/pnglibconf.h
  * contrib/png/pngpriv.h
  * contrib/png/pngstruct.h
    * update to version 1.6.34

  * source/rtl/zlib/adler32.c
  * source/rtl/zlib/compress.c
  * source/rtl/zlib/crc32.c
  * source/rtl/zlib/deflate.c
  * source/rtl/zlib/gzclose.c
  * source/rtl/zlib/gzlib.c
  * source/rtl/zlib/gzread.c
  * source/rtl/zlib/gzwrite.c
  * source/rtl/zlib/infback.c
  * source/rtl/zlib/inffast.c
  * source/rtl/zlib/inflate.c
  * source/rtl/zlib/inftrees.c
  * source/rtl/zlib/trees.c
  * source/rtl/zlib/uncompr.c
  * source/rtl/zlib/zutil.c
  * source/rtl/zlib/crc32.h
  * source/rtl/zlib/deflate.h
  * source/rtl/zlib/gzguts.h
  * source/rtl/zlib/inffast.h
  * source/rtl/zlib/inffixed.h
  * source/rtl/zlib/inflate.h
  * source/rtl/zlib/inftrees.h
  * source/rtl/zlib/trees.h
  * source/rtl/zlib/zconf.h
  * source/rtl/zlib/zlib.h
  * source/rtl/zlib/zutil.h
    * update to version 1.2.11

2017-09-02 23:08 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbhpdf/harupdf.c
    ! added setting date.ind to space in function HPDF_SETINFODATEATTR (many thanks to Mario Simï¿½es Filho)

2017-08-27 00:33 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/tipssl/client.prg
    ! reverted change on method Read(), replaced back InetRecvAll() with InetRecv() (many thanks to ostap.romanenko@gmail.com)

2017-08-24 10:22 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/client.prg
  * contrib/tipssl/client.prg
    ! reinstated bChunked variable in Read() method (many thanks to ostap.romanenko@gmail.com)
  * source/tip/ftpcln.prg
    ! added bChunked DATA (many thanks to ostap.romanenko@gmail.com)

2017-08-21 23:43 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/tipssl/inetssl.c
    ! fixed function s_inetRecvInternal(), assignment of iLen was missing (many thanks to ostap.romanenko@gmail.com)
  * contrib/tipssl/client.prg
    ! fixed method Read(), replace InetRecv() with InetRecvAll() (many thanks to ostap.romanenko@gmail.com)

2017-08-20 14:20 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/httpcln.prg
  * contrib/tipssl/httpcln.prg
    ! fixed method ReadHeaders() increasing buffer to 10000 (many thanks to ostap.romanenko@gmail.com)

2017-08-14 17:04 UTC+0100 Patrick Mast <patrick.mast@xharbour.com>
* bin/bld_vc.bat
  + Added support for Visual Studio 2017 Community edition

2017-08-01 09:53 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/client.prg
  * contrib/tipssl/client.prg
    ! commented out unexistent bChunked variable in Read() method (many thanks to Michael)

2017-07-25 02:40 UTC-0600 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * make_vc.bat
    + Added auto detect/setup for MS VS 2017 (more generic approach using vswhere.exe was avoided because it would require wider scope changes than I was ready to perform.
    * Fixed minor typo

2017-06-28 23:22 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/tbrowse.prg
    ! fixed method SetRowPos() (many thanks to Jose Claudio)

2017-05-13 19:00   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/hbxml.c 
    ! fix to allow dot in xml tag name. fix provided by Grzegorz Wojnarowski

2017-03-12 17:00   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/win_misc.c
    ! optimized  ANSITOWIDE to not use wcslen to make pelles C happy fix borrow from harbour

2017-03-04 21:00    UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/pdflite/pdcore/pc_file.c
    ! minor fix to compile under pelles C 8
    
2017-02-28 17:00    UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/tip/thtml.prg
    ! minor fix on PSTRCOMPI
  * tests/tiptest/loadhtml.prg
    ! minor update  

2017-02-28 11:08 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/sendmail.prg
  * contrib/tipssl/sendmail.prg
    ! minor fixes (many thanks to Jose Claudio)

2017-02-27 23:18 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/tipssl/client.prg
    ! fixed method Read() to work with chunked data (many thanks to ostap.romanenko@gmail.com)

2017-02-27 18:43 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/client.prg
    ! fixed method Read() to work with chunked data (many thanks to ostap.romanenko@gmail.com)

2017-02-15 21:10   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  + winmake/mingw.rsp
  + winmake/mingw64.rsp
    ! response linker file for mingw and mingw64
  * winmake/makefile.gc
    ! changes to use the response file when build the dll
       
2017-02-14 23:40   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>  
  * winmmake/compile.mak
    ! fix minor rule
  * make_gc.bat
    ! when build dll set HB_NO_VM_ALL=1
    
2017-02-14 23:40   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>  
  * make_gc.bat
    ! Add missing set HB_ARCHITECTURE=w32
    
2017-02-04 19:41 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * make_bc.bat
  * utils/misc/hblib.c
    ! fixed to compile under BCC 64-bit

2017-02-02 19:11 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/filenet.c
    ! fixed endless loop in function hb_fileNetFindOffset (many thanks to Rajesh!)

2017-01-27 23:12 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * utils/misc/hblib.c
    ! fixed to compile under BCC 64-bit

2017-01-27 11:30 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake/makefile.bc
  * winmake/common.mak
    ! fixed to compile under BCC 64-bit (many thanks to Andi!)

2017-01-24 21:00 UTC-0600 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * source/vm/hash.c
    ! Fixed a -1 bug for 3rd argument (nLevel) in HB_FUNC( HSetPartition )

2017-01-01 15:30   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>  
   * utils/misc/hblib.c
     ! added Iphlpapi.lib to borland c libs
  * source/compiler/hbusage.c
  * utils/hbdoc/hbdoc.prg
  * utils/hbmake/hbmake.prg
  * utils/hbpp/hbpp.c
  * utils/hbrun/hbrun.prg
  * utils/hbtest/hbtest.prg
  * winmake/compile.mak
    ! bump copyright year to 2017
     
     
2016-12-29 19:30   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>  
   * contrib/tipssl/inetssl.h
     ! fix to compile with borland c++ 5.5

2016-12-27 21:10   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>  
   * include/hbdefs.h
     ! added missing hb_unconst macro
     
2016-12-26 22:00  UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/hbssl/hbssl.h
     ! minor fix to previus commit.

2016-12-25 23:30  UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/hbssl/bio.c
   * contrib/hbssl/err.c
   * contrib/hbssl/evp.c
   * contrib/hbssl/evpciph.c
   * contrib/hbssl/evpenc.c
   * contrib/hbssl/evpmd.c
   * contrib/hbssl/hbssl.ch
   * contrib/hbssl/hbssl.h
   * contrib/hbssl/rand.c
   * contrib/hbssl/ssl.c
   * contrib/hbssl/sslctx.c
     * Adjust to compile under openssl >= 1.1.x some fixes borrow from Victor harbour branch
   
2016-12-24 19:30  UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/hbssl/rand.c
   * contrib/hbssl/ssl.c
   * contrib/hbssl/sslctx.c
   * contrib/hbssl/bio.c
     ! minor fix to compile under pelles c with openssl >= 1.1.0

2016-12-20 21:10  UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/hbssl/evpmd.c
   * contrib/hbssl/hbssl.h
     ! minor fix to compile under pelles c with openssl >= 1.0.2


2016-12-18 15:30 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/hbssl/bio.c
   * contrib/hbssl/evpciph.c
   * contrib/hbssl/evpenc.c
   * contrib/hbssl/hbssl.ch
   * contrib/hbssl/hbssl.h
   * contrib/hbssl/rand.c
   * contrib/hbssl/ssl.c
   * contrib/hbssl/sslctx.c
     ! adjust to compile under openssl >= 1.0.2
  
2016-12-10  11:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/hbssl/bio.c
   * contrib/hbssl/err.c
   * contrib/hbssl/evpciph.c
   * contrib/hbssl/evpmd.c
   * contrib/hbssl/ssl.c
   * contrib/hbssl/x509.c
   * some fix to compile under new openssl version borrow from harbour


2016-12-10  23:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/hbssl/bio.c
     ! fixed compilation under new version of openssl

2016-11-23 11:24 UTC-0600 Ron Pinkas <ron.pinkas/at/xharbour.com>
   * source/vm/hvm.c
     ! Fixed gpf trap in hb_vmQuit() - afill of s_aStatics did not verify type array.

2016-11-02 19:50 UTC-0500 Ron Pinkas <ron.pinkas/at/xharbour.com>
   * source/compiler/harbour.sly
   * source/compiler/harbouryy.c
     ! Fixed bug I committed Aug-15-2016 when fixing GPF, failed to reset codeblock flags.
 
2016-10-24  06:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/rdd_ads/ads1.c   
   ! minor fix on last commit

2016-10-23  07:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br> 
   * contrib/rdd_ads/ads1.c   
   ! minor fix on last commit
   
2016-10-22 21:20 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
   * source/compiler/genc.c
     ! reverted last change
   * source/rtl/at.c
     + Added function ATI moved from tip/thtml.prg
     + changed to use itemapi insted of direct structure manipulation
     ! Cast to ( LONG ) removed  now using HB_SIZE for parameter type insted of LONG
   * source/common/hbstr.c
     ! added hb_strAtI function moved from tip/thtml.prg
   * include/hbapi.h
     ! added prototype for hb_strAtI function 
   * source/tip/thtml.prg
     ! removed ATI and hb_strAtI
     % optimized PSTRCOMPI function.
   * contrib/hbexpat/core.c
     ! Changed LONG -> HB_ISIZ
   * contrib/misc/stringsx.c
     ! changed HB_SIZE -> HB_ISIZ 
   * contrib/rdd_ads/ads1.c   
     ! changed in adsSkip       LONG -> HB_LONG
     ! change in adsSkipFilter  LONG -> HB_LONG
     ! changed in adsCreateFields to allow size 8 on field type I and ADS_LIB_VERSION > = 700
     ! changed in adsGetValue   to get longlong value when  field type I and ADS_LIB_VERSION > = 700
     ! changed test #ifdef ADS_MONEY with #ifdef ADS_LIB_VERSION >= 700
     ! changed  in adsGetKeyItem  LONG lDate, lTime to long lDate, lTime
     ! changed cast to LONG with long
   

2016-10-10 22:05 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
   * contrib/gtwvw/gtwvw.c
       ! fixed call to HB_TRACE() macro in hb_gt_FuncInit  function. was passing an diferent name of parameter found when compiling with -DHB_TR_LEVEL=HB_TR_DEBUG
   * source/rdd/dbf1.c
   * source/rdd/dbf1net.c
     ! fixed call to HB_TRACE() macro in hb_dbfTableTransaction  function. was passing an non declared password found when compiling with -DHB_TR_LEVEL=HB_TR_DEBUG
   * gtcgi/gtcgi.c
     ! in hb_gt_cgi_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT )
     ! using hb_xgrabz insted of hb_xgrab/memset calls
   * gtcrs/gtcrs.c   
     ! hb_gt_crs_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT )   
   * gtpca/gtpca.c
      ! hb_gt_pca_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT ) insted of ( void * ) ( HB_PTRDIFF )
   * gtsln/gtsln.c
      ! hb_gt_sln_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT ) insted of ( void * ) ( HB_PTRDIFF )  
   * gtstd/gtstd.c
      ! hb_gt_std_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT ) insted of ( void * ) ( HB_PTRDIFF )    
      ! using hb_xgrabz insted of hb_xgrab/memset calls
   * gttrm/gttrm.c
      ! hb_gt_trm_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT ) insted of ( void * ) ( HB_PTRDIFF )  
      ! using hb_xgrabz insted of hb_xgrab/memset calls
   * gtwin/gtwin.c
      ! hb_gt_win_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT )
   * gtwvt/gtwvt.c
      ! in hb_gt_wvt_New using hb_xgrabz insted of hb_xgrab/memset calls
      ! hb_gt_wvt_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT ) insted of ( void * ) ( HB_PTRDIFF )  
      ! in hb_gt_wvt_Info using cast to ( HB_PTRUINT ) insted of (HB_PTRDIFF) when  calling GetStdHandle
   * gtxwc/gtxwc.c
      ! hb_gt_xwc_Init changed HB_TRACE to cast hFilenoStdin, hFilenoStdout, hFilenoStderr as ( void * ) ( HB_PTRUINT ) insted of ( void * ) ( HB_PTRDIFF )  
   * include/hbinit.h
     * updated to allow new gcc to compile borrow ideia from harbour 
   * include/hbvm.h
     ! removed ULONG ulId to the follow functions : hb_vmProcessSymbols, hb_vmProcessSysDllSymbols, hb_vmProcessPrgDllSymbols,hb_vmProcessExeUsesDllSymbols
   * include/hbvmpub.h      
     ! removed ULONG ulId to the follow function : hb_vmRegisterSymbols
   * source/compiler/genc.c   
     ! changed to generate the new HB_INIT_SYMBOLS_EX_END

   * source/vm/hvm.c     
     ! updated the follow functions to use the removed the parameter ULONG ulId: hb_vmProcessSymbols, hb_vmProcessSysDllSymbols, 
       hb_vmProcessPrgDllSymbols,hb_vmProcessExeUsesDllSymbols and hb_vmRegisterSymbols
   * source/vm/estack.c 
   * source/vm/initsymb.c
   * source/vm/maindlle.c
   * source/vm/maindllh.c
   * source/vm/maindllp.c
   * source/vm/runner.c
   * source/vm/usedll.c
     ! updated to reflect the change on   hb_vmProcessSymbols
         
2016-10-08 19:05 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include/hbcompat.ch
    + added translation rules for hb_SToD() and SToD()

2016-10-04 15:05 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/compiler/hbusage.c
  * utils/hbdoc/hbdoc.prg
  * utils/hbmake/hbmake.prg
  * utils/hbpp/hbpp.c
  * utils/hbrun/hbrun.prg
  * utils/hbtest/hbtest.prg
  * winmake/compile.mak
    ! bump copyright year to 2016

2016-10-03 21:20 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
   * include/hbinit.h
      * minor adjust to previus commit
   * source/compiler/genc.c   
      * minor adjust to previus commit
      
2016-10-02 15:40 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
   * include/hbapi.h
      * Added new functions borrow from harbour
   * include/hbinit.h
     * updated to allow new gcc to compile borrow ideia from harbour 
   * include/hbvm.h
     ! Added ULONG ulId to the follow functions : hb_vmProcessSymbols, hb_vmProcessSysDllSymbols, hb_vmProcessPrgDllSymbols,hb_vmProcessExeUsesDllSymbols
   * include/hbvmpub.h      
     ! added ULONG    ulID; to SYMBOLS structure borrow from harbour
     ! Added ULONG ulId to the follow function : hb_vmRegisterSymbols
   * source/common/hbstr.c
     ! Added new functions HB_NTOC borrow from harbour    
   * source/compiler/genc.c   
     ! changed to generate the new HB_INIT_SYMBOLS_EX_END
   * source/rtl/hbntos.c
     ! added new function 
   * source/vm/hvm.c     
     ! updated the follow functions to use the new parameter ULONG ulId: hb_vmProcessSymbols, hb_vmProcessSysDllSymbols, 
       hb_vmProcessPrgDllSymbols,hb_vmProcessExeUsesDllSymbols and hb_vmRegisterSymbols
   * source/vm/estack.c 
   * source/vm/initsymb.c
   * source/vm/maindlle.c
   * source/vm/maindllh.c
   * source/vm/maindllp.c
   * source/vm/runner.c
   * source/vm/usedll.c
     ! updated to reflect the change on   hb_vmProcessSymbols


2016-09-30 20:30 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
   * contrib/rdd_ads/ads1.c
     ! sinc DBOI_ISDESC correction with harbour
   * contrib/rdd_ads/rddads.h
     ! minor updates
     
2016-08-15 17:04 UTC-0400 Ron Pinkas <ron.pinkas/at/xharbour.com>
   * bin/bld.bat
     + Added test for error level after prg compilation
   * bin/bld_vc.bat
     + Added support for VS 2013 and 2015
   * make_vc.bat
     * More complete VS 2015 support and minor revision

   * source/compiler/harbour.sly
   * source/compiler/harbouryy.c
     ! Fixed GPF trap (hb_comp_BlocksList NULL after syntax error)

2016-07-05 10:02 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/gtwvw/gtwvw.c
    ! pacify warning

2016-07-03 16:00   UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/gtwvw/gtwvw.c
    ! removed asm functions and changed hb_gt_wvw_Tone to call hb_gt_w32_tone 
  
2016-06-13 20:30  UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/vm/arrayshb.c
    ! revert back to previus version

2016-04-25 22:14 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * utils/hbmake/hbmake.prg
  * utils/hbmake/hbmlang.c
    ! minor updated for mingw64 bits
  * winmake/makefile.gc
    ! minor fix

2016-04-23 20:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/vm/arrayshb.c
    ! minor adjust on previus commit

2016-04-23 19:20 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * xharbour.spec
    ! minor adjust
  * source/ct/bit.c
    ! LONG->HB_LONG and some adjust to make mingw happy
  * source/vm/arrayshb.c
    ! HB_PTRDIFF ->  HB_PTRUINT to make mingw happy

2016-04-24 00:03 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/ftpcln.prg
    ! restored F_SIZE and removed Val() in method fileSize()

2016-04-22 23:10 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/ftpcln.prg
    ! fixed calculation of length of file in method Retr(), it now uses SIZE command
    ! replaced F_SIZE with 7 in method fileSize()

2016-04-20 14:50 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * make_gc.bat
    ! minor fix
  
2016-04-17 19:50 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * winmake/makefile.gc
    ! disable hbdoc build
    
2016-04-17 19:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * winmake/makefile.gc
    ! when compiling to 64bits add -DWIN32 to compile properly pdflite
  * include/thread.h
    ! added S_RDDMTX enum  
  * make_gc64.bat  
    ! minor update
    ! to compile properly with mingw on an dos shell do
    set CC_DIR=directory where mingw64 is instaled so in my machine is ( i use one from https://sourceforge.net/projects/mingw-w64/ )
    SET CC_DIR=C:/mingw530-64
    make_Gc64 
    
2016-03-13 21:30 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rdd/hsx/hsx.c
    ! some fixes to make mingw 5.3.0 happy
  * include/hbdefs.h
    ! added HB_FUNC_TRANSLATE macro borrow from harbour
    
2016-03-12 12:20 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/txml.c
    ! missed from previus commit

2016-03-10 22:10 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/txml.c
    ! fixed write cdata inside an tag
    
2016-02-21 11:30 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * make_vc.bat
    ! added visual studio 2014 support
    
2015-11-10 14:56 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/dllcall.c
    ! Accept pointer as 1st parameter in function DLLPREPARECALL

2015-10-17 15:50 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/ct/files.c
    ! Fixed bug in SETFATTR() which prevented to clear the attribute flag

2015-09-29 11:00 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/mail.prg
    ! Fixed bug in :FromString() which caused infinite looping
    + Added support for optional progress block as 4th argument to :FromString()

  * source/tip/popcln.prg
    ! Fixed :List() to return "" instead of NIL
    + Added support for optional bAllBlock and bEachBlock to :RetrieveAll()
      as 2nd and 3rd arguments

  * contrib/tipssl/mail.prg
    ! Syntax refinement

  * contrib/tipssl/popcln.prg
    ! Syntax refinement

2015-09-24 20:15 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * contrib/tipssl/mail.prg
    ! Fixed bug in :FromString() which caused infinite looping
    + Added support for optional progress block as 4th argument to :FromString()

  * contrib/tipssl/popcln.prg
    ! Fixed :List() to return "" instead of NIL
    + Added support for optional bAllBlock and bEachBlock to :RetrieveAll()
      as 2nd and 3rd arguments

2015-09-08 14:38 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * include/hbdefs.h
    * Commented OUT #if defined( __POCC__ ) || defined( __XCC__ )
      for #define HB_SYMBOL_UNUSED()
  * include/hbsetup.ch
    * Added protection against double define HB_EXT_INKEY

2015-09-06 17:23 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/contrib/tipssl/popcln.prg
    ! fixed wrong call to "Retreive" with "Retrieve" in method Read() (thanks to Claudio Voskian)

2015-09-05 12:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * include/hbdefs.h
    * changed 32-bit reference counters in Win64 builds to 64-bit ones.
      It resolves problems with data alignment in memory allocated by
      hb_xgrab(). borrow from harbour

  * src/vm/asort.c
    * removed hack for MinGW64 build from new array sort code,
      after switching to 64bit reference counters it should not
      be longer necessary because allocated memory has 64bit alignment
      borrow from harbour
  * xharbour.spec
    ! minor changes

2015-08-30 21:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/hbsqlite3/xhbsqlite3.c
    ! minor fix to compile under visual studio 2015
  * contrib/hbzlib/zipplatform.cpp
    ! minor fix to compile under visual studio 2015
  * include/hbapi.h
    ! added HB_IT_EVALITEM borrow from harbour
  * include/hbapiitm.h
    ! added hb_itemRawSwap borrow from harbour
  * include/hbcompat.h
    ! added HB_U64 and hb_itemGetTDT defined
  * include/hbxml.h
    ! some adjust on function declaration borrow from harbour
  * source/rtl/hbxml.c
    ! fixes borrow from harbour
  * source/rtl/dllcall.c
    ! adjust to return pointers insted of long values
  * source/vm/asort.c
    ! new version borrow from harbour
  * utils/hbmake/hbmlang.c
    ! minor fix to compile under visual studio 2015
  * source/rtl/achoice.prg
    ! changed ISITEMSELECTABLE function to use itemapi insted of direct structure manipulation
  * source/rtl/minmax.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/vm/garbage.c
    ! added   hb_gcDummyMark borrow from harbour

2015-07-25 21:40 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * include/hbapiitm.h
    ! added hb_itemEqual Borrow from harbour
  * source/vm/itemapi.h
    ! added   hb_itemEqual Borrow from harbour
  * source/tip/ftpcln.prg
    ! removed call to getreply on method ls ( reported by Claudio H )
  * source/rtl/gttone.c
    ! minor fix to compile under msvc 2015    (hb_Inp9x)
  * contrib/gtwvw/gtwvw.c
    !  minor fix to compile under msvc 2015  (hb_Inp9x)

2015-07-12 19:40 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/gtwvw/wvwfuncs.c
    ! fix for addtooltipex

2015-06-03 13:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/isprint.c
  * source/rtl/tprinter.c
    ! Release printer handle

2015-05-18 12:58 UTC+0100 Patrick Mast <patrick.mast@xharbour.com>
  * contrib/tipssl/client.prg
    ! Removed TraceLog's

2015-05-12 21:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  ! source/vm/hvm.c
    ! minor fix on previus commit(removed tracelog call)

2015-05-09 17:55 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/tipssl/httpcln.prg
    ! minor fix on CLOSE method
  * include/hbapi.h
    ! hb_strLTrim Added const to function signature
  * include/hbapirdd.h
    ! added defined to DBTF_CPYCTR and DBTF_RECALL borrow from harbour
  * source/common/expropt1.c
    ! in hb_compExprNewString change direct %lu with %" HB_PFS " to make some c compiler happy
  * source/common/hbstr.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
    ! on HB_TRACE changed direct %ld with %" HB_PFS "d to make some c compiler happy
    ! ULONG -> HB_SIZE when applicable
  * source/rdd/dbcmd.c
    ! in function __DBARRANGE ULONG -> HB_SIZE where aplicable
    ! Removed unnecessary cast to ULONG
  * source/rdd/workarea.c
    ! fixed wrong behavior on deleted records in hb_waTransRec() Fix ideia borrow from harbour
  * source/rtl/at.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/console.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/descend.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/filenet.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
    ! ULONG -> HB_SIZE when applicable
  ! source/rtl/filesys.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/gtapi.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/hardcr.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/hbgtcore.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/inkey.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/inkeyapi.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/mtran.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  ! source/rtl/strings.c
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
  * source/rtl/trim.c
    ! hb_strLTrim Added const to function signature
    ! on HB_TRACE changed direct %lu with %" HB_PFS "u to make some c compiler happy
    ! added const to declaration of variable szText in LTRIM and ALLTRIM function
  * source/vm/itemapi.c
    ! just an minor refine on last commit on hb_itemStrCmp if len of bothstring is 0 and string is same return 0

2015-05-05 11:33 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rdd/workarea.c
    ! fixed wrong behavior on deleted records in hb_waTransRec()

2015-05-01 14:45 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>

  ! source/vm/itemapi.c
    ! in hb_itemStrCmp optimized for check is both parameters is same as also size is same
  ! source/vm/hvm.c
    ! in hb_vmEqual when  bExact  is set to true and both parameters is string, using also memcmp to compare strings
  ! tipssl/httpcln.prg
    ! added data cLogfile
    ! in method new use clogfile to create the log filename
  ! source/common/hbstr.c
    ! ULONG -> HB_SIZE where aplicable

2015-04-19 10:45 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  ! source/rtl/str.c
    ! generate RTL when passing string with any size as parameter
  ! contrib/tipssl/client.prg
    ! init lTrace  data as .F.
  ! contrib/tipssl/smtpcln.prg
    ! minor fix on smtpClnDestructor
    ! minor fix on ActivateSSL method for port 25 handling on tls


2015-04-07 23:02 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/mtran.c
    ! fixed replace when null string is specified


2015-03-29 10:45 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  ! contrib/rdd_ads/rddads.h
    ! added  extern BOOL   hb_ads_bOEM; when ADS_USE_OEM_TRANSLATION if not defined
  ! contrib/rdd_ads/adsfunc.c
    ! Moved BOOL hb_ads_bOEM = FALSE; to outside #ifdef ADS_USE_OEM_TRANSLATION block

2015-03-28 16:40 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  ! winmake/makefile.bc
  ! winmake/makefile.vc
    ! added gtwvw to dll build
  ! winmake/dll.lst
    ! added gtwvw to list
  ! include/hbapi.h
    ! added hb_winmainGetInstance() to HB_OS_WIN section
  ! source/vm/itemapi.c
    ! added return of numeric part in hb_itemGetNS when type is string and lenght is 1
  ! source/vm/extend.c
    ! added return of numeric part in hb_parns when type is string and lenght is 1
  ! source/vm/cmdarg.c
    ! added hb_winmainGetInstance to return the instance
  ! contrib/gtwvw/gtwvw.c
    ! changed hb_hInstance to s_pWvwData->hInstance   where applicable
    ! changed hb_hInstance to hb_winmainGetInstance() where applicable
  ! contrib/gtwvw/wvwcheck.c
    ! changed hb_hInstance to hb_winmainGetInstance() where applicable
  ! contrib/gtwvw/wvwedit.c
    ! changed hb_hInstance to hb_winmainGetInstance() where applicable
  ! contrib/gtwvw/wvwfuncs.c
    ! changed hb_hInstance to hb_winmainGetInstance() where applicable
  ! contrib/gtwvw/wvwmenu.c
    ! changed hb_hInstance to hb_winmainGetInstance() where applicable
  ! contrib/gtwvw/wvwstbar.c
    ! changed hb_hInstance to hb_winmainGetInstance() where applicable
  ! contrib/gtwvw/wvwtbar.c
    ! changed hb_hInstance to hb_winmainGetInstance() where applicable
  ! source/rtl/empty.c
    ! changed to use itemapi insted of direct structure manipulation
  ! source/rtl/transform.c
    ! changed to use itemapi insted of direct structure manipulation
  ! source/rtl/direct.c
    ! changed to use itemapi insted of direct structure manipulation

2015-03-18 22:50 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  ! contrib/gtwvw/gtwvw.c
    ! in function hb_gt_wvw_Init added variables hInstance,hPrevInstance,iCmdShow and set then by calling hb_winmainArgGet
    ! using s_pWvwData->hInstance insted of hb_hInstance where applicable
  ! contrib/gtwvw/hbgtwvw.h
    ! added hInstance member to wvw_data structure
  ! include/hbgtcore.h
    ! added HB_EXPORT to hb_gt_chrmapinit ,hb_gt_setClipboard,hb_gt_getClipboard,hb_gt_w32_setClipboard,hb_gt_w32_getClipboard,hb_gt_w32_getKbdState ,hb_gt_w32_setKbdState ,hb_gt_w32_tone, so this function are exported on dlls
  ! source/vm/cmdarg.c
    ! added HB_EXPORT to hb_hInstance variable

2015-03-06 11:20 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/tipssl/sendmail.prg
  * contrib/tipssl/smtpcln.prg
  * source/vm/strapi.c
    ! in function  hb_itemPutStrUTF8 using hb_cdpUTF8ToStrn insted of hb_cdpStrnToUTF8n
  * utils/hbmake/hbmake.prg
    ! harbour.lib->xharbour.lib
    ! some adjust to 64 bits version ( /usr/lib64/xharbour)
  ! utils/hbmake/hbmutils.prg
    ! some adjust to 64 bits version ( /usr/lib64/xharbour)

2015-03-01 15:10 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  + tests/tstime.prg
    ! test to show field types @ and T with size 4( hour)
  * include/hbextern.ch
    ! added function HB_TSTOSTR,DATETIME,TTOS,TTOC to external declaration
  * include/hbapi.h
    ! added declaration for hb_partdt borrow from harbour
    ! added declaration for hb_stor borrow from harbour
  * source/debug/debugger.prg
    ! updated __dbgValToStr on how it show Timestamp/date/numeric and H types
      Date now use Left( hb_TSToStr( uVal, .F. ), 10 ) insted of dtoc(uVal)
      Timestamp now use HB_TSTOSTR( uval, .T. ) insted of ttos( uVal )
      Hash now use "{ => }" insted of "Hash of " + RTrim( Str( Len( uVal ) ) ) + " elements"
      Number using hb_ntos( uVal ) insted of RTrim( Str( uVal ) ) ideia borrow from harbour
  * source/debug/dbgthsh.prg
    ! function HashKeyString optimized to use __dbgValToExp insted of getvalue of hash and return passing
      to cstr function. ideia borrow from harbour
  * source/dbf/dbf1.c
    ! on hb_dbfPutValue added variable  BYTE * ptr;
    ! added HB_FT_TIME to on case of HB_FT_DATETIME and  HB_FT_TIMESTAMP
    ! fix when writting timestamp field where only is needed the hour part ( field type T with size 4 )
  * source/rtl/dateshb.c
    + function  HB_TSTOSTR. borrow from harbour
  * source/rtl/tbrowse.prg
    ! using HB_TSTOSTR() insted ttoc to display timestamp values
  * source/vm/extend.c
    ! added hb_stoc() function borrow from harbour
    ! added hb_partdt function borrow from harbour

2015-02-24 15:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbpp.h
  * source/compiler/harbour.c
  * source/compiler/ppcomp.c
  * source/pp/ppcore.c
  * source/rtl/arc4.c
  * source/rtl/cdpapi.c
  * source/rtl/filenet.c
  * source/rtl/gttone.c
  * source/rtl/strcase.c
  * source/rtl/tone.c
  * source/rtl/transfrm.c
  * source/rdd/dbcmd.c
  * source/rdd/hbdbsort.c
  * source/rdd/workarea.c
  * source/rdd/hbsix/sxcrypt.c
  * source/rdd/hsx/hsx.c
  * source/tip/base64.c
  * source/vm/classes.c
  * source/vm/hash.c
  * source/vm/hvm.c
  * source/ct/bit1.c
  * source/ct/bit3.c
  * source/ct/charop.c
  * source/ct/misc2.c
  * source/ct/token1.c
  * utils/hbpp/hbppcore.c
    ! eliminate conversion warning
  * winmake/makefile.bc
    ! pacify BCC irrelevant warning when HB_DEBUG=d
  * source/rtl/hbwinole.c
    * minor change on my previous commit

2015-02-23 18:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/hbwinole.c
    + added parameter IsOLEObjectRegistered( <cOleName> | <cCLSID> [, @<cCLSID>] )  -> lRegistered
      added new function in conjunction:
        IsOLEObjectActive( <cOleName> | <cCLSID> [, @<cCLSID>] )  -> lActive

2015-02-22 20:54 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/copyfile.c
    ! removed not used variable usRead1
  * contrib/gtwvw/gtwvw.c
    ! removed unreachable code in MsgTrans
    ! commented out unused MsgTrans

2015-02-22 11:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/copyfile.c
    ! minor fix for 0 byte file created
  * contrib/gtwvw/gtwvw.c
    ! some fixed to correct resize windows if wvw_size function is present. reported by Claudio H

2015-02-21 10:55 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/hbwinole.c
    + added function IsOLEObjectRegistered( cOleName | cCLSID )  -> lRegistered

2015-02-20 22:20 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rdd/workarea.c
    ! COPY TO ... SDF/DELIMITED make CA-Cl*pper compatible on deleted records
      thanks to Joe for reporting the problem

2015-02-18 17:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbdefs.h
    ! define HB_UINT_MAX
  * source/rtl/hbffind.c
  * contrib/tipssl/inetssl.c
    ! fix to compile under OpenWatcom

2015-02-17 20:26 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/tipssl/sendmail.prg
    ! removed not declared and not used variable e
    ! removed not used variable lAuthLogin
    ! removed not used variable lAuthPlain
    ! removed not used variable lStartTls

2015-02-17 19:46 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/fparse.c
    ! removed SubArray unused initialization in HB_FUNC( FPARSEEX )
    ! removed Array unused initialization in HB_FUNC( FPARSEEX )

2015-02-17 19:15 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/tipssl/smtpcln.prg
    ! removed lOk unused initialization in METHOD OpenSecure

2015-02-17 16:27 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/tipssl/smtpcln.prg
    ! removed unused variable SocketConNew

2015-02-17 11:10 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/fparse.c
    ! minor fix from previus commit
    temp -> Temp
    HB_ISIZ iWords -> int iWords
  * source/ct/dattime3.c
    ! fixed missing #endif

2015-02-17 10:31 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/vm/inet.c
    ! changed inetfd -> HB_INETFD

2015-02-16 17:50 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/tipssl/client.prg
    ! added SocketSSLCon data so when ssl connection is done it use this variable
    ! updated all method that recieve SocketCon Parameter to use ::SocketSSLCon or ::SocketCon if lSsl is true
  * contrib/tipssl/inetssl.c
    + added function INETSSLCONNECTFROMFD() this connect to ssl with an already non ssl socked.
    ! typo iRet2 == SSL_ERROR_WANT_WRITE  -> iRet == SSL_ERROR_WANT_WRITE
  * contrib/tipssl/inetssl.h
    ! Changed HB_INET_H_ to HB_INETSSL_H_
    ! changed struct _CPINGREPLY to _CPINGREPLYSSL
  * contrib/tipssl/popcln.prg
    ! updated method close and open do use ::SocketSSLCon insted of ::SocketCon is lssl is set
  * contrib/tipssl/sendmail.prg
    ! updated HB_SetMimeType to include new extension as well group same mime type in one place
    ! use HB_IS*() instead of valtype()
    ! updated to use the variable lStartTls , lAuthLogin, lAuthPlain, lTls returned from opensecure method
  * contrib/tipssl/smtpcln.prg
    + added datas lStartTls , lAuthLogin, lAuthPlain, lTls  to check is STARTTLS is needed
    + added METHOD DetectSecurity(),StartTLS(),ActivateSSL Ideia borrow from harbour
  * contrib/tipssl/test.prg
    ! updated to demostrate how to connect to gmail port 587 and outlook port 587 ( tls support )
  * source/ct/ctnet.c
    ! removed define HB_OS_WIN_USED
  * source/ct/dattime3.c
    ! removed define HB_OS_WIN_USED
    ! moved _SVID_SOURCE define to outside HB_OS_UNIX block
  * source/ct/disk.c
    ! removed define HB_OS_WIN_USED
  * source/ct/settime.c
    ! removed define HB_OS_WIN_USED
    ! moved _SVID_SOURCE define to outside HB_OS_UNIX block
  * source/rtl/copyfile.c
    ! fixed an minor typo on previus commit    #define BUFFER_SIZE  65536 ->   #define BUFFER_SIZE  65535
  * source/rtl/fparse.c
    ! changed to use itemapi insted of direct structure manipulation
    ! int -> HB_ISIZ where aplicable
    ! hb_retni -> hb_retns where aplicable
    ! hb_storni -> hb_storns where aplicable
  * source/rtl/mlcfunc.c
    ! hb_retni -> hb_retns where aplicable
    ! hb_parnl -> hb_parns where aplicable
    ! hb_storni -> hb_storns where aplicable
    ! hb_stornl -> hb_storns where aplicable
    ! ULONG     -> HB_SIZE where aplicable
    ! ULONG     -> HB_ISIZ where aplicable
    ! ISNUM(x) ? y : z -> hb_parnsdef( x, z )
    ! ISLOG(x) ? y : z -> hb_parldef( x, z )
  * source/rtl/samples.c
    ! ULONG -> long
    ! USHORT -> int
    ! casts to USHORT changed to int
  * source/rtl/setkey.c
    ! in structure HB_SETKEY_ change SHORT iKeyCode -> int iKeyCode
    ! removed ( SHORT ) typecast on integer values
    ! in all functions change SHORT iKeyCode to int iKeyCode
    ! ULONG     -> HB_SIZE where aplicable
  * source/rtl/gtcgi/cgiread.c
    ! ULONG -> HB_SIZE
    ! changed to use itemapi insted of direct structure manipulation
  * source/tip/sendmail.prg
    ! updated HB_SetMimeType to include new extension as well group same mime type in one place
  * source/vm/inet.c
    + added INETFD function to return the socked handle

2015-02-13 13:44 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/filestat.c
    ! include of windows.h is now inside HB_OS_WIN block (it wasn't)
  * source/rtl/hbffind.c
    ! fixed definition of FILE_ATTRIBUTE_ENCRYPTED

2015-02-13 09:20 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/hbzlib/zip.c
    ! minor change on my previys commit moved HB_OS_WIN block before include hbzip2.h
  ! source/rtl/bkgtsks.c
  ! source/rtl/diskspac.c
  ! source/rtl/disksphb.c
  ! source/rtl/filestat.c
  ! source/rtl/fserror.c
  ! source/rtl/hbffind.c
  ! source/rtl/hboutdbg.c
  ! source/rtl/net.c
  ! source/rtl/oemansi.c
  ! source/rtl/seconds.c
  ! source/rtl/tprinter.c
  ! source/rtl/win_misc.c
  ! source/rtl/gtgui/gtgui.c
  ! source/rtl/gtwin/gtwin.c
    ! removed define HB_OS_WIN_USED
    ! include of windows.h is now inside HB_OS_WIN block
  ! source/rtl/filestat.c
    ! removed define HB_OS_WIN_USED
    ! include of windows.h is now inside HB_OS_WIN block
    ! added define for _LARGEFILE64_SOURCE and HB_USE_LARGEFILE64 when compiling under *nix
    ! when compiling for *nix call to stat  function changed  test to call stat64 when  HB_USE_LARGEFILE64
      is defined otherwise call stat
  ! source/tip/mail.prg
    ! in method attachfile, added Content-Id tag to attach file when extension of file is .png,.jpg
      or .jpeg. this is usefull for htlm emails with images on email body
  ! contrib/tipssl/mail.prg
    ! in method attachfile, added Content-Id tag to attach file when extension of file is .png,.jpg
      or .jpeg. this is usefull for htlm emails with images on email body

2015-02-13 10:49 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbzlib/zip.c
    ! fixed a typo in previous commit (#if define -> #if defined)
  * source/vm/initsymb.c
    ! fixed an old typo (REPLICATE -> RIGHT)

2015-02-12 17:00 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * contrib/hbzlib/zip.c
    ! added missing include "windows.h" to HB_OS_WIN block
    ! changed * nix detection from  #if defined( HB_OS_LINUX ) || defined( HB_OS_HPUX ) to #if defined(HB_OS_UNIX)
  * contrib/hbzlib/zipcentraldir.cpp
    ! changed * nix detection from  #if defined( HB_OS_LINUX ) || defined( HB_OS_HPUX ) to #if defined(HB_OS_UNIX)

2015-02-12 11:11 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/ct/files.c
    ! removed dwFileSize unused initialization in HB_FUNC( FILESIZE )
  * contrib/hbmzip/hbmzip.c
    ! removed ulExtAttr unused initialization in hb_zipStoreFile for Windows build

2015-02-11 19:15 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * bin/pack_src.sh
    ! added some missing source to compress
  * contrib/freeimage/fi_wrp.c
    ! removed define HB_OS_WIN_USED
    ! include of windows.h is now inside HB_OS_WIN block
  * contrib/freeimage/fi_winfu.c
    ! removed define HB_OS_WIN_USED
    ! include of windows.h is now inside HB_OS_WIN block
  * contrib/gtwvg/gtwvg.c
  * contrib/gtwvg/wvwcore.c
  * contrib/gtwvg/wvwutils.c
    ! removed define HB_OS_WIN_USED
  * contrib/hbcurl/Makefile
    ! Added CFLAGS to increment -I../..
  * contrib/hbhpdf/harupdf.c
    ! synced with harbour where possible
  * contrib/hbmzip/hbmzip.c
    ! added define for _LARGEFILE64_SOURCE and HB_USE_LARGEFILE64 when compiling under *nix
    ! when compiling for *nix call to stat  function changed  test to call stat64 when  HB_USE_LARGEFILE64 is defined otherwise call stat
  * contrib/hbzlib/zip.c
    ! added define for _LARGEFILE64_SOURCE and HB_USE_LARGEFILE64 when compiling under *nix
    ! in GetFileAttributes under *nix compilation  call to stat function change to test to call stat64 when  HB_USE_LARGEFILE64 is defined otherwise call stat
  * contrib/libnf/getenvrn.c
    ! removed define HB_OS_WIN_USED
  * contrib/rdd_ads/rddads.h
    ! windows.h is now included inside HB_OS_WIN define block
    ! define x64 when HB_ARCH_64BIT is defined
    ! small change on the #define for unix
    ! added defined to detect Ads version 10 or newer
    ! added missing entry point for AdsDeleteFile all change borrow from harbour
  * contrib/rdd_ads/adsmgmnt.c
    contrib/rdd_ads/adsfunc.c
    contrib/rdd_ads/ads1.c
    contrib/rdd_ads/ace32.c
    ! removed define HB_OS_WIN_USED
  * contrib/tipssl/inetssl.h
    ! removed  #define _WINSOCKAPI_
  * include/hbapi.h
    ! changed in hb_winmainArgInit and hb_winmainArgGet to use void type insted of winapi HANDLE type
  * include/hbapiitm.h
    ! Added missing prototype for hb_itemPutCStatic
  * include/hbdate.h
    ! added detection for HB_HAS_LOCALTIME_R when compiling under *nix borrow from harbour
    ! added prototype for hb_timeStampGetLocal and hb_timeStampGet functions
  * include/thread.h
  * include/hbatomic.h
  * include/hbdefs.h
    ! removed  #define _WINSOCKAPI_
  * source/common/hbdate.c
    ! added hb_timeStampGetLocal and hb_timeStampGet ( borrow from harbour )
  * source/common/hbfsapi.c
    ! added define for _LARGEFILE64_SOURCE and HB_USE_LARGEFILE64 when compiling under *nix
    - removed define to HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
    ! moved #define INCL_DOSFILEMGR and  #define INCL_DOSERRORS   to inside HB_OS_OS2 Block
    ! when compiling for *nix call to stat  function changed  test to call stat64 when  HB_USE_LARGEFILE64 is defined otherwise call stat
  * source/common/hbgete.c
    ! added HB_SYMBOL_UNUSED( fSys ); in hb_setenv under *nix compilation
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
    ! added support to set envvar under *nix compilation in hb_setenv
  * source/common/hbmem.c
    ! protected LITTLE_ENDIAN defined inside # if !defined(LITTLE_ENDIAN)
  * source/common/hbver.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
    ! include for zlib,pcre,tiff,jpeg,png,dlmalloc moved to be bellow defined (HB_OS_XXXX) blocks
  * source/ct/files.c
    ! added define for _LARGEFILE64_SOURCE and HB_USE_LARGEFILE64 when compiling under *nix
    ! when compiling for *nix call to stat  function changed  test to call stat64 when  HB_USE_LARGEFILE64 is defined otherwise call stat
    ! removed define HB_OS_WIN_USED
  * source/compiler/harbour.c
  * source/compiler/cmdcheck.c
  * source/compiler/genc.c
    - removed define to HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/compiler/comptool.c
    - removed define to HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/odbc/odbc.c
    ! some changes to compile under *nix 64bit
    ! removed redefinition os SQLLEN when not defining HB_OS_WIN_64, this break 64 bits *nix compile
    ! when #if ODBCVER >= 0x0300 id defined using SQLSetConnectAttr insted of SQLSetConnectOption,
      SQLSetStmtAttr insted of SQLSetStmtOption, SQLGetConnectAttr insted of SQLGetConnectOption,
      SQLGetStmtAttr insted of SQLGetStmtOption
  * source/rtl/console.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/rtl/copyfile.c
    ! when compiling for *nix call to fstat  function changed  test to call fstat64 when  HB_USE_LARGEFILE64 is defined otherwise call fstat
    ! define BUFFER_SIZE to 8192 only when HB_C52_STRICT is defined otherwise use 64k buffer borrow from harbour
  * source/rtl/filebuf.c
    ! added define for _LARGEFILE64_SOURCE and HB_USE_LARGEFILE64 when compiling under *nix
    ! when compiling for *nix call to stat  function changed  test to call stat64 when  HB_USE_LARGEFILE64 is defined otherwise call stat
  * source/rtl/filesys.c
    ! when compiling for *nix call to stat  function changed  test to call stat64 when  HB_USE_LARGEFILE64 is defined otherwise call stat
    ! some adjust when defining HB_USE_LARGEFILE64
    ! removed define HB_OS_WIN_USED
  * source/rtl/fssize.c
    ! some adjust on define _LARGEFILE64_SOURCE under *nix
  * source/rtl/fstemp.c
    ! some adjust on define _LARGEFILE64_SOURCE under *nix
    ! adjust to call mkstemps64/mkstemps/mkstemp64/mkstemp when linux 64bits compilation is done borrow from harbour
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/rtl/gtclip.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/rtl/gtkbstat.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/rtl/gttone.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/rtl/hbffind.c
    ! some adjust on define _LARGEFILE64_SOURCE under *nix
  * source/rtl/hbip.c
    ! added #define socklen_t int to HB_OS_WIN Define block
    ! in function  hb_ipSetBufSize change int to socklen_t to make *nix happy
    ! in function hb_ipSend change int to socklen_t to make *nix happy
  * source/rtl/idle.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * source/rtl/isprint.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  *  source/rtl/net.c
    ! added HB_SYMBOL_UNUSED( bGetUser ); when compiling for dos/*nix/os2
  * source/rtl/philes.c
    ! adjust HB_OPENPROCESS hb_stornint return values to include the * in front of variable name
    ! in CURDIR function changed int uiDrive to USHORT uiDrive;
  * source/rtl/gttrm/gttrm.c
    ! BYTE -> char
    ! functions  with BYTE parameter changes to const char parameters
  * source/vm/cmdarg.c
    ! changed in hb_winmainArgInit and hb_winmainArgGet to use void type insted of winapi HANDLE type
    ! moved windows.h request to inside HB_OS_WIN Block
    ! removed define HB_OS_WIN_USED
  ! utils/hbmake/hbmlang.c
    ! removed define HB_OS_WIN_USED
    + added include to windows.h inside HB_OS_WIN define block
  * utils/hbfilere/hbfilere.c
    ! added define for _LARGEFILE64_SOURCE and HB_USE_LARGEFILE64 when compiling under *nix
    ! when compiling for *nix call to stat  function changed  test to call stat64 when  HB_USE_LARGEFILE64 is defined otherwise call stat

2015-02-10 14:26 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/replic.c
    ! restored type of variable i to HB_ISIZ
    ! replaced type of variable lTimes to HB_ISIZ (was HB_SIZE)

2015-02-06 22:33 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/replic.c
    ! replaced type of variable i to HB_SIZE (was HB_ISIZ)

2015-02-06 22:05 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/ttopbar.prg
    ! Fixed a typo in my previous change

2015-02-04 14:30 UTC-0300 Luiz Rafael Culik <luiz@xharbour.com.br>
  * source/rtl/replic.c
    ! fix to gpf (ulLen *  lTimes ) < UINT_MAX -> (LONGLONG)((LONGLONG)ulLen *  (LONGLONG)lTimes ) < UINT_MAX
      since the calculation of ullen*ltimes depending of the value is > UINT_MAX

2015-01-29 08:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/hbsqlit3/xhbsqlite3.c
    + add function HB_FUNC( SQLITE3_LOAD_EXTENSION )
      addendum by Cï¿½sar Lozada

2015-01-14 14:55 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/pcre/config.generic.h
    ! another fix for compile with msvc

2014-12-29 22:15 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/rdd_ads/adsfunc.c
    ! added  cast to make msvc happy

2014-12-29 10:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/rdd_ads/adsfunc.c
    ! fixed two cast to make msvc happy

2014-12-28 22:45 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/hbapi.h
    ! added hb_xreallocz like hb_xgrabz
  * source/rtl/hbgtcore.c
    ! using hb_xgrabz insted of hb_xgrab/memset where aplicacle
    ! using hb_xreallocz insted of hb_xreallocz/memset where aplicacle
  * contrib/gtwvw/wvwpush.c
    ! removed redundant tracelog function call
  * source/rtl/chrasc.c
    ! changed to use itemapi insted of direct structure manipulation
  * contrib/rdd_ads/adsfunc.c
    ! added ADSSTMTSETTABLEREADONLY function
    ! updated ADSCREATESQLSTATEMENT  to include  an 4th parameter to tell if cursor is readonly or readwrite
    ! updated some functions by moving the #ifdef ADS_LIB_VERSION to the inside the function body as also added new functions
  * source/vm/arrays.c
    ! added BOOL hb_arraySetTDT( PHB_ITEM pArray, HB_SIZE ulIndex, long lDate, long lMilliSec  ) borrow from harbour
  * contrib/tipssl/httpcln.prg
    ! minor fix to close method . thanks for Anatole Kolotovkin for reporting the problem

2014-12-27 11:15 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/dateshb.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/datec.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/oemansi.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/hbcrc32.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/lennum.c
    ! using hb_retns insted id hb_retnl with cast to (LONG) for HB_SIZE type variable
  * source/rtl/left.c
    ! HB_ISIZ lLeft = (HB_ISIZ) hb_itemGetNL( pNum ); -> HB_ISIZ lLeft               = hb_itemGetNS( pNum );
  * source/rtl/hardcr.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/hbchksum.c
    ! ULONG -> HB_U32 where aplicable
    ! changed to use itemapi insted of direct structure manipulation

2014-12-26 23:55 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/binnumx.c
    ! changed to use itemapi insted of direct structure manipulation
    ! ULONG  -> HB_SIZE where aplicable
  * source/rtl/mtran.c
    ! ULONG  -> HB_SIZE where aplicable
  * source/rtl/at.c
    ! ULONG  -> HB_SIZE where aplicable
  * source/rtl/hbntos.c
    ! ULONG  -> HB_SIZE where aplicable
  * source/rtl/hbxml.c
    ! ULONG  -> HB_ISIZ where aplicable
    ! int  -> HB_SIZE where aplicable
  * source/rtl/padr.c
    ! ULONG  -> HB_ISIZ where aplicable
  * source/rtl/hbcompsr.c
    ! LONG  -> HB_SIZE where aplicable
  * source/rtl/soundex.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/strpeek.c
    ! changed to use itemapi insted of direct structure manipulation
    ! ULONG  -> HB_SIZE where aplicable
    ! ULONG  -> HB_ISIZ where aplicable
  * source/rtl/len.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/left.c
    ! changed to use itemapi insted of direct structure manipulation
    ! LONG  -> HB_ISIZ where aplicable
  * source/rtl/empty.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/compiler/hbusage.c
  * utils/hbdoc/hbdoc.prg
  * utils/hbmake/hbmake.prg
  * utils/hbpp/hbpp.c
  * utils/hbrun/hbrun.prg
  * utils/hbtest/hbtest.prg
  * winmake/compile.mak
    ! bump copyright year to 2015

2014-12-23 22:10 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/ct/color.prg
    ! Fix bug, thanks to Michael Hagl

2014-12-23 21:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.c
  * source/compiler/harbour.sly
  * source/compiler/harbour.slx
  * source/compiler/harbouryy.c
  * source/compiler/hbslex.c

  * source/macro/macro.y
  * source/macro/macroyy.c
  * source/macro/macroslx.c

  * include/harboury.h
  * include/macroy.h
    ! regenerated using Bison 3.0.2

  * winmake/makefile.bc
    ! pacify BCC irrelevant warning

2014-12-20 12:45 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  + contrib/gtwvw/samples/winuser.ch
    ! added include file for wvwtest9.prg sample
  ! contrib/gtwvw/samples/inpfocus.prg
    ! minor fix to link with newer gtwvw lib

2014-12-19 12:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/fm.c
    ! changed fixed hb_sprintf format %lu with %" HB_PFS "u to make mingw happy

2014-12-17 22:20 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/gtwvw/gtwvw.c
    ! removed hb_xgrabz. define
    ! removed redundant tracelog function call
  * contrib/gtwvw/samples/wvwtest9.prg
    ! minor fix to link with newer gtwvw lib

2014-12-17 14:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/pcre/config.generic.h
    ! fix for compile with msvc

  * include/hbdefs.h
  * include/hbmath.h
  * contrib/firebird/firebird.c
  * contrib/hbcab/cabinet.h
  * contrib/hbxdiff/config.h
  * contrib/sddfb/sddfb.c
  * source/rtl/sha2.c
  * source/rtl/zlib/gzguts.h
  * source/vm/itemapi.c
  * source/vm/fm.c
  * source/ct/files.c
  * source/common/hbprintf.c
  * source/compiler/comptool.c
  * utils/misc/hbrc.c
    * show "human" BCC version

2014-12-16 21:05 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * make_bc.bat
    ! dot not try build DLL when HB_DEBUG=d

  * winmake/makefile.gc
    + add hbssl library for mingw

  * include/cinterface.h
    ! fix for mingw32

  * source/rtl/hbsrlraw.c
  + contrib/pdflite/include/config.h
  * contrib/pdflite/pdcore/pc_contain.c
  * contrib/pdflite/pdcore/pc_string.c
  * contrib/pdflite/pdflib/p_document.c
  * contrib/pdflite/pdflib/p_gif.c
  * contrib/pdflite/pdflib/p_object.c
  * contrib/pdflite/tiff/tif_fax3.c
  * contrib/pdflite/tiff/tif_jpeg.c
  * contrib/pdflite/tiff/tif_ojpeg.c
  + contrib/tiff/config.h
  * contrib/tiff/tif_dirread.c
    ! pacify warnings

2014-12-15 14:35 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/harboury.h
  * include/hbapierr.h
  * include/hbapilng.h
  * include/hbcomp.h
  * include/hbdefs.h
  * include/hbexpra.c
  * include/hbexprb.c
  * include/hbexprc.c
  * include/hbexprop.h
  * include/hbgtcore.h
  * include/hbhash.h
  * include/hbmacro.h
  * include/macroy.h
  * source/common/expropt1.c
  * source/common/expropt2.c
  * source/common/hbhash.c
  * source/compiler/gencc.c
  * source/compiler/gencc1.c
  * source/compiler/harbour.c
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
  * source/compiler/hbdead.c
  * source/compiler/hbfix.c
  * source/compiler/hbgenerr.c
  * source/compiler/hbident.c
  * source/compiler/hblbl.c
  * source/compiler/hbpcode.c
  * source/compiler/hbstripl.c
  * source/macro/macro.y
  * source/macro/macroyy.c
  * source/rtl/hbserv.c
  * utils/hbpp/hbppcore.c
  * utils/hbpp/hbppdef.h
  * contrib/hbcurl/hbcurl.c
  * doc/en/hb_macro.txt
    * HB_*_PTR pointer types renamed to PHB_*

  * contrib/hbhpdf/hpdf_image_png.c
  * contrib/hbsqlit3/config.h
  * contrib/hbsqlit3/xhbsqlite3.c
  * contrib/hbxdiff/xalloc.c
  * contrib/pdflite/font/ft_cid.c
  * contrib/pdflite/tiff/tif_fax3.c
  * contrib/tipssl/inetssl.c
  * source/rtl/hbsrlraw.c
    ! pacify warnings; some clean up

2014-12-14 23:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/fm.c
    ! changed fixed hb_sprintf format %li with %" HB_PFS "i to make mingw happy
  + config/w32/mingw64.cf
    ! config for mingw 64 bit compile
  + make_mingw64.sh
    ! shell script for mingw 64 bits compile with msys

2014-12-14 15:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/tbrowse.prg
    ! minor fix on display datetime fields

2014-12-11 11:10 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/hbwinole.c
    ! define GUID_NULL for OpenWatcom

2014-12-11 10:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/mysql/tmysql.prg
    ! commented out not used function NMonth()

2014-12-10 22:40 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/debug/debugger.prg
    ! commented out not used function StripUntil()

  * utils/hbdoc/genpdf1.prg
    ! commented out not used function getArray()

  * utils/hbmake/pickarry.prg
    ! commented out not used function GetFiles()

2014-12-10 23:10 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbdefs.h
    ! fix to compile under OpenWatcom
  * source/compiler/genc.c
    ! typo in obtaining never used static function

2014-12-09 15:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/simplex.c
    ! prevent accessing arrays with negative index
  * source/rtl/hbjson.c
    ! defined but not referenced symbols

2014-12-06 13:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * make_gc.bat
    ! reverted to previus version
  + make_gc64.bat
    ! .bat to build mingw 64 bits build

2014-12-06 11:15 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/gencc1.c
    ! bug in datetime pcode; minor formatting

2014-12-05 17:35 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbexprc.c
    ! fixed GPF traps when compiling o:&macro things

2014-12-04 22:55 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  + tests/omacro.prg
    + this file tests support for passing object methods and vars
      using macro syntax; borrow from harbour.
      It really cause GPF during compiling!

2014-12-04 15:20 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbexprb.c
    ! fixed GPF traps when optimizing 2nd parameter of __DBLIST();
      optimizing STOD() without parameter

  * source/ct/alt/dattime2.prg
  * source/rdd/hbsix/sxcompat.prg
  * source/rdd/usrrdd/rdds/adordd.prg
  * source/rdd/usrrdd/rdds/arrayrdd.prg
  * source/rtl/cstr.prg
  * source/rtl/decode.prg
  * source/rtl/tbrowse.prg
  * source/rtl/tget.prg
  * source/rtl/tobject.prg
  * utils/hbmake/hbmutils.prg
    ! use STOD instead of CTOD for constant values

2014-12-02 20:00 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/hbdefs.h
    ! minor fix for double defined HB_SYMBOL_USED

2014-12-02 14:35 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/win32ole.prg
    ! add missing include

2014-12-02 14:15 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/gtwvg/wvtclass.prg
  * contrib/gtwvg/wvtpaint.prg
  * contrib/gtwvg/tests/demowvg.prg
  * source/cgi/hjwindow.prg
  * source/cgi/hterrsys.prg
  * source/cgi/htmutil.prg
  * source/cgi/tedit.prg
  * source/cgi/tframe.prg
  * source/cgi/thtm.prg
  * source/ct/color.prg
  * source/ct/cttime.prg
  * source/ct/diskutil.prg
  * source/ct/keytime.prg
  * source/ct/numconv.prg
  * source/ct/showtime.prg
  * source/ct/util.prg
  * source/ct/alt/ctwin.prg
  * source/ct/alt/datetime.prg
  * source/ct/alt/dattime2.prg
  * source/debug/dbgaltd.prg
  * source/debug/dbgthsh.prg
  * source/debug/dbgwa.prg
  * source/odbc/todbc.prg
  * source/rdd/dblist.prg
  * source/rdd/dbstrux.prg
  * source/rdd/usrrdd/rdds/adordd.prg
  * source/rdd/usrrdd/rdds/ansirdd.prg
  * source/rdd/usrrdd/rdds/arrayrdd.prg
  * source/rtl/achoice.prg
  * source/rtl/browse.prg
  * source/rtl/cstr.prg
  * source/rtl/cstruct.prg
  * source/rtl/dbedit.prg
  * source/rtl/decode.prg
  * source/rtl/dumpvar.prg
  * source/rtl/errorsys.prg
  * source/rtl/hblog.prg
  * source/rtl/mssgline.prg
  * source/rtl/objfunc.prg
  * source/rtl/persist.prg
  * source/rtl/pushbtn.prg
  * source/rtl/radiobtn.prg
  * source/rtl/regexrpl.prg
  * source/rtl/tbcolumn.prg
  * source/rtl/teditor.prg
  * source/rtl/tget.prg
  * source/rtl/tgetlist.prg
  * source/rtl/tobject.prg
  * source/rtl/treport.prg
  * source/rtl/trpc.prg
  * source/rtl/ttable.prg
  * source/rtl/ttopbar.prg
  * source/rtl/txml.prg
  * source/rtl/win32ole.prg
  * source/rtl/winreg.prg
  * source/tip/cgi.prg
  * source/tip/encoder.prg
  * source/tip/sendmail.prg
  * source/tip/thtml.prg
  * source/vm/harbinit.prg
  * utils/xbscript/xbscript.prg
  * utils/hbdoc/genchm.prg
  * utils/hbdoc/genhtm.prg
  * utils/hbdoc/html.prg
  * utils/hbdoc/ng.prg
  * utils/hbdoc/os2.prg
  * utils/hbdoc/rtf.prg
  * utils/hbdoc/troff.prg
  * utils/hbformat/hbfmtcls.prg
    ! use HB_IS*() instead of valtype()

2014-12-01 21:01 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * make_gc.bat
    ! adjust to allow 64 bits mingw compile

2014-12-01 21:00 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/hbsetup.h
    ! minor fix when defining HB_OS_UNIX

2014-12-01 10:20 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * xharbour/source/rdd/hbsix/sxcompat.prg
    ! Fix bug, thanks to Claudio Voskian

2014-11-29 22:40  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/filebuf.c
    % optimized to use hb_xgrabz insted of  hb_xgrab follows by memset
  * source/rtl/filenet.c
    % optimized to use hb_xgrabz insted of  hb_xgrab follows by memset
  * source/rtl/hbgtcore.c
    % optimized to use hb_xgrabz insted of  hb_xgrab follows by memset where aplicable
  * source/rtl/dbf2txt.c
    ! hb_strescape( const char * szInput, int lLen, const char * cDelim ) -> hb_strescape( const char * szInput, HB_ISIZ lLen, const char * cDelim )
    ! int -> HB_ISIZ where aplicable
    ! removed unnecessary casts
  * include/hbapi.h
    ! removed duplicated  hb_verPCode declaration

2014-11-29 19:48 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/winreg.prg
    ! pacify warning

2014-11-29 15:20  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/hbapi.h
    ! added defines to hb_xgrabz and hb_xmemdup borrow from harbour
  * source/rtl/winreg.prg
    ! minor fix to previus commit

2014-11-27 11:20  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/version.c
    ! moved externs to hbapi.h
    ! changed to use itemapi insted of direct structure manipulation
  * include/hbapi.h
    ! added new extends moved from source/rtl/version.c
  * source/rtl/winreg.prg
    ! Ajusted some functions return to return an pointer insted of an HB_SIZE
  * source/rtl/valtype.c
    % optimized HB_ISARRAY to use hb_arrayIsObject insted of direct structure manipulation
  * source/rtl/val.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/type.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/txtline.c
    ! changed void hb_readLine()  -> static void hb_readLine()
    ! ULONG -> HB_SIZE
    ! changed LONG hb_tabexpand( const char * szString, char * szRet, HB_SIZE lEnd, USHORT uiTabLen )  -> static HB_ISIZ hb_tabexpand( const char * szString, char * szRet, HB_ISIZ lEnd, HB_SIZE uiTabLen )
    ! LONG -> HB_ISIZ
  * source/rtl/trim.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/substr.c
    ! LONG -> HB_ISIZ
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/strzero.c
    ! ULONG -> HB_SIZE
  * source/rtl/strmatch.c
    ! ULONG -> HB_SIZE
  * source/rtl/str.c
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/space.c
    ! long lLen -> HB_ISIZ lLen
  * source/rtl/right.c
    ! LONG -> HB_ISIZ
    ! changed to use itemapi insted of direct structure manipulation
  * source/rtl/readline.c
    ! changed to use itemapi insted of direct structure manipulation
    ! removed unnecessary last to (LONG) in call to hb_fsseek
    ! int -> HB_SIZE where aplicable
    ! USHORT -> HB_SIZE  where aplicable
  * source/rtl/strcase.c
    ! ULONG -> HB_SIZE
    on HB_TRACE changed direct %lu with %" HB_PFS " to make some c compiler happy
  * source/rtl/replic.c
    ! minor fix on previus commit and using to test ulLen * lTimes < UINT_MAX since with ULONG_MAX on 64bits you get gpf
  * source/rtl/strtran.c
    ! minor fix on previus commit
  * include/hbdefs.h
    ! minor ajust to define of uintptr_t where not exist
  * source/rtl/filenet.c
    ! pacified some remaing warning   on 64bits compile

2014-11-24 21:30  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/httpcln.prg
    contrib/tipssl/httpcln.prg
    ! minor adjust to close method to check if tracefile handle is valid
  * include/hbdefs.h
    ! added defined to HB_SIZE_MAX borrow from harbour
  * include/hbjson.h
    ! added hbset.h as part of includes files
  * include/hbipapi.h
    ! adjusted the order of winsock2.h in include file list
  * include/arc4.h
    ! changed void hb_arc4random_buf( void * _buf, ULONG n ) --> void hb_arc4random_buf( void * _buf, HB_SIZE n )
  * source/rtl/arc4.c
    ! some sinc with harbour
      arc4_seed_win32 -> arc4_seed_win
      in function arc4_seed_rand changed ULONG i -> HB_SIZE i
      changed void hb_arc4random_buf( void * _buf, ULONG n ) with void hb_arc4random_buf( void * _buf, HB_SIZE n )
  * source/rtl/replic.c
    ! optimized borrow the ideia from harbour
  * source/rtl/hbsha2hm.c
    ! ULONG -> HB_SIZE
    ! HB_SIZE_MAX -> ULONG_MAX
  * source/rtl/json.c
    ! some sinc with harbour version
  * source/rtl/accept.c
    ! ULONG ulLen -> to HB_SIZE ulLen
  * source/rtl/binnum.c
    ! sinc with harbour version
  * source/rtl/strtran.c
    ! sinc with harbour version
  * source/vm/fm.c
    ! changed  fixed hb_sprintf %li param with %" HB_PFS "i to make mingw happy
  * source/rtl/filenet.c
    ! when compiling under 64bits integer pointer casts to uintptr_t
    ! added hb_fileNet_exit function and called when quit the program to release pending memory
  * source/rtl/philes.c
    ! removed some unnecessary cast to ULONG
    ! ULONG -> HB_SIZE where aplicable as also parameter get on ULONG changed from hb_parnl to hb_parns. as also returns to hb_retns
    ! USHORT ->HB_ERRCODE changed there aplicable
  * source/rtl/hbrand.c
    ! synced with harbour

2014-11-20 00:11 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/gtwvw/wvwfuncs.c
    ! pacify warning

2014-11-19 14:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/httpcln.prg
    contrib/tipssl/httpcln.prg
    ! optimize LTrim( Str( Len( cData ) ) ) -> hb_ntos( Len( cData ) )
    ! minor fix to previus commit

2014-11-19 19:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/httpcln.prg
    contrib/tipssl/httpcln.prg
    + Added method put,delete,header borrow from harbour
    + added method close to close logfile before calling the destructor

2014-11-17 09:50 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/hbsqlit3/sqlite3.c
  * contrib/hbsqlit3/sqlite3.h
  * contrib/hbsqlit3/sqlite3ext.h
    ! updated sqlite to version 3.8.7.1
  * contrib/hbsqlit3/xhbsqlite3.c
    ! some minor updates
  * contrib/gtwvw/gtwvw.c
  * contrib/gtwvw/wvwcheck.c
  * contrib/gtwvw/wvwedit.c
  * contrib/gtwvw/wvwfuncs.c
  * contrib/gtwvw/wvwmenu.c
  * contrib/gtwvw/wvwpush.c
  * contrib/gtwvw/wvwstbar.c
  * contrib/gtwvw/wvwtbar.c
    ! updated to compile also in 64bits .
    ! warning. the functions in the list bellow should be tested !empty(returnvalues) insted of returnvalue !=0 since the return is now pointer type
      WVW_GET_HND_WINDOW,WVW_GETWINDOWHANDLE,WIN_GETDLGITEM,WIN_LOADICON,WIN_LOADIMAGE,WIN_GETDC,WIN_CREATEBRUSH.CREATEIMAGELIST
      LOADIMAGE,LOADBITMAP,LOADBITMAPEX,OPENIMAGE,OPENBITMAP,CREATESOLIDBRUSH,CREATEHATCHBRUSH,CREATEFONT,LOADICON,WINDOW2BITMAP
      WVW_DLGSETICON,WVW_CREATEDIALOGDYNAMIC,WVW_CREATEFONT,WVW_SETPOPUPMENU,WVW_CREATEMENU,WVW_CREATEPOPUPMENU,WVW_GETMENU
      WVW_GETSYSTEMMENU,WVW_SBCREATE,WVW_TBCREATE
  * contrib/gtwvw/hbgtwvw.h
    ! some new constants and defines updated to allow 64bits

2014-11-09 10:00 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/tipssl/inetssl.h
    * moved openssl include files to be after the include of winsock2.h
  * contrib/tipssl/inetssl.c
    ! some clean up
2014-11-06 13:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/fm.c
    ! in structure _HB_MEMINFO changed ULONG ulSignature to UINT32 ulSignature do the value will be 32bits on 64 bits compile
    ! in hb_xautorelease function changed PHB_MEMINFO pMemBlock = ( PHB_MEMINFO ) ( ( char * ) pMem - HB_MEMINFO_SIZE ); to PHB_MEMINFO pMemBlock = HB_FM_PTR( pMem ) becouse HB_FM_PTR does the same
      and also using HB_FM_GETSIG insted of HB_GET_LONG to get the signature
    ! in hb_mem2str changed type of uiSize parameter from UINT to HB_SIZE, as also change uiIndex and  uiPrintable variables types from UINT to HB_SIZE
    ! on functions calls to  hb_mem2str removed the cast to UINT on uiSize parameter
  * contrib/xwt/src/xwt_win/xwt_win.c
    ! using SetWindowLongPtr with GWLP_USERDATA insted of SetWindowLong with GWL_USERDATA ( 64bits compilation)
  * contrib/xwt/src/xwt_win/xwt_win.h
    ! using GetWindowLongPtr with GWLP_USERDATA insted of GetWindowLong with GWL_USERDATA ( 64bits compilation)
  * contrib/xwt/src/xwt_win/xwt_win_framewnd.c
    ! using SetWindowLongPtr with GWLP_USERDATA insted of SetWindowLong with GWL_USERDATA ( 64bits compilation)
  * source/rtl/regex.c
    ! when  added cast to hb_size type to int when comparing with > 0 and  < 0
  * contrib/tipssl/inetssl.h
    ! added include <cinterface.h>

2014-11-05 11:32 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/cinterface.h
    ! minor fix on includes for mingw 4.8.2

2014-11-04 11:08 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/pcre/config.generic.h
    ! fix for compile with borland c++ 5.5.1

2014-11-04 09:15 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/hbdefs.h
    ! minor change to detect existence of stdint.h for borland c++ 5.5.1

2014-11-01 17:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/gtwvw/gtwvw.c
    ! in hb_gt_wvwDlgProcMLess change init of iType variable from NULL to 0. also inside WM_NCDESTROY init the variable s_pWvwData->s_sApp->iType[ iIndex ] with 0 insted of NULL
    ! in hb_gt_wvwDlgProcModal change init of iType variable from NULL to 0. also inside WM_NCDESTROY init the variable s_pWvwData->s_sApp->iTypeModal[ iIndex ] with 0 insted of NULL
    ! in hb_gtInitStatics init the s_pWvwData->s_sApp->iTypeModal array and s_pWvwData->s_sApp->iType array with 0 insted of NULL
    ! on hb_gt_wvw_Info change the variable ulLen in the HB_GTI_CLIPBOARDDATA from ULONG to HB_SIZE
    ! in FindControlId changed return (UINT) NULL; to return (UINT) 0;
  * contrib/gtwvw/wvwedit.c
  * contrib/gtwvw/wvwpush.c
  * contrib/gtwvw/wvwstbar.c
  * contrib/gtwvw/wvwtbar.c
    ! Changed  GWL_WNDPROC to  GWLP_WNDPROC
    ! SetWindowLong to SetWindowLongPtr and (LONG) to (LONG_PTR)
  * contrib/gtwvw/wvwfuncs.c
    ! hb_retni( NULL ) -> hb_retni( 0 );
    ! hb_retnl( NULL ) -> hb_retnl( 0 );
  * contrib/gtwvw/hbgtwvw.h
    ! added some missing defines

2014-10-31 21:50 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/fm.c
    ! ajusted typecasts in hb_xmemset and hb_xmemcpy ( ULONG  to HB_SIZE)
  * source/common/hbver.c
    ! updated to reflect new compiler based on harbour code
  * include/hbsetup.h
    include/hbdefs.h
    include/hbcompat.c
    ! added and updated some defines based on harbour code
  * source/rtl/hbzlib/gzguts.h
     ! added #include <unistd.h> when compiling in * nix ( unix and linux)
  * source/vm/consmt.c
    ! added HB_SYMBOL_UNUSED( uiIdleSleepMsec ); to HB_OS_UNIX  section of hb_idle_releaseCPU function
  * source/vm/thread.c
    ! added #include <unistd.h> to HB_OS_UNIX define section
  * source/rtl/winos.prg
    ! Added OS_ISWIN81 and OS_ISWIN8 functions when compiling for *nix platform
  * source/vm/inet.c
    ! adjusted inet.h position on include
  * source/tip/utils.c
    ! in function TIP_FILEMIMETYPE change HB_SIZE  iPos to HB_ISIZ  iPos
  * source/rtl/philes.c
    ! in FWRITE  adjusted to use hb_retns insted of hb_retnl( ( LONG ) since hb_fsWriteLarge return HB_SIZE type
  * source/rtl/hbcomprs.c
    ! Change static ULONG hb_zlibUncompressedSize to static HB_SIZE hb_zlibUncompressedSize
    ! change ULONG to HB_SIZE where aplicable
  * source/rtl/direct.c
    ! removed unnecessary cast to HB_LONG for   szDrvDelim[ 0 ] assingment
  * config/linux/gcc.cf
    ! added -DMEMCPY_64BIT when targeting 64bits
  * include/cinterface.h
    ! removed unnecessary #include initguid.h for mingw


2014-10-30 22:05 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/cinterface.h
    ! copy/paste typo in header comment

2014-10-30 21:45 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/cinterface.h
  * contrib/hbsqlit3/config.h
    ! changes to make mingw happy

2014-10-30 17:40 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * make_gc.bat
    ! fixed typos in "goto 'label'" on error

2014-10-29 21:00 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/macro.c
    ! reverted to initial version with minor fix to hb_macrogetvalue

2014-10-29 10:55 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/pp/ppcore.c
    ! fix memory leak on preprocessing

2014-10-27 14:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/macro.c
    ! added hb_macroClear borrow from harbour.
    ! hb_macroDelete  optimized to use  now call hb_macroClear
    ! hb_macroGetType optimize to use hb_macroClear insted of hb_macroDelete

2014-10-27 14:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * winmake/makefile.gc
    ! minor update

2014-10-27 12:41 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/mtran.c
    ! removed unnecessary cast of (unsigned char) pszString[ ulOffset ]
  * source/rtl/hardcr.c
    ! removed unnecessary cast of (unsigned char) pszString[ ulOffset ]
  * source/rtl/mlcfunc.c
    ! removed unnecessary cast of (unsigned char) pszString[ ulOffset ]
  * source/rtl/txtline.c
    ! removed unnecessary cast of ( unsigned char ) szText[ ulPos ]
  * include/hbdefs.h
    ! removed the cast to char and unsigned char from the defines bellow
      #define HB_CHAR_HARD1
      #define HB_CHAR_HARD2
      #define HB_CHAR_SOFT1
      #define HB_CHAR_SOFT2

2014-10-27 12:25 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/inet.h
    ! changes to include of winsock2.h to make mingw happy
  * source/rtl/hbip.c
    ! changes to include of winsock2.h to make mingw happy
  * source/vm/fm.c
    ! minor fix to make mingw happy

2014-10-25 22:45 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/hbzlib/include/zipcollections.h
    ! fixes to make mingw gcc 4.7 or newer happy

2014-10-24 14:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/common/hbstr.c
    ! more precision in arithmetic; minor formatting

2014-10-22 18:50 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/macro.c
    ! minor fix to previus commit

2014-10-22 16:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/macro.c
    ! minor fix to hb_macroGetValue
  * source/tip/base64.c
    ! added some missing cast to make mingw happy

2014-10-21 11:00 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/vm/macro.c
    ! pacify warnings

2014-10-20 21:34 UTC+0100 Patrick Mast <patrick.mast@xharbour.com>
  * source/rtl/winos.prg
    + OS_ISWIN81()

2014-10-14 14:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/tipssl/mail.prg
  * source/tip/mail.prg
    ! method attachFile simplified , now all extensions use base64 encoding, with exception of .txt and .html/.htm
  * contrib/tipssl/sendmail.prg
  * source/tip/sendmail.prg
    ! HB_SetMimeType function only return the mimetype
  * source/vm/macro.c
    ! fix hb_macroGetValue to allow >16k string macros
  * source/rtl/cdpapi.c
    ! minor fix on hb_cdpnDup3
  * include/std.ch
    ! added missing comma to sort command translation since the connection parameter was being passed as rdd position
  * source/cgi/thtm.prg
    ! minor fix on new method when output is file creation

2014-10-10 11:22 UTC+0100 Patrick Mast <patrick.mast@xharbour.com>
  * make_vc
    + Auto detect of Microsoft Visual Studio 12.0 for 64 bits

2014-10-07 19:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/misc/hb_f.c
    ! more fixes to HB_FGOBOTTOM() function

2014-10-06 23:45 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  + include/cinterface.h
    + New header to define CINTERFACE and genericly workaround missing
      incomplete CINTERFACE support in Windows SDK's guiddef.h and propkeydef.h

  * include/hbole.h
    * Moved CINTERFACE workaround to new cinterface.h

  * include/hbatomic.h
  * include/hbdefs.h
  * include/hbstack.h
  * include/inet.h
  * include/thread.h
    * Added #include "cinterface.h" to precede all #include <windows.h>

  * include/hbsetup.h
    * Added latest versions of Visual Studio to the notes

  * contrib/gtwvw/hbgtwvw.h
  * contrib/gtwvw/gtwvw.c
  * contrib/gtwvw/wvwcheck.c
  * contrib/gtwvw/wvwdraw.c
  * contrib/gtwvw/wvwedit.c
  * contrib/gtwvw/wvwfuncs.c
  * contrib/gtwvw/wvwmenu.c
  * contrib/gtwvw/wvwpush.c
  * contrib/gtwvw/wvwstbar.c
  * contrib/gtwvw/wvwtbar.c
    * Moved replicated redundant code to header hbgtwvw.h
    * Use new cinterface.h

2014-10-03 16:27 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * make_vc.bat
   + Auto detection of RC.exe

2014-08-14 16:45 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/gtwvt/gtwvt.c
    ! pacify warnings

2014-08-12 21:10 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/gtwvt/gtwvt.c
    ! minor fix to compile under borland c++

2014-08-09 20:40 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * include/hbgtinfo.ch
    ! added new missing constants ( borrow from harbour)
  * source/rtl/gtwvt/gtwvt.c
  * source/rtl/gtwvt/gtwvt.h
    ! some sinc with harbour version with code adaption
  * source/rdd/usrrdd/rdds/arrayrdd.prg
    ! some changes to allow index borrow from harbour ( thanks for marcio nts)

2014-08-07 10:45 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/rdd_ads/ads1.c
    ! add checking of hb_ads_bOEM in adsGetValue() and adsPutValue
      thanks to Jan Sperling

2014-07-24 19:55 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * bin/bld_vc.bat
    * Added missing VS support to match make_vc.bat

2014-07-22 21:55 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * make_vc.bat
    ! Minor refinment
    + Added support for VS 2013 32bit

2014-07-18 11:00 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/zlib/gzguts.h
    ! minor fix for XCC

2014-07-17 21:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/zlib/gzguts.h
  * source/rtl/zlib/gzlib.c
    ! updated for compile with pcc

2014-07-16 16:50 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/zlib
    ! updated to 1.2.8

2014-07-06 20:20 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include/button.ch
    ! reverted previous change

2014-07-06 17:15 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * include/button.ch
    ! temporary replaced Chr(16) with ">" in #define HB_TMENUITEM_STYLE

2014-06-26 23:55 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/misc/hb_f.c
    ! fixed hb_hbfskip() function

2014-06-09 20:10 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/misc/hb_f.c
    ! fixed HB_FGOBOTTOM() function

2014-05-25 16:50 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/encoding/base64.h
  * source/tip/encoding/base64.c
    ! moved to source/tip

  * source/tip/makefile
  * winmake/common.mak
  * winmake/compile.mak
  * winmake/dll.lst
    ! changed to take care of base64.h and base64.c

2014-05-19 13:55 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/tip/encoding/base64.c
    ! fixed memory leak & bug reported by Mario Simï¿½es Filho

2014-05-10 13:50 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/win_misc.c
    ! minor fix to previus commiit

2014-05-03 12:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/win_misc.c
    ! minor fix to previus commiit

2014-05-01 17:43 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * winmake/makefile.bc
    ! pacify BCC irrelevant warning

2014-04-29 16:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/win_misc.c
    ! minor fix for linux compile

2014-04-28 17:32 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/url.prg
    ! reverted the following change:

      ! empty cPath is now left empty

2014-04-27 22:25 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/ftpcln.prg
    ! reverted the following change:

      ! fixed Cwd() method, it now sets oUrl:cPath on success

2014-04-26 22:35 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/ftpcln.prg
    ! commented out four calls to Cwd() method
    ! add a call to Cwd() in Open() method on successful login
  * source/tip/url.prg
    ! empty cPath is now left empty

2014-04-15 12:12 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/ftpcln.prg
    ! fixed Cwd() method, it now sets oUrl:cPath on success

2014-04-14 19:25 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/ftpcln.prg
    ! commented out extra loop in Open() method

2014-04-04 23:23 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/hbtoken.c
    ! fixed hb_tokenGet() when szLine is empty

2014-03-27 17:11 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/hbtoken.c
    ! fixed hb_tokenGet() when token is empty

2014-03-27 15:10 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/hbsqlit3/config.h
    ! pacify BCC warning

2014-02-28 13:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/hbsqlit3/*
    * sqlite3 update 3.7.15.2 -> 3.8.3.1

2014-02-26 12:15 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/hbusage.c
  * utils/hbdoc/hbdoc.prg
  * utils/hbmake/hbmake.prg
  * utils/hbpp/hbpp.c
  * utils/hbrun/hbrun.prg
  * utils/hbtest/hbtest.prg
  * winmake/compile.mak
    ! bump copyright year to 2014

2014-02-16 17:15 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/win_misc.c
    ! Correct file version line

2014-02-16 17:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * ChangeLog
    ! my mistake in file name, must be source/rtl/win_misc.c

2014-02-16 15:55 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * winmake/common.mak
  * winmake/compile.mak
  * winmake/rtl.lst
  * source/rtl/Makefile
  * source/rtl/win_misc.prg
    + Separated Windows API wrappers from hbwinole.c:
      ANSITOWIDE
      WIDETOANSI
      MESSAGEBOX

2014-02-14 15:05 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/hbwinole.c
  * source/rtl/win32ole.prg
    ! fix hidden memory leaks in exceptions service
    Thanks to Claudio Voskian for notifying

  * contrib/libnf/dispc.c
    ! globally visible variables moved to static structure.

2014-01-15 12:10  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  + contrib/hbmlzo/Makefile
  + contrib/jpeg/Makefile
  + contrib/png/Makefile
  + contrib/tiff/Makefile
    Added missing makefiles

2014-01-11 00:15  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/tipssl/client.prg
    source/tip/client.prg
    ! minor fix when nlen <0  and server return no lenght in response

2014-01-07 14:10  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/rdd_ads/adsfunc.c
    ! minor fix

2013-12-09 17:16 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * contrib/tipssl/sendmail.prg
    ! minor fix

2013-12-09  16:16  UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/tipssl/sendmail.prg
    ! minor fix

2013-10-30 23:17 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/minmax.c
    ! fixed MAX() and MIN() functions to work with datetime

2013-10-17 11:48 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/hbzlib/zip.c
    ! restored current drive in HB_UNZIPFILE (thanks to Saulius)

2013-10-16 10:15 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/common/hbdate.c
    ! fixed hb_dateTime() function to return millisecond (thanks to Saulius)

2013-09-13 14:20 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/client.prg
    contrib/tipssl/client.prg
     ! minor fix for this morning commit

2013-09-03 10:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/client.prg
    contrib/tipssl/client.prg
    * fixed read method to allow long http response
  * contrib/tipssl/httpcln.prg
    * change to allow Connection: field in http header allow other values then close

2013-08-21 10:00 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/sendmail.prg
    ! changes for blind carbon copy and speedup read results from smtp server responses

2013-07-05 13:10 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * xharbour.spec
   bin/pack_src.sh
    ! fixes to build libmisc.a

2013-06-23 21:50 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/sendmail.prg
    ! fixed wrong variable name

2013-06-23 01:30 UTC-300 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/mail.prg
  * source/tip/sendmail.prg
  * contrib/tipssl/mail.prg
  * contrib/tipssl/sendmail.prg
   ! added new mime types to list of encoding

2013-06-21 12:57 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * source/pp/ppgen.c
    * Unused variables warning

2013-06-20 12:26 UTC-0430 Ron Pinkas <ron.pinkas/at/xharbour.com>
  * source/compiler/comptool.c
    * Commented an #ifndef __HB_COMPILER__ (I am not yet sure about this :-)
  * source/pp/ppgen.c
    + Added missing definitions for hb_xgrabEx(), hb_xreallocEx() and hb_xfreeEx()
  + xcode
  + xcode/xHarbour.xcodeproj
    * Initial attempt in building from SVN with unmodified Xcode 4.6, and no additional tools, using a native project
      So far it does build ppgen, and the compiler (using yacc).
      /*
          WARNING: Make sure to connect the Xcode SVN to a local folder which dos NOT have Spaces in its name
          because I did not yet find away to stringify arguments to ppgen without stringifying the switch too.
          on first look, the stringifying of $(MACROS) in an external build phase appears buggy :-(
       */
      I am very new to Xcode, and this is really just an experiment at this time, so any help and direction
      will be appreciated. :-)

2013-06-17 13:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/tip/client.prg
  * source/tip/ftpcln.prg
  * source/tip/httpcln.prg
  * source/tip/mail.prg
  * source/tip/popcln.prg
  * source/tip/smtpcln.prg
  * source/tip/url.prg
    ! more code clean-ups and formatting

2013-06-11 21:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * make_gc.bat
    ! use DIR_SEP variable in 'SET HB_MT_DIR=/dll' setting to make w32 happy

  * winmake/makefile.gc
    ! exclude entry point modules from vm library to make MinGW dll builds happy

  * winmake/mdir.bat
    ! clean make did not erase harbour.lib and dll/*.cxx; fixed

  * winmake/dll.lst
    ! gtwvt.obj is excluded from harbour.dll build for BCC and Digital Mars
      due to "Error: Unresolved external '_hb_stack_ready'"

2013-06-05 15:35 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/tip/client.prg
  * source/tip/ftpcln.prg
  * source/tip/httpcln.prg
  * source/tip/mail.prg
  * source/tip/popcln.prg
  * source/tip/smtpcln.prg
  * source/tip/url.prg
    ! code clean-ups and formatting

2013-06-03 11:35 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/tip/popcln.prg
    ! very old method naming 'Retreive' -> 'Retrieve' bug
      (reported by Claudio Voskian)

2013-05-28 22:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * winmake/makefile.gc
    + include entry point modules in vm library.
      Enable creating contrib gtwvw & xwt libraries for MinGW builds

  * contrib/gtwvw/wvwedit.c
    ! fixed assigned but not used variables

2013-05-28 14:15 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbstack.h
    ! enable inclusion Winsock.h in Windows.h, prevented in my previous commit

  * contrib/hbbz2/compress.c
    ! pacify some GCC warning

  * contrib/tipssl/client.prg
  * contrib/tipssl/httpcln.prg
  * contrib/tipssl/mail.prg
  * contrib/tipssl/popcln.prg
  * contrib/tipssl/sendmail.prg
  * contrib/tipssl/smtpcln.prg
    ! fixed assigned but not used variables

2013-05-27 22:50 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbatomic.h
  * include/hbstack.h
  * source/common/hbstr.c
  * source/rtl/math.c
  * contrib/pdflite/pdcore/pc_util.c
    ! pacify some GCC warnings

2013-05-27 11:32 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/tip/mail.prg
  * source/tip/sendmail.prg
    ! minor fix 7-bit to 7bit

2013-05-11 14:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/tip/client.prg
  * source/tip/ftpcln.prg
    ! fixed tIPClientFtp(tIPClient) for use in EXTEND CLASS ...
      (reported by Fabio Nery)

2013-05-09 20:10 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbapi.h
  * source/common/hbstr.c
    + added new C function hb_numExpConv, borrowed from Harbour

2013-05-07 14:05 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * contrib/hbmxml/mxml_sea.c
  * contrib/hbmxml/mxml_str.c
  * winmake/makefile.bc
    ! pacify some BCC warnings

  * contrib/hbzlib/zipplatform.cpp
  * contrib/sixapi/source/get.c
  * contrib/tiff/tif_dirread.c
  * source/compiler/harbour.c
  * source/rtl/pcre/pcre_dfa_exec.c
  * winmake/makefile.gc
    ! pacify some GCC warnings

2013-04-22 21:45 UTC+0200 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/mysql/mysqlrdd.prg
    ! fixed assigned but not used variable

2013-04-19 20:45 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbexprb.c
    ! generate compile time error for method call used in assignment
      (reported by Przemek, few times)

2013-04-10 11:10 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/common/hbgete.c
    ! now system variables seen correctly.
      Deleting with <cNewValue> == '', or NIL

2013-04-09 22:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/common/hbgete.c
    ! pacify warning for MINGW32 build

  * source/rtl/gete.c
    + add abbreviated function SETE for SETENV

2013-04-09 21:35 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/hbapi.h
  * source/common/hbgete.c
  * source/rtl/gete.c
    + new function (only MS-Windows builds):
      SETENV(<cEnvironmentVariable>,[<cNewValue>][,<lSystem>]) -> lSuccess
      Show <lSystem> == .T. when you need modify system environment variable.
      This allows other applications to pick up your updates.

2013-03-21 10:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/tclass.prg
    ! assigned but not used variable logic is not suitable for
      DivertConstructorCall( ... ). Restored and added #pragma -w2

2013-03-28 16:50 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/rtl/tclass.prg
    ! fixed a bug introduced in my last commit

2013-03-25 09:05 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/memoedit.prg
    ! now handling ME_PASTE return by calling  hb_gtinfo( HB_GTI_CLIPBOARDPAST )

2013-03-25 18:44 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * winmake/common3.mak
  * winmake/makefile.gc
    ! set harbour warning to the highest level, -w3

  * utils/hbmake/hbmake.prg
  * utils/xbscript/xbscript.prg
    ! fixed assigned but not used variable, hidden with #pragma w2

  * source/rtl/tclass.prg
  * source/rtl/treport.prg
  * source/rdd/usrrdd/rdds/adordd.prg
  * contrib/misc/nconvert.prg
  * contrib/misc/fileread.prg
  * contrib/pdflite/pdf1.prg
  * utils/hbdoc/hbdoc.prg
  * utils/hbdoc/genasc.prg
  * utils/hbdoc/genhpc.prg
  * utils/hbdoc/genhtm.prg
  * utils/hbdoc/genchm.prg
  * utils/hbdoc/genng.prg
  * utils/hbdoc/genos2.prg
  * utils/hbdoc/genrtf.prg
  * utils/hbdoc/gentrf.prg
  * utils/hbdoc/html.prg
  * utils/hbdoc/os2.prg
  * utils/hbdoc/rtf.prg
  * utils/hbdoc/ffile1.prg
  * utils/hbdoc/genpdf1.prg
  * utils/hbmake/tmake.prg
  * utils/hbmake/hbmutils.prg
  * utils/hbmake/checks.prg
  * utils/hbmake/pickarry.prg
  * utils/hbmake/pickfile.prg
    ! fixed assigned but not used variable

2013-03-24 22:40 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/hbgtcore.c
    ! added missing HB_GTI_CLIPBOARDPAST

2013-03-24 20:14 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * contrib/gd/source/gdbar.prg
  * contrib/gd/source/gdbarcode.prg
  * contrib/gd/source/gdchart.prg
  * contrib/libnf/aredit.prg
  * contrib/libnf/clrsel.prg
  * contrib/libnf/dispmsg.prg
  * contrib/libnf/dosver.prg
  * contrib/libnf/menu1.prg
  * contrib/libnf/menuto.prg
  * contrib/libnf/mouse1.prg
  * contrib/libnf/pegs.prg
  * contrib/libnf/popadder.prg
  * contrib/libnf/sqzn.prg
  * contrib/libnf/tbwhile.prg
  * contrib/libnf/xbox.prg
  * contrib/libnf/dfile.prg
  * contrib/xwt/src/hex.prg
  * contrib/xwt/src/widget.prg
  * contrib/gtwvg/wvtclass.prg
  * contrib/gtwvg/wvtpaint.prg
    ! fixed assigned but not used variable

2013-03-24 19:05 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * xharbour/include/hbclass.ch
    ! more nScope hiddings

2013-03-24 14:56 UTC+0100 Enrico Maria Giordano <e.m.giordano@emagsoftware.it>
  * source/tip/sendmail.prg
    ! fixed assigned but not used variable

2013-03-21 12:45 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/ppcomp.c
    ! fixed memory leak on using -u switch

  * include/std.ch
    ! hide GetList assigning but not using

  * xharbour/include/hbclass.ch
    ! hide nScope assigning but not using

  * source/rtl/tbcolumn.prg
    ! fixed assigned but not used variable, hidden with #pragma w2

2013-03-21 10:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/cgi/hjwindow.prg
  * source/cgi/hterrsys.prg
  * source/cgi/htjlist.prg
  * source/cgi/htmutil.prg
  * source/cgi/tcgi.prg
  * source/cgi/tedit.prg
  * source/cgi/thtm.prg
  * source/ct/alt/ctwin.prg
  * source/ct/alt/dattime2.prg
  * source/ct/diskutil.prg
  * source/ct/getinfo.prg
  * source/ct/getsecrt.prg
  * source/ct/setkeys.prg
  * source/ct/trapkey.prg
  * source/ct/util.prg
  * source/debug/dbgtarr.prg
  * source/debug/dbgthsh.prg
  * source/debug/dbgtmenu.prg
  * source/debug/dbgtobj.prg
  * source/debug/debugger.prg
  * source/odbc/browodbc.prg
  * source/odbc/todbc.prg
  * source/rdd/dbstrux.prg
  * source/rdd/usrrdd/rdds/adordd.prg
  * source/rdd/usrrdd/rdds/hscdx.prg
  * source/rtl/achoice.prg
  * source/rtl/browse.prg
  * source/rtl/checkbox.prg
  * source/rtl/cstruct.prg
  * source/rtl/dbedit.prg
  * source/rtl/dumpvar.prg
  * source/rtl/errorsys.prg
  * source/rtl/hblog.prg
  * source/rtl/listbox.prg
  * source/rtl/mssgline.prg
  * source/rtl/pushbtn.prg
  * source/rtl/regexrpl.prg
  * source/rtl/scrollbr.prg
  * source/rtl/tbrowse.prg
  * source/rtl/teditor.prg
  * source/rtl/tget.prg
  * source/rtl/tgetlist.prg
  * source/rtl/tlabel.prg
  * source/rtl/tpopup.prg
  * source/rtl/treport.prg
  * source/rtl/trpccli.prg
  * source/rtl/ttable.prg
  * source/rtl/ttopbar.prg
  * source/rtl/txml.prg
  * source/rtl/win32prn.prg
  * source/rtl/winreg.prg
  * source/tip/cgi.prg
  * source/tip/client.prg
  * source/tip/ftpcln.prg
  * source/tip/httpcln.prg
  * source/tip/mail.prg
  * source/tip/popcln.prg
  * source/tip/sendmail.prg
  * source/tip/smtpcln.prg
    ! fixed assigned but not used variable

2013-03-21 09:40 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.c
  * source/compiler/hbgenerr.c
    + new -w3 warning messages for assigned but not used and never
      assigned variables:
        Variable '...' is assigned but not used in function '...'
        Variable '...' is never assigned in function '...'
      Idea and code skeleton from Harbour
      Many thanks to Mindaugas Kavaliauskas
    ; NOTE: if you are using -w3 in makefiles, you'll need to fix
            your redundant code to compile the project

  * include/hberrors.h
    + add new warning messages identifiers

  * winmake/common3.mak
  * winmake/makefile.gc
    ; temporary change harbour warning flag from -w3 to -w2 for
      .prg files succesfully compilation

2013-03-15 17:20 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/str.c
    ! fixed bug reported by Enrico Maria Giordano

2013-03-14 14:25 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/simplex.c
    ! prevent accessing acNewLine with negative index

2013-03-11 09:11 UTC-0800 Luis Krause <kaddath at shaw dot ca>
  * winmake/makefile.bc
  * winmake/makefile.dc
  * winmake/makefile.pc
  * winmake/makefile.wc
    ! added quotes around HB_DIR_ADS when used with ace32.dll
      in case the path to ADS has spaces

2013-03-06 22:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * winmake/makefile.gc
  * winmake/mdir.bat
    + changed hard-coded COPY, DEL, TYPE for w32
      more cleanups

  * make_gc.bat
  * make_w32.bat
    ! normalize makefile variables
      corrected DIR_SEP variable for w32 build

  * contrib/gtwvg/gtwvg.h
    ! hide #include <shlobj.h> to satisfy Open Watcom

  * include/simplex.c
    ! unpalatable bug in Indexing System, when symbol weight >=0x80
      in source; minor formatting

2013-02-27 11:20 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.c
    ! fix memory leak on compiler failure in hb_comp_UsedNamespaces
    - suppress message "0 error"

2013-02-24 09:19 UTC-0600 Vicente Guerra <vicente@guerra.com.mx>
  * include/hbvmpub.h
    ! Fixed typo.
  * source/odbc/todbc.prg
    ! Don't continue ::Open() when SQLExecDir() have error.

2013-02-16 21:37 UTC-0600 Vicente Guerra <vicente@guerra.com.mx>
  * winmake/makefile.pc
    ! Added missing ACE_DLL and ACE_LIB declarations.

2013-02-11 21:20 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! fix memory leak on compiler failure in hb_comp_pLoops

2013-02-11 20:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! fix memory leak on compiler failure in hb_comp_LocalParams

2013-02-11 17:10 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * include/harboury.h
  * include/hbcomp.h
  * include/hbexpra.c
  * source/compiler/harbour.sly
  * source/compiler/harbour.c
  * source/compiler/harbouryy.c
  * source/common/expropt1.c
    ! created garbage collector for expressions in compiler mode,
      activated on syntax errors only.
      Idea from Harbour, many thanks to Przemyslaw Czerpak.

2013-02-07 13:02 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * xharbour/source/rtl/hbsrlraw.c
    ! fixed timestamp/datetime serialization
    ! add workaround for bug in serialization code - now xHarbour can
      deserialize its own LONGLONG items

  * xharbour/source/rtl/fstemp.c
    ! fixed *nix builds

  * xharbour/source/vm/inet.c
    ! fixed non MS-Windows builds

  * xharbour/source/compiler/harbour.c
    ! fixed function and class declarations to initialize new _DECL member
      added recently

  * xharbour/source/compiler/comptool.c
    ! fixed *nix builds - simple workaround for missing new FM module
      in GNU make builds. It should also fix all other builds which
      do not force new FM module in compiler mode or do not have separate
      common libs for compiler and VM.
    ; Now xHarbour can be compiled in *nixes though with many warnings.

2013-02-05 12:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/ct/files.c
    ! fixed hidden memory leaks on functions FILEDATE & FILETIME

2013-01-29 21:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/rtl/hbxml.c
    ! fixed memory leaks reported by Reinaldo

  * xharbour/tests/xmltest/xmltest.prg
  * xharbour/tests/xmltest/xmliter.prg
    - pacify warnings on unused and lacked variables

2013-01-23 19:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/common/hbver.c
    - Deleting my own name in "Credit", I do not deserve it!

2013-01-17 21:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * ChangeLog
    ! fixed log entry which was unintentionally bad dated (forward)

2013-01-17 21:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.c
    ! fix one memory leak on method duplicate declaration

2013-01-17 15:40 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.c
  * source/compiler/harbour.sly
    ! fix more memory leaks on failure

2013-01-17 14:08 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hbrm.c
    + include <io.h> to satisfy MSVC

2013-01-17 13:49 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hbrm.c
    ! check file existence before removing (Thanks to Saulius)

2013-01-17 13:38 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/common.mak
    ! disable creation of telepath.lib due to non-existent of functions:
    P_ISCTS, P_ISDSR, P_ISRI, P_ISDCD, P_CTRLCTS, P_OUTFREE

2013-01-17 06:38 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/common.mak
  * winmake/common2.mak
  * winmake/common3.mak
  * winmake/makefile.gc
  * winmake/compile.mak
    ! create hbcgi.lib comprising source/cgi/*.*

  * source/cgi/tedit.prg
    - remove doubly defined OnSelect, SetOnSelect

2013-01-17 06:16 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/common.mak
    ! disable creation of cgi.lib due to non-existent of functions:
    INFO_DBCLOSE, INFO_DBCONNECT, HGETVALUE, CRLF, HB_NUMTOHEX, HB_HEXTONUM
    READSTDINPUT, HB_PVALUE, THTMLBASE_DISPLAYHASH, THTMLBASE_DISPLAYVARS
    Should no one fix this, contrib/cgilib will be removed from xHarbour repo

2013-01-15 15:40 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.c
  * source/compiler/harbour.sly
  * include/harboury.h
    ! fix many memory leaks on failure

2013-01-15 06:45 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/common.mak
  * winmake/compile.mak
    ! pplib.c, pplib2.c and pplib3.c are not required when building harbour.exe,
    hence removed as compiler.lib dependencies.

2013-01-13 12:20 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbcomp.h
  * source/compiler/harbour.c
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! further fix to memory leaks

  * source/compiler/harbour.c
  * source/compiler/comptool.c
  * source/pp/ppcore.c
    + pragma: #pragma W<n> to override Warning Level invoked by command line
    switch, where n = 1 to 3 (to be put on top of PRG file)

  * winmake/common3.mak
  * winmake/makefile.gc
    ! set harbour warning to the highest level, -w3

  * source/rtl/tbcolumn.prg
    ! downgrade warning level to -W2

  * contrib/gd/source/gdimage.prg
    - duplicate declaration of Method GetTrueColor()

  * contrib/xwt/src/browse.prg
    - duplicate declaration of Method CountColumns()

2013-01-12 17:32 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * ChangeLog
    ! fixed log entries which were unintentionally bad dated (forward)

2013-01-12 17:05 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.c
  * source/compiler/genc.c
  * source/compiler/comptool.c
  * source/pp/ppcore.c
  * include/hbcomp.h
    + pragma: #pragma CPP, to be put on top of PRG file, to force output file
    name extension to be "cpp" instead of the default "c". This is particularly
    useful when dealing with clever compiler such as BCC or MSVC which will invoke
    C++ mode when compiling a cpp-extension file without forcing -P or -TP switch.

2013-01-12 04:33 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbouryy.c
    ! looked like previous commit did not go, re-uploaded.

2013-01-12 04:16 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! fix one memory leak, work of, thus credits to Saulius. Thanks!

2013-01-11 22:13 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/common/hbver.c
    + added to credit list -> Saulius Zrelskis <labitas/AT/gmail/com>

2013-01-11 17:00 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * ChangeLog
    ! fixed file that got corrupted due to my first commit :(

2013-01-11 15:30 UTC+0200 Saulius Zrelskis <labitas/AT/gmail/com>
  * source/compiler/harbour.c
    ! fix many memory leaks, work in progress

2013-01-11 06:40 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/hbsqlit3/sqlite3.c
  * contrib/hbsqlit3/sqlite3.h
    ! updated to version 3.7.15.2

2013-01-10 19:06 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  + doc/howtosvn.txt, copied from Harbour

2013-01-06 19:33 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! fix one memory leak found by Salius (Thanks!)

2012-12-31 09:18 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/comptool.c
    ! fixed stupid typo on hb_compSetCOutput() on switch arguments

2012-12-30 07:30 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/hbmake/hbmake.prg
    ! restore the version prior some of my changes because there are reports
      that those changes cause hbmake.exe crash.

2012-12-27 01:16 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/makefile.vc
  * winmake/makefile.pc
  * winmake/makefile.bc
  * winmake/makefile.wc
    ! covered include path macro within parentheses

2012-12-25 06:00 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbouryy.c
  * source/macro/macroyy.c
  * include/harboury.h
  * include/macroy.h
    ! regenerated using Bison 2.7

2012-12-25 04:07 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/mdir.bat
    + hbssl.lib related commands

2012-12-25 03:45 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/inet.c
    + prg level INETFD( iSocket ) -> returns iSocket's file descriptor (fd)

  * include/hbapi.h
  * source/vm/extend.c
    + Added API hb_stor() to store a NIL into a parameter passed by reference,
      copied from Harbour

  * contrib/hbssl/*.*
  * winmake/common.mak
  * winmake/common1.mak
  * winmake/common2.mak
  * winmake/compile.mak
    + hbssl.lib borrowed from Harbour

2012-12-23 04:00 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hbrm.c
    ! include bufferoverflowU.lib when linking with MSVC7-DDK

  * contrib/hbsqlit3/sqlite3.c
  * contrib/hbsqlit3/sqlite3.h
    ! update to version 3.7.15.1

2012-12-21 23:40 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * tests/pexec.prg
  * tests/pcode.prg
  * tests/pcode1.prg
    + SVN file attributes

2012-12-21 09:35 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  - tests/pdll55.bat
    ! removal was omitted

2012-12-21 09:30 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/hbmake/hbmake.prg
    ! harbour.exe errors not directed to file, fixed.

  ; NOTES: having a quick review to the codes, there's a lot to clean up,
    particularly MT related make variables

  + utils/misc/hbrm.c
  * winmake/common.mak
  * winmake/common2.mak
  * winmake/compile.mak
  * winmake/mdir.mak
    + small utility for deleting file, useful to remove file, particularly for
      librarians which does not support deleting old library file when creating
      a new one (OpenWatcom/BCC) which randomly causes corrupt file when doing
      incremental builds.
    ! force deleting old LIB file before creating a new one
    ! full (hopefully) support for incremental builds, meaning, in most cases,
      a clean build shall not be necessary. It will be enough to copy newer files
      to working folder.

  * winmake/makefile.vc
    ! missing -MT or -MD flag when compiling hbzip.lib

  * source/vm/maindllp.c
    ! change hb_xinit() type: int -> void

  - tests/pdll55.bat
    ! remove version specific batch file

  * tests/pdllbc.bat
  * tests/pdllvc.bat
  * tests/pexec.prg
  * tests/pcode.prg
  * tests/pcode1.prg
    ! modified per current SVN repository

  ; NOTES: It looks like there's a trouble with BCC 6.50 -> pCode test program
    per pdllbc.bat does not work. It does work with any BCC of lower versions,
    so, until the problems resolved, I suggest that those working with pCode DLL
    to not using BCC 6.50

2012-12-17 18:56 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/compile.mak
    ! missing manifest binding to hbrc.exe when compiled with MSVS -MD mode
     ( SET USE_MSVCRT=1 ), fixed.

2012-12-16 19:02 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/comptool.c
    ! missing from previous commit

2012-12-16 17:10 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbapi.h
    ! remove redundant type: * PHB_VALUE

  * include/hbcomp.h
  * include/hbexprb.c
  * include/hbexprc.c
  * source/common/expropt1.c
  * source/common/hbfopen.c
  * source/common/hbfsapi.c
  * source/common/hbgete.c
  * source/common/hbhash.c
  * source/common/hbprintf.c
  * source/common/hbstr.c
  * source/pp/ppcore.c
  * winmake/makefile.bc
  * winmake/makefile.vc
  * winmake/makefile.dc
  * winmake/makefile.pc
  * winmake/makefile.gc
  * winmake/makefile.wc
    ! use hb_xgrabEx, hb_xreallocEx, hb_xfreeEx, hb_exitEx in stage of building
      Harbour Compiler. These changes make the log on memory leaks be a bit more
      readable, because now, the associated file name, function name and line #
      from where the memory was booked are printed. Although the call-tree is not
      displayed, this configuration should look better than the previous one.

    ! pending the fixes on memory leaks, Harbour Compiler is by default will be
      created with the above mentioned memory manager, unless a flag to disable
      it is defined via: SET HB_COMP_NO_TRACE=1

    ; TO CONSIDER: integrate dmalloc http://dmalloc.com to have more complete
      tracings.

  * winmake/makefile.bc
  * winmake/makefile.vc
  * winmake/makefile.dc
  * winmake/makefile.pc
  * winmake/makefile.gc
  * winmake/makefile.wc
  * winmake/common.mak
  * winmake/common3.mak
  * winmake/compile.mak
    ! include all members of common.lib and pp.lib to compiler.lib, so that neither
      common.lib nor pp.lib is now required to build harbour.exe

    ; NOTE: Now nightmare may haunt us if we try to compile PRG with -w3 flag
      particularly PRG contains classes and INLINE method such as source/rtl/tbcolumn.prg.
      Pending fixes to the problems, I strongly suggest to avoid using -w3 flag.
      -w2 flag will also throw memory leak notification, particularly when program
      contains error, example:
      //--------------
      PROCEDURE MAIN()
      x
      //--------------
      :-(

2012-12-16 06:10 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/common.mak
    + macro for import lib of aceXX.DLL (ACE32_LIB and ACE64_LIB)

  * winmake/makefile.vc
    ! linking ace64.lib instead of ace32.lib in 64-bit mode

  * winmake/makefile.dc
  * winmake/makefile.wc
  * winmake/makefile.bc
    + macro for ACE_LIB, in accordance with supported mode
    + macro for ACE_DLL, in accordance with supported mode

  * winmake/compile.mak
    ! rename ACE32_LIB -> ACE_LIB to cover both 32 and 64bit
    ! rename ace32.dll -> ACE_DLL to cover both 32 and 64bit

  * winmake/makefile.bc
    + debugging flags for BCC64

2012-12-16 05:00 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/comptool.c
    ! Harbour Compiler errors should be printed regardless -q flag

2012-12-15 21:19 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/common/hbprintf.c
    ! minor reformatting and declare function prototypes

2012-12-15 21:08 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/common/hbprintf.c
    + function _isnanl(), _finite() and _finitel() for BCC64

2012-12-15 21:04 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    ! use c0d64w.o instead of c0d32.obj in 64bit mode

2012-12-15 20:48 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbcomp.h
    ! rename: in struct __PINLINE: _INLINE -> __INLINE for BCC64 because _INLINE
      was conflicting with BCC64 definition

  * source/compiler/harbour.c
    ! rename: _INLINE -> __INLINE for BCC64

  * include/hbapi.h
  * source/vm/fm.c
    ! function hb_xinit() should be of void type as required by BCC64 pragma startup

  * contrib/hbmagic/magic.h
    ! do not define size_t for BCC64

  - make_b32.bat
  + make_bc.bat
    ! batch file for BCC is renamed to avoid assumption that it is for 32-bit
      while in fact, BCC now can produce 64-bit xHarbour

  * winmake/makefile.bc
    ! enable 64bit compilation for BCC64

2012-12-13 10:35 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/hbsqlit3/sqlite3.c
  * contrib/hbsqlit3/sqlite3.h
  * contrib/hbsqlit3/sqlite3ext.h
    ! updated to version 3.7.15

2012-12-12 18:53 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * tests/TESTTONE.PRG -> tests/testtone.prg
    ! lower-cased file name

2012-12-12 18:51 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/tone.c
    + HB_TONE(), tone functionality for Windows OS via MMSYSTEM

  + tests/testtone.prg
    ! test program for HB_TONE()

2012-12-12 18:29 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/rdd_ads/adsfunc.c
    ! yet, remmed bad codes to not to be compiled in Windows OS
       XCC:
       1702: warning: [ISO] Conversion from 'const char *' to 'unsigned short' is compiler dependent.
       1702: warning: Conversion from 'const char *' to 'unsigned short' is undefined.

2012-12-12 17:20 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/rdd_ads/adsfunc.c
    ! protect new additions to not to be compiled in Windows OS because they
    simply don't compile (perhaps the author intention is for other OS?)

2012-12-10 19:44 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/makefile.bc
    ! do not compile hbzlib with -tWM switch. This cause undetected GPF.

2012-12-10 15:53 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/str.c
    ! fixed memory leak on str( < numberWithDecimal > ), example str( 1.1 )

2012-12-09 23:00 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/rdd_ads/adsfunc.c
    ! added new function provided by Reinaldo Crespo <Reinaldo.Crespo@gmail.com>

2012-12-09 09:08 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/comptool.c
    ! Harbour Compiler now uses dlmalloc -> hopefully, compiling PRG files
    should now become faster than before

2012-12-09 01:24 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/common/hbver.c
  * source/compiler/comptool.c
  * source/pp/ppgen.c
    ! redirect output to stdout instead of previously stderr

2012-12-08 19:58 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbexpra.c
  * include/hbexprb.c
  * include/hbexprc.c
  * include/simplex.c
    ! reformatted files were overwritten by previous commits, re-uploaded.

2012-12-08 17:29 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/dirdrive.c
    ! minor

2012-12-08 17:20 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/dirdrive.c
    - remove unused definition TEMPNAME()

2012-12-08 16:03 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/consmt.c
    - remove not-needed HB_THREAD_STUB

2012-12-08 15:05 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/cmdcheck.c
    ! padded -p switch with 0 to avoid: -pxxxx

  * include/hbexpra.c
  * include/hbexprb.c
  * include/hbexprc.c
  * include/simplex.c
  * source/compiler/calconst.c
  * source/compiler/comptool.c
  * source/compiler/genc.c
  * source/compiler/gencc1.c
  * source/compiler/gencobj.c
  * source/compiler/genhrb.c
  * source/compiler/harbour.c
  * source/compiler/hbfunchk.c
  * source/compiler/hbgenerr.c
  * source/compiler/hbident.c
  * source/compiler/hbpcstat.c
  * source/compiler/ppcomp.c
  * include/hbcomp.h
    + redirect Harbour Compiler warnings and errors to stderr
    + allow user defined function to handle Harbour Compiler message

2012-12-08 14:05 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbexpra.c
  * include/hbexprb.c
  * include/hbexprc.c
  * include/simplex.c
    ! reformatted

2012-12-08 13:40 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/dirdrive.c
    + Add Windows functions for:
      * HB_ISREMOTEDISK( cDrv ) -> .T. if cDrv is a Remote Drive
      * HB_ISRAMDISK( cDrv )    -> .T. if cDrv is a RAM Disk
      * HB_ISHARDDISK( cDrv )   -> .T. if cDrv is a Hard Disk
      * HB_ISCDROM( cDrv )      -> .T. if cDrv is a CDROM
      * HB_ISDISKETTE( cDrv )   -> .T. if cDrv is a Floppy
      * HB_DISKREADY( cDrv )    -> .T. if cDrv is a Floppy and ready to be written
      * HB_DISKREADYW( cDrv )   -> same as HB_DISKREADY()

2012-12-07 07:52 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/consmt.c
    - commented unused function

2012-12-07 07:12 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * ChangeLog
    ! typo: hbping.prg -> hbping.c

2012-12-07 07:05 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/str.c
  * source/rtl/empty.c
  * source/rtl/val.c
  * source/rtl/left.c
  * source/rtl/right.c
  * source/rtl/substr.c
  * source/rtl/padc.c
  * source/rtl/padl.c
  * source/rtl/padr.c
  * source/rtl/val.c
  * source/rtl/round.c
  * source/rtl/strzero.c
  * source/rtl/replic.c
  * source/rtl/dateshb.c
    ! minor optimization, mostly using hb_itemGet* instead of hb_par* wherever
    possible, avoid redundant parameter checkings, usage of HB_ITEM members
    instead of API (as used throughout RTLs), etc. Theoritically, this should
    give a noticable speed gain.

  * source/rtl/hbping.c
    ! passed-by-ref parameters were not dereferenced, fixed.

2012-12-06 02:38 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * xharbour/config/w32/dm.cf
    ! use names of tools with extensions - it allows to make cross
      compilation on platforms where FN extension is significant.

  * xharbour/config/w32/mingw32.cf
    ! removed -mno-cygwin used by very old MinGW versions
    ! updated link paths for mainstd lib

  * xharbour/config/w32/bcc32.cf
    ! fixed wrong library setting

  * xharbour/bin/hb-func.sh
    ! enable GCC optimisation in hb* scripts

  * xharbour/include/Makefile
    ! added few missing header files (some other ones are still missing)

  * xharbour/include/hbapi.h
    ! fixed HB_ITEM_NIL declaration for BCC

  * xharbour/include/hbfloat.h
    ! updated for DMC

  * xharbour/include/inet.h
    ! fixed critical bug in xHarbour inet code (uninitialized variables)
      introduced many years ago by Miguel. It was many times reported on
      xHarbour news without any feedback - one of few xHarbour killers in
      last years.

  * xharbour/include/hbexprb.c
    ! fixed bug in compile time RIGHT() optimization

  * xharbour/include/hbvmpub.h
    ! added new macro HB_DYNS_INIT for HB_DYNS initialization which respects
      modified for HB_PROFILER structure

  * xharbour/include/hbsetup.ch
    + added support for HB_STD_INKEY which forces standard inkey codes
      when xHarbour is compiled

  * xharbour/include/hbdefs.h
    + added s_defaultGT macro for compatibility with some older or foreign
      tools, i.e. hbmk2 used with -xhb switch.

  * xharbour/include/set.ch
    ! fixed additional set counter

  * xharbour/utils/hbtest/Makefile
  * xharbour/utils/hbdict/Makefile
  * xharbour/utils/hbrun/Makefile
  * xharbour/utils/xbscript/Makefile
  * xharbour/utils/hbdoc/Makefile
  * xharbour/utils/hbmake/Makefile
    ! added mainstd to link list in MinGW builds - now it's necessary due
      to broken bindings in HVM library.

  * xharbour/utils/hbfilere/hbfilere.h
    ! fixed included header to compile with pure BCC5.5

  * xharbour/contrib/hblzf/lzfP.h
    ! fixed EOLs to work on non MS-Win platforms

  * xharbour/winmake/mdir.bat
    ! use CRLF EOLs in all *.bat files

  * xharbour/source/common/hbver.c
    * use HBOSVERSIONINFOEX in all places not omnly chosen one.
      (or removed it completly)

  * xharbour/source/compiler/gencc1.c
    ! cleaned wrong condition which was giving correct results only
      on some platforms.

  * xharbour/source/compiler/genc.c
  * xharbour/source/compiler/hbusage.c
    ! fixed critical bug in *printf() usage - any code which makes sth like
         printf( data );
      is extremely danger and much slower then:
         printf( "%s", data );
      If you do not understand potential security problem then please
      optimize the code for speed.

  * xharbour/source/compiler/gencc.c
    ! added missing L suffix in printf formats - it's necessary on platforms
      where LONG can be bigger then INT - in practice whole world except
      DOS/Windows.

  * xharbour/source/vm/inet.c
    ! enclosed broken macros inside {}
      It's workaround and in fact wrong macros should be fixed instead.

  * xharbour/source/vm/fastitem.c
    ! fixed some completely idiotic hb_itemRawCpy() usage in commented code.
      I hope it will safe a lot of time for someone who will ever work on
      xHarbour HVM analyzing existing code.

  * xharbour/source/vm/hvm.c
    ! use HB_ITEM_NIL and HB_DYNS_INIT to initialize static structures

  * xharbour/source/vm/consmt.c
    ! disabled HB_CLEANUP_PUSH/HB_CLEANUP_POP macros.
      They can be used only together in the same function by definition.
      Due to details in xHarbour Win32 MT code (workaround for missing
      functionality) it was not generating error on this platform.

  * xharbour/source/rtl/Makefile
    ! added missing hbwinole.c

  * xharbour/source/rtl/filesys.c
  * xharbour/source/rtl/diskspac.c
    ! fixed casting (missing const)

  * xharbour/source/rtl/fstemp.c
    ! fixed casting (wrongly used const)
    ! fixed path delimiters in DJGPP builds

  * xharbour/source/rtl/disksphb.c
    ! fixed wrong used 'BOLL' instead of 'char *'

  * xharbour/source/rdd/Makefile
    ! added few missing header files

  * xharbour/source/rdd/hbdbsort.c
    * removed header files added as workaround for some other bug

   ; above modification does not fix many other serious problems,
     it's only set of basic fixes I have to apply in last years to
     create xHarbour builds usable for some tests.
     I'm committing them because I hope they can be useful for other
     users so I decide to public them before I remove them cleaning
     my HDD.

2012-12-06 05:48 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * tests/regextest.prg
    ! program was not compilable, fixed.

2012-12-06 05:05 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/rat.c
    ! xHarbour extended RAT() not returning correct value when parameter 3
    is passed, fixed.

2012-12-03 20:55 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * tests/testping.prg
    ! fix runtime error when the pingee did not reply

2012-12-03 20:33 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/pcre/pcre_dfa_exec.c
    ! minor modification in function internal_dfa_exec() to kill BCC warning

2012-12-03 18:53 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/compile.mak
    ! missing from previous commit

2012-12-03 18:48 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbapi.h
  * source/rtl/tprinter.c
  * source/vm/set.c
  * source/vm/hvm.c
  * source/vm/garbage.c
  * source/vm/arrays.c
  * source/vm/fastitem.c
  * source/vm/errorapi.c
  * source/rtl/filebuf.c
  * source/rtl/version.c
  * source/rtl/fparse.c
  * source/rtl/console.c
  * source/rtl/hbserv.c
  * source/rtl/isprint.c
    ! some functions to be under extern "C"

  * tests/regexall.prg
    ! function not returning value, fixed

  * winmake/compile.mak
    ! do not compile pcre-related modules in C++

  * source/rtl/regex.c
    ! code clean-ups and formatting

  * source/rtl/pcre/*.*
    ! updated to version 8.32
    ! folder refreshed

  * source/rtl/hbping.c
  * tests/testping.prg
    ! allow to override default packet size and timeout.
      Syntax: HB_PING( cHost, @cResult, iPacketSize, iTimeOut, @cAddress, @cHostName, @iRTT )
        cHost       = string, hostname of IP address to query
        cResult     = passed by ref string, string to hold ping response
        iPacketSize = integer, size of data to send, default 32
        iTimeOut    = integer, response waiting time, default 5000ms
        cAddress    = passed by ref string, string to host address as replied
        cHostName   = passed by ref string, string to host name as replied
        iRTT        = passed by ref integer, is Round Trip Time

2012-12-02 12:40 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * contrib/Makefile
    ! added hbhpdf and hbmxml folder

2012-12-02 11:40 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/fstemp.c
    ! Fixed compilation under *nix
  * source/rtl/hbip.c
    ! Fixed compilation under linux by applying correct cast in place of SOCKET
  * include/inet.h
    ! protected stucture HB_PINGREPLY with !defined(HB_OS_UNIX)
  + contrib/hbhpdf/Makefile
    ! Added makefile to build hbhpdf under *nix
  + contrib/hbmxml/Makefile
    ! Added makefile to build hbmxml under *nix

2012-12-02 08:33 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/ttable.prg
    * METHOD ordkeycount() was doubly defined, fixed.

  * utils/hbmake/tmake.prg
    * DATA aDir was doubly defined, fixed.

2012-12-02 05:41 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  + resource
  + resource/xhb.ico
  + utils/misc/hbrc.c
  * winmake/common.mak
  * winmake/compile.mak
  * winmake/mdir.bat
    + utility to write version resource file

  * utils/misc/hblib.c
  * winmake/common.mak
  * winmake/common2.mak
  * winmake/common3.mak
  * winmake/compile.mak
  * winmake/makefile.bc
  * winmake/makefile.dc
  * winmake/makefile.vc
  * winmake/makefile.pc
  * winmake/makefile.wc
  * winmake/makefile.gc
    + bind version resource file to harbour.exe and xharbour.dll

2012-12-01 17:07 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/hbping.c
  * include/inet.h
    ! use xHarbour types to the maximum extent
    ! hand-beautifying the codes

2012-12-01 11:32 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/hbping.c
  * tests/testping.prg
    ! copy error message to passed-by-ref parameter

2012-12-01 10:27 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/hbdoc/hbdoc.prg
  * utils/hbpp/hbpp.c
  * utils/hbmake/hbmake.prg
  * utils/hbtest/hbtest.prg
  * utils/hbrun/hbrun.prg
  * source/compiler/hbusage.c
    ! bump copyright years to 2013

2012-12-01 09:57 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  + source/rtl/hbping.c
  + tests/testping.prg
  * winmake/common.mak
  * winmake/compile.mak
  * winmake/rtl.lst
    + add PRG level Winsock2 based ping functionality for Windows

2012-11-30 06:12 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbcomp.h
  * source/compiler/harbour.c
  * source/compiler/genc.c
  * source/compiler/hbpcstat.c
    + add poor-man's profiler, print message on how many opcode are used in module being compiled
      (the lesser the total pcodes, the more optimized the module would be)

2012-11-30 03:10 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/thread.c
    + added HB_GETCURRENTPROCESSID returns ID of current process

  * source/vm/macro.c
    ! macro string size increased to 8192

2012-11-26 17:43 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  - contrib/what32/*.*
  * winmake/mdir.bat
  * winmake/common.mak
  * winmake/compile.mak
  * winmake/makefile.bc
  * winmake/makefile.dc
  * winmake/makefile.gc
  * winmake/makefile.pc
  * winmake/makefile.vc
  * winmake/makefile.wc
  * winmake/common2.mak
  * winmake/common3.mak
    ! remove dubious contribs

2012-11-26 07:52 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/consmt.c
    ! removed not-needed function protoypes/declarations

2012-11-26 06:40 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/fm.c
    ! pacify BCC warnings when HB_NO_VM_ALL is defined

  * include/thread.h
  * source/rtl/arc4.c
  * source/rtl/console.c
  * source/rtl/hbsocket.c
  * source/rtl/hbserv.c
  * source/rtl/filenet.c
  * source/rtl/trace.c
  * source/rtl/filebuf.c
  * source/rdd/hsx/hsx.c
  * source/macro/macro.y
  * source/macro/macroyy.c
  * source/vm/thread.c
  + source/vm/consmt.c
  + source/vm/hbservmt.c
  + source/vm/rddmt.c
    ! reorganize MT lock and unlock functions by moving them to more appropriate
    files.

2012-11-25 07:43 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/macro/macro.y
    ! left over: HB_MACRO_PTR -> PHB_MACRO

2012-11-24 20:09 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/teditor.prg
    ! wrapped words were cut off when formatting, fixed.

2012-11-24 13:43 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/teditor.prg
    ! fixed routine for line-reformatting invoked by pressing CTRL-B

2012-11-22 20:36 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/macro.c
    ! increase macro string size to 4096 (this should be enough IMO)

2012-11-22 08:25 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/item.api
  * include/hbapi.h
  * include/hbapierr.h
  * include/hbapirdd.h
  * include/hbstack.h
  * include/hbvmpub.h
  * source/ct/ctnet.c
  * source/rdd/wafunc.c
  * source/rdd/nulsys/nulsys.c
  * source/rtl/bkgtsks.c
  * source/rtl/idle.c
  * source/vm/arrays.c
  * source/vm/classes.c
  * source/vm/codebloc.c
  * source/vm/estack.c
  * source/vm/garbage.c
  * source/vm/hvm.c
  * source/vm/itemapi.c
  * source/vm/fastitem.c
  * source/vm/macro.c
  * source/vm/memvars.c
  * source/vm/thread.c
    ! HB_ITEM_PTR -> PHB_ITEM

  * include/hbhash.h
  * source/common/hbhash.c
    ! HB_HASH_ITEM_PTR -> PHB_HASH_ITEM

  * include/hbapi.h
  * include/thread.h
  * source/rtl/hbsrlraw.c
  * source/vm/itemapi.c
  * source/vm/memvars.c
    ! HB_VALUE_PTR -> PHB_VALUE

  * include/hbapi.h
    - removed: DYNHB_ITEM_PTR

  * include/hbapi.h
  * source/vm/garbage.c
    ! HB_GARBAGE_PTR -> PHB_GARBAGE

  * include/hbapi.h
  * include/hbvmpub.h
  * source/vm/codebloc.c
  * source/vm/garbage.c
    ! HB_CODEBLOCK_PTR -> PHB_CODEBLOCK

  * include/hbvmpub.h
  * source/vm/hvm.c
  * source/vm/macro.c
  * source/vm/memvars.c
    ! HB_DYNS_PTR -> PHB_DYNS

  * include/hbvmpub.h
    - removed: HB_BASEARRAY_PTR
    - removed: HB_BASEHASH_PTR
    - removed: HB_EXTREF_PTR

  * include/hbapi.h
  * include/hbexprop.h
  * include/hbexpra.c
  * include/hbexprb.c
  * source/compiler/harbouryy.c
  * source/compiler/harbour.sly
  * source/vm/macro.c
    ! HB_CBVAR_PTR -> PHB_CBVAR

  * include/hbapi.h
  * source/vm/macro.c
    ! HB_PCODE_INFO_PTR -> PHB_PCODE_INFO

  * include/hbapi.h
  * include/hbcomp.h
  * include/hbmacro.h
  * source/macro/macroyy.c
  * source/rdd/workarea.c
  * source/rdd/hsx/hsx.c
  * source/rtl/achoice.prg
  * source/vm/hvm.c
  * source/vm/macro.c
  * source/macro/macro.slx
    ! HB_MACRO_PTR -> PHB_MACRO

  * include/hbapi.h
  * source/rtl/bkgtsks.c
    ! HB_BACKGROUNDTASK_PTR -> PHB_BACKGROUNDTASK

  * include/hbapi.h
  * include/hbapiitm.h
  * source/vm/extend.c
  * source/vm/garbage.c
  * source/vm/itemapi.c
    ! HB_GARBAGE_FUNC_PTR -> PHB_GARBAGE_FUNC

  * include/hbapiitm.h
  * include/hbapiitm.h
  * source/vm/eval.c
    - removed: EVALINFO_PTR
    ! PEVALINFO -> PHB_EVALINFO

  * include/hbapierr.h
  * source/vm/errorapi.c
  * source/vm/macro.c
    ! HB_ERROR_INFO_PTR -> PHB_ERROR_INFO

  * include/hbapifs.h
   - removed: HB_FNAME_PTR

2012-11-21 07:47 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/makefile.gc
    ! typo: if -> ifeq

2012-11-21 07:12 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.c
    * bad typo: !defined -> defined

  * source/compiler/cmdcheck.c
  * source/compiler/hbusage.c
  * winmake/common3.mak
  * winmake/makefile.gc
    ! add -DHB_AVOID_RESERVED_WORDS to compiler flag when: SET HB_AVOID_RESERVED_WORDS=1

2012-11-21 06:10 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.c
    * only avoid uses of reserved words if HB_AVOID_RESERVED_WORDS is defined
      when building xHarbour

2012-11-20 10:06 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/macro.c
  * source/vm/mainstd.c
  * source/vm/mainwin.c
  * source/vm/maindllp.c
    ! reformatted (left over), mainly replaced '//' -> '/**/'

  * include/hbtypes.h
    ! updated function prototypes

  * source/vm/export.def
    ! typo: hb_stors -> hb_storns

2012-11-20 00:10 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/dynlibhb.c
  * source/vm/thread.c
  * source/vm/cmdarg.c
  * source/vm/arrays.c
  * source/vm/arrayshb.c
  * source/vm/codebloc.c
  * source/vm/classes.c
  * source/vm/classesc.c
  * source/vm/dbgentry.c
  * source/vm/debug.c
  * source/vm/asort.c
  * source/vm/do.c
  * source/vm/dynsym.c
  * source/vm/errorapi.c
  * source/vm/estack.c
  * source/vm/eval.c
  * source/vm/evalhb.c
  * source/vm/extend.c
  * source/vm/fastitem.c
  * source/vm/fm.c
  * source/vm/garbage.c
  * source/vm/harbinit.prg
  * source/vm/hash.c
  * source/vm/hbi18n.c
  * source/vm/strapi.c
  * source/vm/throw.c
  * source/vm/set.c
  * source/vm/runner.c
  * source/vm/pvalue.c
  * source/vm/proc.c
  * source/vm/memvars.c
  * source/vm/itemapi.c
  * source/vm/initexit.c
  * source/vm/inet.c
  * source/vm/hvm.c
    ! minor to major reformat by hands

  * contrib/hbexpat/core.c
    - remove GC marking

  * include/hbapi.h
    ! hb_pcount() should not directly access internal

  * contrib/libnf/kspeed.c
  * contrib/libnf/mouse.c
    ! extend.h -> hbapi.h

  * contrib/hbcurl/hbcurl.c
    - remove redefinition: hb_parnldef

  * contrib/sixapi/source/sysprop.c
  * source/odbc/odbc.c
    ! minor

2012-11-19 10:40 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/vm/hbi18n.c
    ! free language variable if was allocated via hb_getenv

2012-11-17 20:20 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/hbexpat/_hbconf.h
  * contrib/hbexpat/expat_ex.h
    + #define XML_STATIC 1
    + #include "_hbconf.h"
    to explicitely tell the make system to create standalone static library
    (MSVC family hbexpat.lib _was_ created to be dependent on external dll)

2012-11-17 06:32 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/rtl/hbjson.c
    ! bug fix on numbers handling by Oscar Hernandez

2012-11-17 02:20 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    ! fix some memory leak traps

  * source/pp/ppgen.c
    + add reserved words contained in "hbclass.ch"

  * source/compiler/harbour.c
    ! change type of error message for use of reserved word to 'F'

2012-11-16 14:37 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbcomp.h
  * source/pp/ppgen.c
    + create ppword.c, a list of supposedly reserved words, not to be used as
    variable names (overrideable with -vx flag)
    NOTE: To be completed on the run

  * source/pp/Makefile
  * source/compiler/Makefile
  * winmake/mdir.bat
  * winmake/common.mak
  * winmake/compile.mak
    + ppword dependency

  * source/compiler/hbusage.c
  * source/compiler/cmdcheck.c
    + -vx flag: force using reserved word as variable name

  * source/compiler/harbour.c
    + add routine to check variable name, reject if it is reserved by PP
    NOTE: This is however, guarded by -vx compiler flag.

  * source/compiler/hbgenerr.c
  * include/hberrors.h
    + add error message when reserved name is used as variable name

2012-11-14 11:51 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! deffed out cleanups routines. Looks like wrong implementation which
    cause double freeing in some cases, causing GPF on wrong codes.

2012-11-13 21:58 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.c
    ! recent changes cause module without "MAIN" does not execute, fixed.

  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! fixed some other memory leaks on failure

2012-11-13 19:39 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/comptool.c
  * source/compiler/hbgenerr.c
  * source/compiler/harbour.c
  * include/hbcomp.h
    ! hb_compCleanUp( BOOL ) -> hb_compCleanUp( void )
    NOTE: yet there's memory leaks that have to be fixed, but not critical, IMO.

2012-11-13 07:49 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbcompat.h
    + HB_ISOBJECT, required by some packages

2012-11-13 07:45 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/hbcompat.h
    + HB_ISARRAY and HB_ISLOG, which may be required by external packages

  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    + hb_compYYError as common static function to release variables

  * source/compiler/harbour.c
    ! procedure/function MAIN not necessarily be the first/top function in
      a module. MAIN will be executed first regardless functions order.

  * source/compiler/hbident.c
    * free s_comp_Identifiers if not NULL

  * source/compiler/hbgenerr.c
  * source/compiler/comptool.c
    ! move clean-up functions to comptool.c

  * include/hbcomp.h
  * source/compiler/harbour.c
  * source/compiler/hbusage.c
  * source/compiler/genc.c
  * source/compiler/cmdcheck.c
    + -ex switch to produce *.xbx file, list of public functions in module

  * source/compiler/cmdcheck.c
  * source/compiler/comptool.c
    ! append report of harbour.exe memory leak to fm.log

2012-11-12 04:52 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! pacify Bison warning on unused variables

2012-11-12 04:17 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
    ! hb_comp_LocalParams not released upon failure, fixed.

2012-11-12 01:30 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * include/simplex.c
    + void cleansPair( void ) to clean variable upon failure

  * source/common/hbfsapi.c
    ! reformatted

  * source/compiler/harbour.sly
  * source/compiler/harbouryy.c
  * source/compiler/hbgenerr.c
    ! fix many memory leaks on failure

  * source/compiler/harbour.c
    + add __FILE__ define constant -> prg file name being compiled

  * include/hbcompat.h
    + xHarbour equivalent for hb_parnldef

  * winmake/mdir.bat
  * winmake/common.mak
  * winmake/common2.mak
  * winmake/compile.mak
  * contrib/hbxdiff/*.*
    ! xdiff library borrowed from Harbour

  * contrib/hbmxml/hbmxml.c
    ! avoid direct access to internals, use API instead.

  * contrib/unicode/hbcc.c
  * contrib/unicode/hbc7.c
  * contrib/unicode/hbcu.c
  * contrib/unicode/hbcx.c
  * contrib/unicode/hbcy.c
  * contrib/unicode/hbhex.c
  * contrib/unicode/hbcrc16.c
  * contrib/unicode/hbcrc32.c
  * contrib/unicode/hbcrpt32.c
  * contrib/unicode/hbcrpt128.c
  * contrib/unicode/hbencode.c
  * contrib/unicode/hbcctool.c
  * contrib/unicode/unitool.c
    ! reformatted

2012-11-10 02:55 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    ! upper -> lower, NULL -> 0

  * include/hbcompat.h
    + HB_ISPOINTER now defined

  * contrib/hbmxml/hbmxml.c
    ! callback functions now can be codeblock or pointer

  * contrib/hbmxml/tests/reminder.prg
  * contrib/hbmxml/tests/custom.prg
  * contrib/hbmxml/tests/testmxml.prg
    ! replaced callbacks: codeblock -> pointer

2012-11-08 18:00 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/hbmxml/hbmxml.c
    ! code clean-ups and applied unicode features

  * utils/misc/hblib.c
    + add functionality to "include" other list files

  * winmake/dll.lst
    ! remove RTL redundant object list, include rtl.lst instead
      NOTE: we may perhaps consider to create a list for each lib project

2012-11-07 22:08 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    ! fixed: DMC command not receiving DEF file when passed

2012-11-07 22:01 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    ! yet another minor optimization

2012-11-07 21:35 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    ! minor optimization

2012-11-07 21:19 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    * replace hard-coded .obj with environmental OBJEXT setup in bat files

2012-11-07 21:00 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    + added functionalities to process rtl.lib and xHarbour.dll

  * ChangeLog
    ! corrected typo: GTGUI -> GTWVT

2012-11-07 20:53 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/vm/fm.c
    ! pacify BCC warnings when HB_NO_VM_ALL is defined

  + winmake/dll.lst
  + winmake/rtl.lst
  * winmake/common2.mak
  * winmake/makefile.bc
  * winmake/makefile.vc
  * winmake/makefile.gc
  * winmake/makefile.wc
  * winmake/makefile.pc
  * winmake/makefile.dc
    ! rtl.lib and xHarbour.dll now using common command

  * winmake/compile.mak
    ! compile GTWVT in C++ mode for __DMC__

  * winmake/common.mak
    ! corrected typo causing GTGUI not linked into xHarbour.dll

2012-11-06 11:47 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * utils/misc/hblib.c
    ! fix memory leak trap

2012-11-06 10:32 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/hbmxml/hbmxml.c
  * contrib/hbmxml/mxml_nod.c
    ! now discard using raw pointer because GC features are already fixed by
      Przemek's patch. mxml_nod.c has therefore been synched with hrb.

2012-11-06 07:06 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * contrib/hbmxml/hbmxml.c
  * contrib/hbmxml/tests/testmxml.prg
  * contrib/hbmxml/tests/custom.prg
    ! fixed memory leaks
    NOTE: Using raw pointer because GC features cause GPF. Anybody helps?

2012-11-05 23:28 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/makefile.bc
    ! redirect creation of hblib.exe's dependencies to proper folder

2012-11-05 19:55 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * winmake/makefile.bc
  * winmake/mdir.bat
  + utils/misc/hblib.c
    + small librarian helper to simplify makefiles for BCC which has its own syntax
      in creating libraries, so that BCC can share the most of common variables used
      by most Windows compilers
      TODO: RTL.LIB and XHARBOUR.DLL still cause 'Command line too long', hence
      native syntax are still used. Have to split make process into some parts.

  * winmake/makefile.bc
  * winmake/makefile.pc
  * winmake/makefile.dc
  * winmake/makefile.gc
  * winmake/makefile.wc
  * winmake/makefile.vc
  * winmake/common2.mak
    ! more simplification by using same variables

2012-11-04 21:40 UTC-200 Luiz Rafael Culik <luiz/AT/xharbour/com/br>
  * source/rtl/filestat.c
    ! Change CloseHandle() to FindClose()

2012-11-04 17:05 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/macro/macro.y
    ! added missing ';' at the end of C code as future version of Bison will not
      add it automatically (warning via Bison 2.5)

2012-11-04 13:35 UTC+0700 Andi Jahja <xharbour/AT/telkom/net/id>
  * source/compiler/harbouryy.c
  * source/macro/macroyy.c
  * include/harboury.h
  * include/macroy.h
